import type { UniDriver } from '@wix/wix-ui-test-utils/unidriver';
export declare const accordionPrivateDriverFactory: (base: UniDriver) => {
    getAmountOfItems: () => Promise<number>;
    hoverOnItem: (idx: number) => Promise<void>;
    getAccordionItemAt: (idx: number) => Promise<{
        getToggleIconPlacement: () => Promise<"end" | "start" | "none">;
    }>;
    getItemTitleAt: (idx: number) => any;
    getItemSubtitleAt: (idx: number) => any;
    isIconExistsAt: (idx: number) => any;
    isPrefixExistsAt: (idx: number) => any;
    isSuffixExistsAt: (idx: number) => any;
    isItemExpandedAt: (idx: number) => any;
    clickToggleButtonAt: (idx: number) => any;
    clickItemAt: (idx: number) => any;
    getToggleButtonLabelAt: (idx: number) => any;
    getTransitionSpeed: () => Promise<string | null>;
    getSkin: () => Promise<string | null>;
    getHorizontalPadding: () => Promise<string | null>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
export declare const accordionItemPrivateDriverFactory: (base: UniDriver) => {
    getToggleIconPlacement: () => Promise<"end" | "start" | "none">;
};
//# sourceMappingURL=Accordion.private.uni.driver.d.ts.map