import * as React from 'react';
import PropTypes from 'prop-types';
import { AnalyticsLayoutProps } from './AnalyticsLayout.types';
import Cell from './Cell/Cell';
/** AnalyticsLayout */
declare class AnalyticsLayout extends React.PureComponent<AnalyticsLayoutProps> {
    static displayName: string;
    static defaultProps: {
        items: never[];
    };
    static Cell: typeof Cell;
    static propTypes: {
        dataHook: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        items: PropTypes.Validator<any>;
        children: PropTypes.Validator<(...args: any[]) => any>;
    };
    render(): React.JSX.Element;
}
export default AnalyticsLayout;
//# sourceMappingURL=AnalyticsLayout.d.ts.map