import React from 'react';
import PropTypes from 'prop-types';
import { AnalyticsLayoutCellProps } from '../AnalyticsLayout.types';
/** Cell */
declare class Cell extends React.PureComponent<AnalyticsLayoutCellProps> {
    static defaultProps: {
        disableHighlight: boolean;
        children: null;
    };
    static displayName: string;
    static propTypes: {
        dataHook: PropTypes.Requireable<string>;
        disableHighlight: PropTypes.Requireable<boolean>;
        children: PropTypes.Validator<any>;
    };
    state: {
        isHovered: boolean;
    };
    _setHover(isHovered: boolean): void;
    render(): React.JSX.Element;
}
export default Cell;
//# sourceMappingURL=Cell.d.ts.map