import { UniDriver } from '@wix/wix-ui-test-utils/dist/types/unidriver';
export declare const announcementModalLayoutDriverFactory: (base: UniDriver) => {
    /** Returns if the link component text content */
    getLinkText: () => Promise<string>;
    /** Clicks the link component */
    clickLink: () => Promise<void>;
    getTheme(): Promise<string>;
    clickCloseButton(): Promise<void>;
    clickHelpButton(): Promise<void>;
    childExists(dataHook: string): Promise<boolean>;
    getTitleText(): Promise<string>;
    getSubtitleText(): Promise<string>;
    getSecondaryButtonDriver(): Promise<import("../Button/Button.uni.driver").ButtonUniDriver>;
    getPrimaryButtonDriver(): Promise<import("../Button/Button.uni.driver").ButtonUniDriver>;
    getPrimaryButtonTooltipContent(): Promise<string>;
    getIllustrationSrc(): Promise<string>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
export type AnnouncementModalLayoutUniDriver = ReturnType<typeof announcementModalLayoutDriverFactory>;
//# sourceMappingURL=AnnouncementModalLayout.uni.driver.d.ts.map