export namespace DATASET_PROPS {
    let backgroundColor: any;
    let borderColor: any;
    let borderWidth: number;
    let pointBorderColor: any;
    let pointHoverBackgroundColor: any;
    let pointHoverBorderColor: any;
    let lineTension: number;
    let pointBackgroundColor: string;
    let pointHitRadius: number;
    let pointHoverBorderWidth: number;
}
export namespace OPTIONS_PROPS {
    let maintainAspectRatio: boolean;
    namespace hover {
        let mode: string;
        let intersect: boolean;
        let animationDuration: number;
    }
    namespace legend {
        let display: boolean;
        namespace labels {
            let family: string;
        }
    }
}
export namespace GRIDLINE_PROPS {
    let borderDash: number[];
    let color: any[];
    let borderDashOffset: number;
    let drawBorder: boolean;
}
export namespace Y_AXES_TICKS_PROPS {
    let beginAtZero: boolean;
    let labelOffset: number;
    let padding: number;
}
export namespace TOOLTIP_PROPS {
    let backgroundColor_1: any;
    export { backgroundColor_1 as backgroundColor };
    let mode_1: string;
    export { mode_1 as mode };
    let intersect_1: boolean;
    export { intersect_1 as intersect };
    export let caretPadding: number;
    export let xPadding: number;
    export let yPadding: number;
    export let xAlign: string;
    export let yAlign: string;
    export let displayColors: boolean;
    export let bodyFontSize: number;
    export let bodySpacing: number;
    export let cornerRadius: number;
}
//# sourceMappingURL=chartOptions.d.ts.map