export function baseModalLayoutDriverFactory({ element, eventTrigger }: {
    element: any;
    eventTrigger: any;
}): {
    exists: () => boolean;
    _hasClass: (className: any) => Boolean;
    _closeButtonExists: () => boolean;
    _helpButtonExists: () => boolean;
    /** Returns the modal theme */
    getTheme: () => any;
    /** Click the modal close-button */
    clickCloseButton: () => void;
    clickHelpButton: () => void;
    /** Checks that a node with the provided dataHook exists */
    childExists: (dataHook: any) => boolean;
    /** Get the title's text */
    getTitleText: () => any;
    /** Get the subtitle's text */
    getSubtitleText: () => any;
    /** Return the secondary button driver*/
    getSecondaryButtonDriver: () => any;
    /** Return the secondary button driver */
    getPrimaryButtonDriver: () => any;
    /** Return the primary button tooltip's content */
    getPrimaryButtonTooltipContent: () => string | null | undefined;
    getIllustrationSrc: () => any;
};
//# sourceMappingURL=BaseModalLayout.legacy.driver.d.ts.map