declare class Calendar extends React.PureComponent<any, any, any> {
    static displayName: string;
    static defaultProps: {
        className: string;
        filterDate: () => boolean;
        dateIndication: () => null;
        shouldCloseOnSelect: boolean;
        onClose: () => void;
        autoFocus: boolean;
        excludePastDates: boolean;
        selectionMode: string;
        showMonthDropdown: boolean;
        showYearDropdown: boolean;
        numOfMonths: number;
        size: string;
        fixedWeeks: boolean;
    };
    static areValuesEqual(value1?: {}, value2?: {}): boolean;
    static optionalParse: any;
    /** Return a value in which all string-dates are parsed into Date objects */
    static parseValue: any;
    static nextDay: any;
    static prevDay: any;
    static isSingleDay(value: any): value is Date;
    static isRangeValue(value: any): boolean;
    static getUpdatedMonth: (nextPropsValue: any, numOfMonths: any, currentMonthDate: any) => any;
    constructor(props: any);
    state: {
        month: any;
    };
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    _setMonth: (month: any) => void;
    _getLocaleUtilsFactory: (locale: any, firstDayOfWeek: any) => {
        formatMonthTitle: (date: any) => string;
        formatMonthAndYear: (date: any) => string;
        formatMonthsRange: (firstDate: any, secondDate: any) => string;
        formatWeekdayShort: (index: any) => string;
        formatWeekdayLong: (index: any) => string;
        formatDay: (date: any) => string;
        getMonths: () => string[];
        getFirstDayOfWeek: () => any | number;
        formatYear: (date: any) => string;
    };
    _createCaptionElement: () => React.JSX.Element;
    _getLocale(): any;
    render(): React.JSX.Element;
}
declare namespace Calendar {
    export { WixStyleReactEnvironmentContext as contextType };
    export namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let autoFocus: PropTypes.Requireable<boolean>;
        let numOfMonths: PropTypes.Requireable<number>;
        let firstDayOfWeek: PropTypes.Requireable<number>;
        let className: PropTypes.Requireable<string>;
        let onChange: PropTypes.Validator<(...args: any[]) => any>;
        let onClose: PropTypes.Requireable<(...args: any[]) => any>;
        let onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
        let onMonthChange: PropTypes.Requireable<(...args: any[]) => any>;
        let excludePastDates: PropTypes.Requireable<boolean>;
        let filterDate: PropTypes.Requireable<(...args: any[]) => any>;
        let value: PropTypes.Requireable<NonNullable<Date | PropTypes.InferProps<{
            from: PropTypes.Requireable<Date>;
            to: PropTypes.Requireable<Date>;
        }> | null | undefined>>;
        let selectionMode: PropTypes.Requireable<string>;
        let showYearDropdown: PropTypes.Requireable<boolean>;
        let showMonthDropdown: PropTypes.Requireable<boolean>;
        let shouldCloseOnSelect: PropTypes.Requireable<boolean>;
        let locale: PropTypes.Requireable<"th" | "tr" | "ms" | "id" | "no" | "en" | "en-US" | "en-GB" | "en-AU" | "en-CA" | "ar" | "bg" | "ca" | "zh" | "zh-TW" | "zh-HK" | "zh-MO" | "cs" | "da" | "nl" | "fi" | "fr" | "fr-CA" | "fr-CH" | "fr-BE" | "de" | "de-CH" | "de-AT" | "el" | "he" | "hi" | "hu" | "it" | "ja" | "ko" | "lt" | "nb" | "nn" | "pl" | "pt-BR" | "pt" | "ro" | "ru" | "sk" | "sl" | "es" | "es-419" | "es-AR" | "es-MX" | "es-US" | "sv" | "tl" | "uk" | "vi">;
        let rtl: PropTypes.Requireable<boolean>;
        let dateIndication: PropTypes.Requireable<(...args: any[]) => any>;
        let today: PropTypes.Requireable<Date>;
        let leftArrowAriaLabel: PropTypes.Requireable<string>;
        let leftArrowAriaLabelledBy: PropTypes.Requireable<string>;
        let rightArrowAriaLabel: PropTypes.Requireable<string>;
        let rightArrowAriaLabelledBy: PropTypes.Requireable<string>;
        let monthDropdownAriaLabel: PropTypes.Requireable<string>;
        let monthDropdownAriaLabelledBy: PropTypes.Requireable<string>;
        let yearDropdownAriaLabel: PropTypes.Requireable<string>;
        let yearDropdownAriaLabelledBy: PropTypes.Requireable<string>;
        let size: PropTypes.Requireable<string>;
        let containFocus: PropTypes.Requireable<boolean>;
        let fixedWeeks: PropTypes.Requireable<boolean>;
    }
}
export default Calendar;
import React from 'react';
import { WixStyleReactEnvironmentContext } from '../WixStyleReactEnvironmentProvider/context';
import PropTypes from 'prop-types';
//# sourceMappingURL=Calendar.d.ts.map