export default Card;
declare function Card({ stretchVertically, showShadow, hideOverflow, className, children, controls, dataHook, }: {
    stretchVertically?: boolean | undefined;
    showShadow?: boolean | undefined;
    hideOverflow: any;
    className: any;
    children: any;
    controls: any;
    dataHook: any;
}): React.JSX.Element;
declare namespace Card {
    export let displayName: string;
    export namespace propTypes {
        let children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let className: PropTypes.Requireable<string>;
        let controls: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let stretchVertically: PropTypes.Requireable<boolean>;
        let showShadow: PropTypes.Requireable<boolean>;
        let hideOverflow: PropTypes.Requireable<boolean>;
        let dataHook: PropTypes.Requireable<string>;
    }
    export { Content };
    export { Header };
    export { Divider };
    export { Subheader };
}
import React from 'react';
import PropTypes from 'prop-types';
import Content from './Content';
import Header from './Header';
import Divider from './Divider';
import Subheader from './Subheader';
//# sourceMappingURL=Card.d.ts.map