export default ColorPickerHsb;
declare class ColorPickerHsb extends React.PureComponent<any, any, any> {
    static propTypes: {
        /** Applied as data-hook HTML attribute that can be used to create driver in testing */
        dataHook: PropTypes.Requireable<string>;
        /** The current Hsb value */
        current: PropTypes.Validator<object>;
        /** A callback function that will be triggered when the value is changed */
        onChange: PropTypes.Validator<(...args: any[]) => any>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    onMarkerDragStart: (e: any) => void;
    gradientRect: DOMRect | undefined;
    onMarkerDragEnd: () => void;
    getSVByMouseEvent: (e: any) => {
        s: number;
        v: number;
    };
    setNewColorByMouseEvent: (e: any) => void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
    gradient: HTMLDivElement | null | undefined;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=ColorPickerHsb.d.ts.map