export default class ColorPickerHue extends React.PureComponent<any, any, any> {
    static propTypes: {
        /** Applied as data-hook HTML attribute that can be used to create driver in testing */
        dataHook: PropTypes.Requireable<string>;
        /** The current Hue value */
        current: PropTypes.Validator<object>;
        /** A callback function that will be triggered when the value is changed */
        onChange: PropTypes.Validator<(...args: any[]) => any>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    onMarkerDragStart: (e: any) => void;
    sliderRect: DOMRect | undefined;
    onMarkerDragEnd: () => void;
    getHueByMouseEvent: (e: any) => number;
    setNewColorByMouseEvent: (e: any) => void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
    slider: HTMLDivElement | null | undefined;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=ColorPickerHue.d.ts.map