declare const _default: import("react-dnd").DndComponentClass<typeof DraggableSource, import("react-dnd").Omit<any, "isDragging" | "connectDragSource" | "connectDragPreview">>;
export default _default;
declare class DraggableSource extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        offsetOfHandle: {
            x: number;
            y: number;
        };
        itemWidth: null;
    };
    rootNode: null;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    updateDiff(): void;
    updateItemWidth: () => void;
    _getWrapperStyles(): {
        willChange: string | undefined;
        transition: string | undefined;
        transform: string | undefined;
        pointerEvents: string | undefined;
    };
    _renderDraggableItem(): React.JSX.Element;
    handleNode: Element | Text | null | undefined;
    _setRootNode: (node: any) => void;
    _renderPreview: ({ previewStyles }: {
        previewStyles: any;
    }) => any;
    _renderPreviewItem(): React.JSX.Element;
    render(): React.JSX.Element | null;
}
declare namespace DraggableSource {
    namespace propTypes {
        let isDragging: PropTypes.Requireable<boolean>;
        let connectDragSource: PropTypes.Requireable<(...args: any[]) => any>;
        let connectDragPreview: PropTypes.Requireable<(...args: any[]) => any>;
        let usePortal: PropTypes.Requireable<boolean>;
        let groupName: PropTypes.Requireable<string>;
        let containerId: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let renderItem: PropTypes.Requireable<(...args: any[]) => any>;
        let index: PropTypes.Requireable<number>;
        let id: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let item: PropTypes.Requireable<object>;
        let withHandle: PropTypes.Requireable<boolean>;
        let onDrop: PropTypes.Requireable<(...args: any[]) => any>;
        let onMoveOut: PropTypes.Requireable<(...args: any[]) => any>;
        let onDragStart: PropTypes.Requireable<(...args: any[]) => any>;
        let onDragEnd: PropTypes.Requireable<(...args: any[]) => any>;
        let shift: PropTypes.Requireable<(number | null | undefined)[]>;
        let ignoreMouseEvents: PropTypes.Requireable<boolean>;
        let animationDuration: PropTypes.Requireable<number>;
        let animationTiming: PropTypes.Requireable<string>;
        let canDrag: PropTypes.Requireable<(...args: any[]) => any>;
        let delayed: PropTypes.Requireable<boolean>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=DraggableSource.d.ts.map