import { UniDriver } from '@wix/wix-ui-test-utils/unidriver';
export declare const dragHandleUniDriverFactory: (base: UniDriver, body: UniDriver) => {
    getButton: () => UniDriver<any>;
    click: () => Promise<void>;
    hover: () => Promise<void>;
    getTooltipDriver: () => {
        click: () => Promise<void>;
        tooltipExists: () => Promise<boolean>;
        mouseEnter: () => Promise<void>;
        mouseLeave: () => Promise<void>;
        clickOutside: () => Promise<void>;
        getTooltipText: () => Promise<string | null>;
        hasSize: (sizeName: import("..").TooltipSize) => Promise<boolean>;
        exists: () => Promise<boolean>;
        element: () => Promise<any>;
    };
    isTooltipEnabled: () => Promise<boolean>;
    getTooltipContent: () => Promise<string | null>;
    getDisabled: () => Promise<boolean>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
};
export type DragHandleUniDriver = ReturnType<typeof dragHandleUniDriverFactory>;
//# sourceMappingURL=DragHandle.uni.driver.d.ts.map