import React from 'react';
import { dataHooks } from '../../constants';
import InfoIconBase from '../../../InfoIcon';
import { st, classes } from './InfoContentIcon.st.css';
const InfoContentIcon = ({ infoContent, infoTooltipProps, required, labelSize, }) => {
    return infoContent ? (React.createElement(InfoIconBase, { dataHook: dataHooks.infoIcon, className: st(classes.root, {
            labelSize,
            required,
        }), content: infoContent, tooltipProps: infoTooltipProps, size: "small" })) : null;
};
export default InfoContentIcon;
//# sourceMappingURL=InfoContentIcon.js.map