export default FileUpload;
/** A wrapper component to support native file upload */
declare class FileUpload extends React.PureComponent<any, any, any> {
    constructor(props: any);
    inputRef: React.RefObject<any>;
    render(): React.JSX.Element;
}
declare namespace FileUpload {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let children: PropTypes.Validator<(...args: any[]) => any>;
        let multiple: PropTypes.Requireable<boolean>;
        let accept: PropTypes.Requireable<string>;
        let capture: PropTypes.Requireable<string>;
        let name: PropTypes.Requireable<string>;
        let onChange: PropTypes.Validator<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let multiple_1: boolean;
        export { multiple_1 as multiple };
        let accept_1: string;
        export { accept_1 as accept };
        let capture_1: string;
        export { capture_1 as capture };
        export function onChange_1(): void;
        export { onChange_1 as onChange };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=FileUpload.d.ts.map