export default FloatingHelperContent;
/** FloatingHelperContent */
declare function FloatingHelperContent({ title, body, actionText, onActionClick, actionTheme, image, appearance, footer, direction, }: {
    title: any;
    body: any;
    actionText: any;
    onActionClick: any;
    actionTheme?: string | undefined;
    image: any;
    appearance?: string | undefined;
    footer: any;
    direction?: string | undefined;
}): React.JSX.Element;
declare namespace FloatingHelperContent {
    let displayName: string;
    namespace propTypes {
        let title: PropTypes.Requireable<string>;
        let body: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let actionText: PropTypes.Requireable<string>;
        let actionTheme: PropTypes.Requireable<string>;
        let footer: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let onActionClick: PropTypes.Requireable<(...args: any[]) => any>;
        let image: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let appearance: PropTypes.Requireable<string>;
        let direction: PropTypes.Requireable<string>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=FloatingHelperContent.d.ts.map