export default FunnelChart;
/** FunnelChart */
declare function FunnelChart({ dataHook, className, data, hideDifferenceBadge, differenceBadgeTooltipContent, onDifferenceBadgeTooltipShow, }: {
    dataHook: any;
    className: any;
    data: any;
    hideDifferenceBadge: any;
    differenceBadgeTooltipContent?: (() => string) | undefined;
    onDifferenceBadgeTooltipShow?: (() => void) | undefined;
}): React.JSX.Element | null;
declare namespace FunnelChart {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let data: PropTypes.Validator<(PropTypes.InferProps<{
            value: PropTypes.Validator<number>;
            label: PropTypes.Validator<string>;
            displayValue: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        let hideDifferenceBadge: PropTypes.Requireable<boolean>;
        let differenceBadgeTooltipContent: PropTypes.Requireable<(...args: any[]) => any>;
        let onDifferenceBadgeTooltipShow: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=FunnelChart.d.ts.map