export namespace GEOCODE_RESULT {
    let formatted_address: string;
    let address_components: {
        types: string[];
        long_name: number;
    }[];
    namespace geometry {
        namespace location {
            function lat(): number;
            function lng(): number;
        }
    }
}
export class GmapsTestClient {
    autocomplete({ request }: {
        request: any;
    }): Promise<{
        description: string;
        id: number;
    }[]>;
    geocode({ request }: {
        request: any;
    }): Promise<{
        formatted_address: string;
        address_components: {
            types: string[];
            long_name: number;
        }[];
        geometry: {
            location: {
                lat: () => number;
                lng: () => number;
            };
        };
    }[]>;
    placeDetails({ request }: {
        request: any;
    }): Promise<{
        formatted_address: string;
        address_components: {
            types: string[];
            long_name: number;
        }[];
        geometry: {
            location: {
                lat: () => number;
                lng: () => number;
            };
        };
    }[]>;
}
export class GmapsTestClientWithFields extends GmapsTestClient {
}
//# sourceMappingURL=gmapsTestClient.d.ts.map