export default InputWithTags;
declare class InputWithTags extends React.Component<any, any, any> {
    static contextType: React.Context<{
        status?: import("..").StatusType | null;
        ariaLabelledBy?: string | null;
        ariaDescribedBy?: string | null;
    }>;
    constructor(props: any);
    focus(): void;
    blur(): void;
    select(): void;
    renderReorderableTag({ item: { id, label, ...itemProps }, previewStyles, isPlaceholder, isPreview, ...rest }: {
        [x: string]: any;
        item: {
            [x: string]: any;
            id: any;
            label: any;
        };
        previewStyles: any;
        isPlaceholder: any;
        isPreview: any;
    }): React.JSX.Element;
    handleClick(e: any): void;
    handleInputFocus(e: any): void;
    handleInputBlur(e: any): void;
    state: {
        inputValue: string;
        inputHasFocus: boolean;
    };
    componentDidMount(): void;
    _isSelectMode(): boolean;
    _hasFocus(): boolean;
    _getRootClassName(newColorsBranding: any): any;
    render(): React.JSX.Element;
    input: Input | null | undefined;
    clear(): void;
}
declare namespace InputWithTags {
    namespace propTypes {
        let onRemoveTag: PropTypes.Requireable<(...args: any[]) => any>;
        let tags: PropTypes.Requireable<any[]>;
        let onReorder: PropTypes.Requireable<(...args: any[]) => any>;
        let maxHeight: PropTypes.Requireable<string>;
        let maxNumRows: PropTypes.Requireable<number>;
        let onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
        let dataHook: PropTypes.Requireable<string>;
        let placeholder: PropTypes.Requireable<string>;
        let onFocus: PropTypes.Requireable<(...args: any[]) => any>;
        let onBlur: PropTypes.Requireable<(...args: any[]) => any>;
        let onInputClicked: PropTypes.Requireable<(...args: any[]) => any>;
        let autoFocus: PropTypes.Requireable<boolean>;
        let disabled: PropTypes.Requireable<boolean>;
        let readOnly: PropTypes.Requireable<boolean>;
        let status: PropTypes.Requireable<string>;
        let statusMessage: PropTypes.Requireable<string>;
        let mode: PropTypes.Requireable<string>;
        let delimiters: PropTypes.Requireable<any[]>;
        let width: PropTypes.Requireable<string>;
        let customSuffix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let hideCustomSuffix: PropTypes.Requireable<boolean>;
    }
    namespace defaultProps {
        export function onRemoveTag_1(): void;
        export { onRemoveTag_1 as onRemoveTag };
        let tags_1: never[];
        export { tags_1 as tags };
        let placeholder_1: string;
        export { placeholder_1 as placeholder };
        let delimiters_1: never[];
        export { delimiters_1 as delimiters };
    }
}
import React from 'react';
import Input from '../Input';
import PropTypes from 'prop-types';
//# sourceMappingURL=InputWithTags.d.ts.map