const isTestEnv = process.env.NODE_ENV === 'test';
export const getArrowShift = (shift, direction) => {
    if (!shift && !isTestEnv) {
        return {};
    }
    return {
        [direction === 'top' || direction === 'bottom'
            ? 'left'
            : 'top']: `${shift}px`,
    };
};
//# sourceMappingURL=getArrowShift.js.map