import { Boundary, Placement } from 'popper.js';
export type MoveBy = Partial<{
    x: number;
    y: number;
}>;
export interface ModifiersParams {
    width?: string | number;
    moveBy?: MoveBy;
    appendTo?: Boundary | Element;
    placement: Placement;
    shouldAnimate: boolean;
    flip?: boolean;
    fixed?: boolean;
    isTestEnv: boolean;
    minWidth?: string | number;
    dynamicWidth?: boolean;
}
export declare const getModifiers: ({ width, moveBy, appendTo, shouldAnimate, flip, fixed, placement, isTestEnv, minWidth, dynamicWidth, }: ModifiersParams) => import("popper.js").default.Modifiers;
//# sourceMappingURL=getModifiers.d.ts.map