export default RichTextInputArea;
declare class RichTextInputArea extends React.PureComponent<any, any, any> {
    static contextType: React.Context<{
        status?: import("..").StatusType | null;
        ariaLabelledBy?: string | null;
        ariaDescribedBy?: string | null;
    }>;
    constructor(props: any);
    state: {
        editorState: any;
        texts: {
            toolbarButtons: any;
            insertionForm: any;
        };
    };
    componentDidMount(): void;
    editorRef: React.RefObject<any> | undefined;
    render(): React.JSX.Element;
    _setEditorState: (newEditorState: any, onStateChanged?: () => void) => void;
    _updateContentByValue: (value: any) => void;
    /** Set value to display in the editor */
    setValue: (value: any) => void;
}
declare namespace RichTextInputArea {
    let displayName: string;
    namespace propTypes {
        let className: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let initialValue: PropTypes.Requireable<string>;
        let placeholder: PropTypes.Requireable<string>;
        let disabled: PropTypes.Requireable<boolean>;
        let status: PropTypes.Requireable<string>;
        let statusMessage: PropTypes.Requireable<string>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        let minHeight: PropTypes.Requireable<string>;
        let maxHeight: PropTypes.Requireable<string>;
        let spellCheck: PropTypes.Requireable<boolean>;
        let texts: PropTypes.Requireable<PropTypes.InferProps<{
            toolbarButtons: PropTypes.Requireable<PropTypes.InferProps<{
                boldButtonLabel: PropTypes.Requireable<string>;
                italicButtonLabel: PropTypes.Requireable<string>;
                underlineButtonLabel: PropTypes.Requireable<string>;
                linkButtonLabel: PropTypes.Requireable<string>;
                bulletedListButtonLabel: PropTypes.Requireable<string>;
                numberedListButtonLabel: PropTypes.Requireable<string>;
            }>>;
            insertionForm: PropTypes.Requireable<PropTypes.InferProps<{
                confirmButtonLabel: PropTypes.Requireable<string>;
                cancelButtonLabel: PropTypes.Requireable<string>;
                link: PropTypes.Requireable<PropTypes.InferProps<{
                    textInputPlaceholder: PropTypes.Requireable<string>;
                    urlInputPlaceholder: PropTypes.Requireable<string>;
                }>>;
            }>>;
        }>>;
    }
    namespace defaultProps {
        let initialValue_1: string;
        export { initialValue_1 as initialValue };
        let texts_1: {};
        export { texts_1 as texts };
        let disabled_1: boolean;
        export { disabled_1 as disabled };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=RichTextInputArea.d.ts.map