import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { ContentProps } from './Content.types';
declare class Content extends PureComponent<ContentProps> {
    static displayName: string;
    static propTypes: {
        className: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        noPadding: PropTypes.Requireable<boolean>;
        stretchVertically: PropTypes.Requireable<boolean>;
    };
    static defaultProps: {
        noPadding: boolean;
        stretchVertically: boolean;
    };
    render(): React.JSX.Element;
}
export default Content;
//# sourceMappingURL=Content.d.ts.map