import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { FooterProps } from './Footer.types';
declare class Footer extends PureComponent<FooterProps> {
    static displayName: string;
    static propTypes: {
        className: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        showDivider: PropTypes.Requireable<boolean>;
        noPadding: PropTypes.Requireable<boolean>;
    };
    static defaultProps: {
        showDivider: boolean;
        noPadding: boolean;
    };
    render(): React.JSX.Element;
}
export default Footer;
//# sourceMappingURL=Footer.d.ts.map