export default SidebarHeader;
/** A header within the sidebar with title, subtitle and custom content at the bottom. */
declare class SidebarHeader extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applied as data-hook HTML attribute that can be used in the tests */
        dataHook: PropTypes.Requireable<string>;
        /** A text to show as the header title */
        title: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** A text to show as the header subtitle */
        subtitle: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** A custom node to render from the bottom */
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=SidebarHeader.d.ts.map