import { BulkSelectionConsumer } from '../BulkSelection/BulkSelectionConsumer';
import React from 'react';
import { BulkSelectionState } from '../BulkSelection';
import Checkbox from '../../Checkbox/Checkbox';
export const TableBulkSelectionCheckbox = ({ dataHook, children }) => {
    return (React.createElement(BulkSelectionConsumer, { consumerCompName: "Table.BulkSelectionCheckbox", providerCompName: "Table" }, ({ bulkSelectionState, toggleAll, selectionDisabled, deselectRowsByDefault, }) => (React.createElement(Checkbox, { dataHook: dataHook, checked: bulkSelectionState === BulkSelectionState.ALL, indeterminate: bulkSelectionState === BulkSelectionState.SOME, disabled: selectionDisabled === true, onChange: () => toggleAll(deselectRowsByDefault, 'TableBulkSelectionCheckbox') }, children))));
};
//# sourceMappingURL=TableBulkSelectionCheckbox.js.map