export default WixStyleReactEnvironmentProvider;
/** A wrapper component for an app to hold cross library global configuration such as locale, rtl and others */
declare function WixStyleReactEnvironmentProvider({ locale, pageHeaderId, children, }: {
    locale?: string | undefined;
    pageHeaderId: any;
    children: any;
}): React.JSX.Element;
declare namespace WixStyleReactEnvironmentProvider {
    let displayName: string;
    namespace propTypes {
        let locale: PropTypes.Requireable<string>;
        let pageHeaderId: PropTypes.Requireable<string>;
        let children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=WixStyleReactEnvironmentProvider.d.ts.map