"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _Text = _interopRequireDefault(require("../../../Text"));
var _Toggle = _interopRequireDefault(require("../../../Transition/Toggle"));
var _AccordionItemCaret = _interopRequireDefault(require("../AccordionItemCaret"));
var _constants = require("../../../Transition/constants");
var _constants2 = require("../../constants");
var _context = require("../../../WixStyleReactProvider/context");
var _AccordionItemSt = require("./AccordionItem.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Accordion/components/AccordionItem/AccordionItem.tsx";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var IconsContainer = _ref => {
  var {
    position,
    toggleIconPlacement,
    icon,
    iconDataHook,
    caretProps
  } = _ref;
  var shouldShowToggleIcon = toggleIconPlacement === position;
  return shouldShowToggleIcon || icon ? /*#__PURE__*/_react.default.createElement("div", {
    className: _AccordionItemSt.classes.iconsContainer,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 33,
      columnNumber: 5
    }
  }, shouldShowToggleIcon && position === 'start' && /*#__PURE__*/_react.default.createElement(_AccordionItemCaret.default, (0, _extends2.default)({}, caretProps, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 35,
      columnNumber: 9
    }
  })), icon && /*#__PURE__*/_react.default.createElement("div", {
    className: _AccordionItemSt.classes.affix,
    "data-hook": iconDataHook,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 38,
      columnNumber: 9
    }
  }, icon), shouldShowToggleIcon && position === 'end' && /*#__PURE__*/_react.default.createElement(_AccordionItemCaret.default, (0, _extends2.default)({}, caretProps, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 43,
      columnNumber: 9
    }
  }))) : null;
};
function AccordionItem(_ref2) {
  var {
    icon,
    prefix,
    suffix,
    title,
    subtitle,
    open,
    children,
    onToggle,
    onMouseLeave,
    onMouseEnter,
    disabled,
    skin,
    hideShadow,
    className,
    size,
    horizontalPadding,
    last,
    transitionSpeed = 'medium',
    onAnimationEnter,
    onAnimationExit,
    buttonType = 'textButton',
    expandLabel,
    collapseLabel,
    toggleIconPlacement = 'end',
    showLabel
  } = _ref2;
  var [hover, setHover] = (0, _react.useState)(false);
  var caretProps = {
    hover,
    buttonType,
    expandLabel,
    collapseLabel,
    showLabel,
    open,
    disabled,
    skin
  };
  var _onMouseLeave = e => {
    setHover(false);
    !disabled && onMouseLeave && onMouseLeave(e);
  };
  var _onMouseEnter = e => {
    setHover(true);
    !disabled && onMouseEnter && onMouseEnter(e);
  };
  return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 100,
      columnNumber: 5
    }
  }, _ref3 => {
    var {
      newColorsBranding
    } = _ref3;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _AccordionItemSt.st)(_AccordionItemSt.classes.root, {
        disabled,
        hover,
        open,
        skin,
        hideShadow,
        size,
        horizontalPadding,
        last,
        newColorsBranding
      }, className),
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 102,
        columnNumber: 9
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants2.dataHooks.item,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 119,
        columnNumber: 11
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      onClick: !disabled ? onToggle : () => {},
      className: (0, _AccordionItemSt.st)(_AccordionItemSt.classes.header, {
        size
      }),
      "data-hook": _constants2.dataHooks.header,
      onMouseEnter: _onMouseEnter,
      onMouseLeave: _onMouseLeave,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 120,
        columnNumber: 13
      }
    }, /*#__PURE__*/_react.default.createElement(IconsContainer, {
      position: "start",
      toggleIconPlacement: toggleIconPlacement,
      icon: prefix || icon,
      caretProps: caretProps,
      iconDataHook: _constants2.dataHooks.prefix,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 127,
        columnNumber: 15
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: _AccordionItemSt.classes.titleWrapper,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 134,
        columnNumber: 15
      }
    }, title && /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": "titleContainer",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 136,
        columnNumber: 19
      }
    }, typeof title === 'string' ? /*#__PURE__*/_react.default.createElement(_Text.default, {
      dataHook: "title",
      ellipsis: true,
      weight: "normal",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 138,
        columnNumber: 23
      }
    }, title) : title), subtitle && /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants2.dataHooks.subtitle,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 147,
        columnNumber: 19
      }
    }, typeof subtitle === 'string' ? /*#__PURE__*/_react.default.createElement(_Text.default, {
      size: "small",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 149,
        columnNumber: 23
      }
    }, subtitle) : subtitle)), /*#__PURE__*/_react.default.createElement(IconsContainer, {
      position: "end",
      toggleIconPlacement: toggleIconPlacement,
      icon: suffix,
      caretProps: caretProps,
      iconDataHook: _constants2.dataHooks.suffix,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 156,
        columnNumber: 15
      }
    })), /*#__PURE__*/_react.default.createElement(_Toggle.default, {
      show: open,
      timeout: _constants.timingMap[transitionSpeed],
      onStart: onAnimationEnter,
      onEnd: onAnimationExit,
      unmountOnExit: true,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 164,
        columnNumber: 13
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": "children",
      className: _AccordionItemSt.classes.children,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 171,
        columnNumber: 15
      }
    }, children))));
  });
}
var _default = exports.default = AccordionItem;
//# sourceMappingURL=AccordionItem.js.map