"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _CellSt = require("./Cell.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/AnalyticsLayout/Cell/Cell.tsx";
/** Cell */
class Cell extends _react.default.PureComponent {
  constructor() {
    super(...arguments);
    this.state = {
      isHovered: false
    };
  }
  _setHover(isHovered) {
    this.setState({
      isHovered
    });
  }
  render() {
    var {
      dataHook,
      children,
      disableHighlight
    } = this.props;
    var {
      isHovered
    } = this.state;
    return /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": dataHook,
      className: (0, _CellSt.st)(_CellSt.classes.root, {
        highlight: !disableHighlight && isHovered
      }),
      onMouseEnter: () => this._setHover(true),
      onMouseLeave: () => this._setHover(false),
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 33,
        columnNumber: 7
      }
    }, children);
  }
}
Cell.defaultProps = {
  disableHighlight: false,
  children: null
};
Cell.displayName = 'Cell';
Cell.propTypes = {
  dataHook: _propTypes.default.string,
  disableHighlight: _propTypes.default.bool,
  children: _propTypes.default.any.isRequired
};
var _default = exports.default = Cell;
//# sourceMappingURL=Cell.js.map