"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.announcementModalLayoutDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _BaseModalLayoutUni = require("../BaseModalLayout/BaseModalLayout.uni.driver");
var _TextButtonUni = require("../TextButton/TextButton.uni.driver");
var _constants = require("./constants");
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var announcementModalLayoutDriverFactory = base => {
  var getLink = () => (0, _TextButtonUni.textButtonDriverFactory)((0, _unidriver.findByHook)(base, _constants.dataHooks.link));
  return _objectSpread(_objectSpread({}, (0, _BaseModalLayoutUni.baseModalLayoutDriverFactory)(base)), {}, {
    /** Returns if the link component text content */
    getLinkText: () => getLink().getButtonTextContent(),
    /** Clicks the link component */
    clickLink: function () {
      var _clickLink = (0, _asyncToGenerator2.default)(function* () {
        return getLink().click();
      });
      function clickLink() {
        return _clickLink.apply(this, arguments);
      }
      return clickLink;
    }()
  });
};
exports.announcementModalLayoutDriverFactory = announcementModalLayoutDriverFactory;
//# sourceMappingURL=AnnouncementModalLayout.uni.driver.js.map