"use strict";

exports.__esModule = true;
exports.Y_AXES_TICKS_PROPS = exports.TOOLTIP_PROPS = exports.OPTIONS_PROPS = exports.GRIDLINE_PROPS = exports.DATASET_PROPS = void 0;
var _AreaChartSt = require("./AreaChart.st.css");
var DATASET_PROPS = exports.DATASET_PROPS = {
  backgroundColor: _AreaChartSt.stVars.datasetBg,
  borderColor: _AreaChartSt.stVars.datasetLineColor,
  borderWidth: 2,
  pointBorderColor: _AreaChartSt.stVars.pointBorderColor,
  pointHoverBackgroundColor: _AreaChartSt.stVars.pointHoverBackgroundColor,
  pointHoverBorderColor: _AreaChartSt.stVars.pointHoverBorderColor,
  lineTension: 0.12,
  pointBackgroundColor: 'transparent',
  pointHitRadius: 1,
  pointHoverBorderWidth: 2
};
var OPTIONS_PROPS = exports.OPTIONS_PROPS = {
  maintainAspectRatio: false,
  hover: {
    mode: 'index',
    intersect: false,
    animationDuration: 0
  },
  legend: {
    display: false,
    labels: {
      family: 'Madefor'
    }
  }
};
var GRIDLINE_PROPS = exports.GRIDLINE_PROPS = {
  borderDash: [1, 1],
  color: [_AreaChartSt.stVars.gridLineZeroLineColor, ...new Array(90).fill(_AreaChartSt.stVars.gridLineFontColor)],
  borderDashOffset: 1,
  drawBorder: true
};
var Y_AXES_TICKS_PROPS = exports.Y_AXES_TICKS_PROPS = {
  beginAtZero: true,
  labelOffset: 4,
  padding: 5
};
var TOOLTIP_PROPS = exports.TOOLTIP_PROPS = {
  backgroundColor: _AreaChartSt.stVars.tooltipBg,
  mode: 'index',
  intersect: false,
  caretPadding: 10,
  xPadding: 24,
  yPadding: 14,
  xAlign: 'center',
  yAlign: 'bottom',
  displayColors: false,
  bodyFontSize: 14,
  bodySpacing: 4,
  cornerRadius: 8
};
//# sourceMappingURL=chartOptions.js.map