export default Avatar;
/**
 * Avatar is a type of element that visually represents a user, either as an image, name initials or placeholder icon.
 */
declare class Avatar extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        fadeIndication: boolean;
        showIndication: boolean;
    };
    _onMouseEnter: () => void;
    _onMouseLeave: () => void;
    render(): React.JSX.Element;
}
declare namespace Avatar {
    let displayName: string;
    namespace propTypes {
        let size: PropTypes.Requireable<string>;
        let color: PropTypes.Requireable<string>;
        let shape: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let presence: PropTypes.Requireable<string>;
        let indication: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let customIndication: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let onIndicationClick: PropTypes.Requireable<(...args: any[]) => any>;
        let showIndicationOnHover: PropTypes.Requireable<boolean>;
        let loading: PropTypes.Requireable<boolean>;
        let name: PropTypes.Requireable<string>;
        let text: PropTypes.Requireable<string>;
        let placeholder: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let imgProps: PropTypes.Requireable<object>;
        let ariaLabel: PropTypes.Requireable<string>;
        let title: PropTypes.Requireable<string>;
        let onClick: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let size_1: string;
        export { size_1 as size };
        let shape_1: string;
        export { shape_1 as shape };
        let showIndicationOnHover_1: boolean;
        export { showIndicationOnHover_1 as showIndicationOnHover };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Avatar.d.ts.map