/**
 * Convert a space delimited full name to capitalized initials.
 * Returned initials would not exceed 3 or 2 letters, according to provided `limit`.
 * @param limit number If set to 3, then if name has more than 3 parts,
 *  then the 1st, 2nd and last parts would be used. If set to 2, then first and last parts are used.
 */
export declare function nameToInitials(name?: string, limit?: 1 | 2 | 3): string;
//# sourceMappingURL=utils.d.ts.map