"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.badgeSelectPrivateUniDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _BadgeSelectUni = require("./BadgeSelect.uni.driver");
var _PopoverUni = require("../Popover/Popover.uni.driver");
var _BadgeUni = require("../Badge/Badge.uni.driver");
var DATA_ATTR = _interopRequireWildcard(require("./DataAttr"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var badgeSelectPrivateUniDriverFactory = (base, body) => {
  var popoverDriver = (0, _PopoverUni.popoverUniDriverFactory)(base, body);
  var badgeDriver = (0, _BadgeUni.badgeUniDriverFactory)((0, _unidriver.findByHook)(base, DATA_ATTR.DATA_BADGE));
  return _objectSpread(_objectSpread({}, (0, _BadgeSelectUni.badgeSelectUniDriverFactory)(base, body)), {}, {
    /** Performs a click outside the component */
    clickOutside: popoverDriver.clickOutside,
    /** Clicks on the badge */
    clickOnBadge: () => badgeDriver.click(),
    /** Whether the dropdown is shown */
    isDropdownShown: popoverDriver.isContentElementExists
  });
};
exports.badgeSelectPrivateUniDriverFactory = badgeSelectPrivateUniDriverFactory;
//# sourceMappingURL=BadgeSelect.private.uni.driver.js.map