export function Footer({ dataHook, className, showFooterDivider }: {
    dataHook: any;
    className: any;
    showFooterDivider?: boolean | undefined;
}): any;
export namespace Footer {
    let displayName: string;
    namespace propTypes {
        let className: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let theme: PropTypes.Requireable<string>;
        let actionsSize: PropTypes.Requireable<string>;
        let primaryButtonText: PropTypes.Requireable<string>;
        let primaryButtonOnClick: PropTypes.Requireable<(...args: any[]) => any>;
        let primaryButtonProps: PropTypes.Requireable<PropTypes.InferProps<{
            as: PropTypes.Requireable<NonNullable<string | object | null | undefined>>;
            className: PropTypes.Requireable<string>;
            skin: PropTypes.Requireable<string>;
            priority: PropTypes.Requireable<string>;
            size: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            fullWidth: PropTypes.Requireable<boolean>;
            suffixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            prefixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            disabled: PropTypes.Requireable<boolean>;
            children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            ellipsis: PropTypes.Requireable<boolean>;
            showTooltip: PropTypes.Requireable<boolean>;
            tooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        }>>;
        let primaryButtonTooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        let secondaryButtonText: PropTypes.Requireable<string>;
        let secondaryButtonOnClick: PropTypes.Requireable<(...args: any[]) => any>;
        let secondaryButtonProps: PropTypes.Requireable<PropTypes.InferProps<{
            as: PropTypes.Requireable<NonNullable<string | object | null | undefined>>;
            className: PropTypes.Requireable<string>;
            skin: PropTypes.Requireable<string>;
            priority: PropTypes.Requireable<string>;
            size: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            fullWidth: PropTypes.Requireable<boolean>;
            suffixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            prefixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            disabled: PropTypes.Requireable<boolean>;
            children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            ellipsis: PropTypes.Requireable<boolean>;
            showTooltip: PropTypes.Requireable<boolean>;
            tooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        }>>;
        let sideActions: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let showFooterDivider: PropTypes.Requireable<boolean>;
    }
}
import PropTypes from 'prop-types';
//# sourceMappingURL=Footer.d.ts.map