"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Footnote = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _FootnoteSt = require("./Footnote.st.css");
var _Divider = _interopRequireDefault(require("../../../Divider"));
var _BaseModalLayoutContext = require("../../BaseModalLayoutContext");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/BaseModalLayout/LayoutBlocks/Footnote/Footnote.js";
var Footnote = _ref => {
  var {
    dataHook,
    className,
    children
  } = _ref;
  var {
    footnoteClassName,
    footnote = children
  } = (0, _BaseModalLayoutContext.useBaseModalLayoutContext)();
  return footnote && /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    className: (0, _FootnoteSt.st)(_FootnoteSt.classes.root, footnoteClassName, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_Divider.default, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 9
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _FootnoteSt.classes.innerContent,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 9
    }
  }, footnote)) || null;
};
exports.Footnote = Footnote;
Footnote.displayName = 'BaseModalLayout.Footnote';
Footnote.propTypes = {
  /** additional css classes */
  className: _propTypes.default.string,
  /** data hook for testing */
  dataHook: _propTypes.default.string,
  /** a footnote node, to be rendered at the very bottom of the modal */
  footnote: _propTypes.default.node
};
//# sourceMappingURL=Footnote.js.map