export default BounceAnimation;
/** Bounce Animation*/
declare class BounceAnimation extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        animationSize: undefined;
    };
    rootRef: React.RefObject<any>;
    componentDidMount(): void;
    _getAnimationSize: () => string;
    render(): React.JSX.Element;
}
declare namespace BounceAnimation {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let active: PropTypes.Requireable<boolean>;
        let onStart: PropTypes.Requireable<(...args: any[]) => any>;
        let onEnd: PropTypes.Requireable<(...args: any[]) => any>;
        let loop: PropTypes.Requireable<boolean>;
        let delay: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    }
    let defaultProps: {};
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=BounceAnimation.d.ts.map