export default BrowserPreviewWidget;
/** Browser preview widget */
declare class BrowserPreviewWidget extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applied as data-hook HTML attribute that can be used in the tests*/
        dataHook: PropTypes.Requireable<string>;
        /** Background skin. To use `custom` skin, set it to `custom` and use the `backgroundColor` prop*/
        skin: PropTypes.Requireable<string>;
        /** Mobile preview widget background color. Can be set with `design system` colors*/
        backgroundColor: PropTypes.Requireable<string>;
        /** Sets the height of the component.*/
        height: PropTypes.Requireable<string>;
        /** Sets the width of the component */
        width: PropTypes.Requireable<string>;
        /** Browser bar height */
        browserBarSize: PropTypes.Requireable<string>;
        /** Node to preview */
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
    };
    static defaultProps: {
        skin: string;
        height: string;
        width: string;
        browserBarSize: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=BrowserPreviewWidget.d.ts.map