"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("./constants");
var _PreviewWidget = _interopRequireDefault(require("../PreviewWidget"));
var _BrowserPreviewWidgetSt = require("./BrowserPreviewWidget.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/BrowserPreviewWidget/BrowserPreviewWidget.js";
/** Browser preview widget */
class BrowserPreviewWidget extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      skin,
      backgroundColor,
      height,
      width,
      browserBarSize,
      children
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_PreviewWidget.default, {
      className: (0, _BrowserPreviewWidgetSt.st)(_BrowserPreviewWidgetSt.classes.root, {
        skin,
        backgroundColor,
        height,
        width,
        browserBarSize
      }),
      dataHook: dataHook,
      skin: skin,
      backgroundColor: backgroundColor,
      height: height,
      width: width,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 53,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.dataHooks.browserBar,
      className: _BrowserPreviewWidgetSt.classes.browserBar,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 67,
        columnNumber: 9
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: _BrowserPreviewWidgetSt.classes.circlesContainer,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 68,
        columnNumber: 11
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: _BrowserPreviewWidgetSt.classes.circle,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 69,
        columnNumber: 13
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: _BrowserPreviewWidgetSt.classes.circle,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 70,
        columnNumber: 13
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: _BrowserPreviewWidgetSt.classes.circle,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 71,
        columnNumber: 13
      }
    }))), /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.dataHooks.browserContent,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 74,
        columnNumber: 9
      }
    }, children));
  }
}
BrowserPreviewWidget.displayName = 'BrowserPreviewWidget';
BrowserPreviewWidget.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests*/
  dataHook: _propTypes.default.string,
  /** Background skin. To use `custom` skin, set it to `custom` and use the `backgroundColor` prop*/
  skin: _propTypes.default.oneOf(['neutral', 'gradient', 'custom']),
  /** Mobile preview widget background color. Can be set with `design system` colors*/
  backgroundColor: _propTypes.default.string,
  /** Sets the height of the component.*/
  height: _propTypes.default.string,
  /** Sets the width of the component */
  width: _propTypes.default.string,
  /** Browser bar height */
  browserBarSize: _propTypes.default.oneOf(['size9', 'size12', 'size18', 'size24']),
  /** Node to preview */
  children: _propTypes.default.node.isRequired
};
BrowserPreviewWidget.defaultProps = {
  skin: 'neutral',
  height: '100%',
  width: '100%',
  browserBarSize: 'size12'
};
var _default = exports.default = BrowserPreviewWidget;
//# sourceMappingURL=BrowserPreviewWidget.js.map