"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _MonthDropdownSt = require("./MonthDropdown.st.css");
var _setMonth = _interopRequireDefault(require("date-fns/setMonth"));
var _DatePickerDropdown = _interopRequireDefault(require("../../DatePickerDropdown"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Calendar/DatePickerHead/MonthDropdown/MonthDropdown.js";
var optionsOf = items => items.map((item, index) => ({
  value: item,
  id: index
}));
var MonthDropdown = _ref => {
  var {
    className,
    months,
    date,
    onChange: _onChange,
    ariaLabel,
    ariaLabelledBy
  } = _ref;
  var options = optionsOf(months);
  var selectedMonth = options.find(_ref2 => {
    var {
      id
    } = _ref2;
    return id === date.getMonth();
  });
  return /*#__PURE__*/_react.default.createElement(_DatePickerDropdown.default, {
    dataHook: "datepicker-month-dropdown",
    className: (0, _MonthDropdownSt.st)(_MonthDropdownSt.classes.root, className),
    caption: selectedMonth.value,
    options: options,
    selectedId: selectedMonth.id,
    onChange: _ref3 => {
      var {
        id
      } = _ref3;
      return _onChange((0, _setMonth.default)(date, id));
    },
    ariaLabel: ariaLabel,
    ariaLabelledBy: ariaLabelledBy,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 5
    }
  });
};
MonthDropdown.propTypes = {
  className: _propTypes.default.string,
  months: _propTypes.default.arrayOf(_propTypes.default.string).isRequired,
  date: _propTypes.default.object.isRequired,
  onChange: _propTypes.default.func.isRequired,
  ariaLabel: _propTypes.default.string,
  ariaLabelledBy: _propTypes.default.string
};
var _default = exports.default = MonthDropdown;
//# sourceMappingURL=MonthDropdown.js.map