/**
 * Date utils for a multi-month calendar view.
 */
export class CalendarView {
    /**
     * @param {*} firstMonthDate a date that represents the first displayed month in the calendar view. (Does not have to be the 1st of that month)
     * @param {*} numOfMonths number of months that are displayed in the view
     */
    constructor(firstMonthDate: any, numOfMonths: any);
    startDate: Date;
    endDate: Date;
    /**
     * Is the given date contained in the calendar view
     *
     * @param {*} date
     * @returns
     * @memberof CalendarView
     */
    isContained(date: any): boolean;
    isRangeFits(from: any, to: any): boolean;
    /**
     * Is the given date after the view's end date
     */
    isAfterView(date: any): boolean;
    /**
     * Is the given date before the view's start date
     */
    isBeforeView(date: any): boolean;
}
//# sourceMappingURL=utils.d.ts.map