"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _Calendar = _interopRequireDefault(require("../Calendar/Calendar.driver"));
var _DropdownLayout = _interopRequireDefault(require("../DropdownLayout/DropdownLayout.driver"));
var calendarPanelDriverFactory = _ref => {
  var {
    element
  } = _ref;
  var dropdownLayoutElement = () => element.querySelector('[data-hook=dropdown-layout]');
  var calendarElement = () => element.querySelector('[data-hook=calendar]');
  var getCalendarDriver = () => (0, _Calendar.default)({
    element: calendarElement()
  });
  var dropdownLayoutDriver = () => (0, _DropdownLayout.default)({
    element: dropdownLayoutElement()
  });
  var driver = {
    exists: () => !!element,
    calendarDriver: () => getCalendarDriver(),
    presetsDropdownLayoutDriver: () => dropdownLayoutDriver(),
    isDropdownExists: () => Boolean(dropdownLayoutElement())
  };
  return driver;
};
var _default = exports.default = calendarPanelDriverFactory;
//# sourceMappingURL=CalendarPanel.driver.js.map