export default Header;
declare class Header extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applies a data-hook HTML attribute to be used in the tests */
        dataHook: PropTypes.Requireable<string>;
        /** Sets card title text value. Title can also be overridden to any other component. */
        title: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        /** Sets card subtitle text value. Subtitle can also be overridden to any other component. */
        subtitle: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** Adds an empty container on the right side of a header. Used to store action buttons or other components. */
        suffix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** Specifies a CSS class name to be appended to the component’s root element. */
        className: PropTypes.Requireable<string>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Header.d.ts.map