"use strict";

exports.__esModule = true;
exports.default = void 0;
var _hooks = require("./hooks");
var headerDriverFactory = _ref => {
  var {
    element
  } = _ref;
  var _title = () => element.querySelector("[data-hook=\"".concat(_hooks.DataHooks.title, "\"]"));
  var _subtitle = () => element.querySelector("[data-hook=\"".concat(_hooks.DataHooks.subtitle, "\"]"));
  return {
    exists: () => !!element,
    title: () => {
      var el = _title();
      return el && el.textContent;
    },
    subtitle: () => {
      var el = _subtitle();
      return el && el.textContent;
    }
  };
};
var _default = exports.default = headerDriverFactory;
//# sourceMappingURL=Header.driver.js.map