export default Subheader;
declare class Subheader extends React.PureComponent<any, any, any> {
    static displayName: string;
    static defaultProps: {
        skin: string;
    };
    static propTypes: {
        /** Applies a data-hook HTML attribute to be used in the tests */
        dataHook: PropTypes.Requireable<string>;
        /** Sets a title text value. Title can also be overridden to any other component. */
        title: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        /** Adds an empty container on the right side of a subheader. Commonly used to store action buttons or an info icon. */
        suffix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** Controls the background color of a subheader  */
        skin: PropTypes.Requireable<string>;
    };
    constructor(...args: any[]);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Subheader.d.ts.map