"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Text = _interopRequireDefault(require("../../Text"));
var _Box = _interopRequireDefault(require("../../Box"));
var _SubheaderSt = require("./Subheader.st.css");
var _StringUtils = require("../../utils/StringUtils");
var _deprecationLog = _interopRequireDefault(require("../../utils/deprecationLog"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Card/Subheader/Subheader.js";
class Subheader extends _react.default.PureComponent {
  constructor() {
    super(...arguments);
    (0, _deprecationLog.default)('Card.Subheader is deprecated and will be removed in the next major version. Please use SectionHeader instead.');
  }
  render() {
    var {
      dataHook,
      title,
      suffix,
      skin
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": dataHook,
      className: (0, _SubheaderSt.st)(_SubheaderSt.classes.root, {
        skin
      }),
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 40,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react.default.createElement(_Box.default, {
      verticalAlign: "middle",
      flexGrow: 1,
      overflow: "hidden",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 46,
        columnNumber: 9
      }
    }, (0, _StringUtils.isString)(title) ? /*#__PURE__*/_react.default.createElement(_Text.default, {
      ellipsis: true,
      weight: "normal",
      size: "medium",
      dataHook: "title",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 48,
        columnNumber: 13
      }
    }, title) : /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": "title-node",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 52,
        columnNumber: 13
      }
    }, title)), suffix && /*#__PURE__*/_react.default.createElement("div", {
      className: _SubheaderSt.classes.suffix,
      "data-hook": "suffix-node",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 57,
        columnNumber: 11
      }
    }, suffix));
  }
}
Subheader.displayName = 'Card.Subheader';
Subheader.defaultProps = {
  skin: 'standard'
};
Subheader.propTypes = {
  /** Applies a data-hook HTML attribute to be used in the tests */
  dataHook: _propTypes.default.string,
  /** Sets a title text value. Title can also be overridden to any other component. */
  title: _propTypes.default.node.isRequired,
  /** Adds an empty container on the right side of a subheader. Commonly used to store action buttons or an info icon. */
  suffix: _propTypes.default.node,
  /** Controls the background color of a subheader  */
  skin: _propTypes.default.oneOf(['standard', 'neutral'])
};
var _default = exports.default = Subheader;
//# sourceMappingURL=Subheader.js.map