"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.cardSubheaderDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var cardSubheaderDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Returns title text */
    title: function () {
      var _title = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="title"]').text();
      });
      function title() {
        return _title.apply(this, arguments);
      }
      return title;
    }(),
    /** Returns title node */
    titleNode: function () {
      var _titleNode = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="title-node"] > *');
      });
      function titleNode() {
        return _titleNode.apply(this, arguments);
      }
      return titleNode;
    }(),
    /** Returns suffix node */
    suffixNode: function () {
      var _suffixNode = (0, _asyncToGenerator2.default)(function* () {
        return base.$("[data-hook=\"suffix-node\"] > *");
      });
      function suffixNode() {
        return _suffixNode.apply(this, arguments);
      }
      return suffixNode;
    }()
  });
};
exports.cardSubheaderDriverFactory = cardSubheaderDriverFactory;
//# sourceMappingURL=Subheader.uni.driver.js.map