"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.testkitTests = exports.ssrTests = exports.requiredProps = exports.a11yTests = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
// This object should contain a mock value for each required prop of this component
var requiredProps = exports.requiredProps = {
  primaryActionProps: {
    label: 'Button'
  }
};

// This array should contain an object only for tests you wish to run on all compliance tests
var sharedTests = [{
  title: 'render',
  props: _objectSpread({}, requiredProps)
}];
var testkitTests = exports.testkitTests = [{
  title: 'render',
  props: _objectSpread(_objectSpread({}, requiredProps), {}, {
    secondaryActionProps: {
      label: 'Text link'
    },
    backgroundImageUrl: 'https://static.wixstatic.com/media/89ea07a19c3d415e99a8a8a3c0ab1de8.jpg/v1/fill/w_343,h_343,al_c,q_80,usm_0.66_1.00_0.01/89ea07a19c3d415e99a8a8a3c0ab1de8.jpg'
  })
}];
var ssrTests = exports.ssrTests = [...sharedTests];
var a11yTests = exports.a11yTests = [...sharedTests];
//# sourceMappingURL=CardGalleryItem.meta.js.map