"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.carouselPrivateUniDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _CarouselUni = require("./Carousel.uni.driver");
var _react = require("../test-utils/utils/react");
var _IconButtonUni = require("../IconButton/IconButton.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var carouselPrivateUniDriverFactory = base => {
  var getCurrentSlide = () => base.$('[aria-hidden="false"]');
  var arrowButtonDriver = direction => (0, _IconButtonUni.iconButtonDriverFactory)(base.$("[data-hook=\"".concat(direction, "-button-element\"]")));
  return _objectSpread(_objectSpread({}, (0, _CarouselUni.carouselUniDriverFactory)(base)), {}, {
    hasClass: className => base.hasClass(className),
    getCurrentImageIndex: function () {
      var _getCurrentImageIndex = (0, _asyncToGenerator2.default)(function* () {
        return Number(yield getCurrentSlide().attr('data-index'));
      });
      function getCurrentImageIndex() {
        return _getCurrentImageIndex.apply(this, arguments);
      }
      return getCurrentImageIndex;
    }(),
    isPrevButtonDisabled: () => arrowButtonDriver('prev').isButtonDisabled(),
    isNextButtonDisabled: () => arrowButtonDriver('next').isButtonDisabled(),
    loadImages: function () {
      var _loadImages = (0, _asyncToGenerator2.default)(function* () {
        return (0, _react.act)(/*#__PURE__*/(0, _asyncToGenerator2.default)(function* () {
          return base.$$('[data-hook="carousel-img"]').map(/*#__PURE__*/function () {
            var _ref2 = (0, _asyncToGenerator2.default)(function* (img) {
              return _react.fireEvent.load(yield img.getNative());
            });
            return function (_x) {
              return _ref2.apply(this, arguments);
            };
          }());
        }));
      });
      function loadImages() {
        return _loadImages.apply(this, arguments);
      }
      return loadImages;
    }(),
    hover: () => getCurrentSlide().hover(),
    mouseLeave: () => getCurrentSlide().mouse.leave(),
    clickPageNavigationDot: index => {
      var pageNavigator = base.$("[data-hook=\"page-navigation-".concat(index, "\"]"));
      return pageNavigator.click();
    },
    isPageNavigationDotExists: () => base.$("[data-hook^=\"page-navigation-\"]").exists(),
    getChildText: child => child.text()
  });
};
exports.carouselPrivateUniDriverFactory = carouselPrivateUniDriverFactory;
//# sourceMappingURL=Carousel.private.uni.driver.js.map