"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _IconButton = _interopRequireDefault(require("../../IconButton/IconButton"));
var _constants = require("../constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/CarouselWIP/Control/Control.js";
var Control = _ref => {
  var {
    dataHook,
    className,
    onClick,
    icon,
    size,
    skin,
    disabled = false
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    dataHook: dataHook,
    className: className,
    onClick: onClick,
    size: size,
    skin: skin,
    disabled: disabled,
    priority: _constants.SKIN_PRIORITY_MAP[skin],
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 3
    }
  }, icon);
};
Control.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the control element */
  className: _propTypes.default.string,
  /** Click handler function for the control */
  onClick: _propTypes.default.func.isRequired,
  /** Icon to be rendered within the icon button */
  icon: _propTypes.default.element.isRequired,
  /** Size to pass to the icon button rendered */
  size: _propTypes.default.string,
  /** Skin to pass to the icon button rendered */
  skin: _propTypes.default.string,
  /** Disabled flag to pass to the icon button rendered */
  disabled: _propTypes.default.bool
};
var _default = exports.default = Control;
//# sourceMappingURL=Control.js.map