"use strict";

exports.__esModule = true;
exports.Arc = void 0;
var React = _interopRequireWildcard(require("react"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/CircularProgressBar/CircularProgressBarCore/Arc.tsx";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var arc = (r, value) => {
  value /= 100;
  var angle = 2 * Math.PI * (value - 1 / 4);
  var x = r * Math.cos(angle);
  var y = r * Math.sin(angle);
  var sweep = Math.round(value);
  return "M .01 ".concat(-r, " A ").concat(r, " ").concat(r, " 0 ").concat(sweep, " 1 ").concat(x, " ").concat(y);
};
var Arc = props => {
  var {
    value,
    strokeWidth,
    size,
    className
  } = props;
  var viewBox = "".concat(-size / 2, " ").concat(-size / 2, " ").concat(size, " ").concat(size);
  var d = arc((size - strokeWidth) / 2, value);
  return /*#__PURE__*/React.createElement("svg", {
    className: className,
    width: size,
    height: size,
    viewBox: viewBox,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement("path", {
    d: d,
    strokeWidth: value !== 0 ? strokeWidth : 0,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 7
    }
  }));
};
exports.Arc = Arc;
Arc.displayName = 'Arc';
//# sourceMappingURL=Arc.js.map