"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.closeButtonPrivateDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _CloseButtonUni = require("./CloseButton.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var closeButtonPrivateDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _CloseButtonUni.closeButtonDriverFactory)(base)), {}, {
    closeIconExists: function () {
      var _closeIconExists = (0, _asyncToGenerator2.default)(function* () {
        return yield base.$('[data-hook="close"]').exists();
      });
      function closeIconExists() {
        return _closeIconExists.apply(this, arguments);
      }
      return closeIconExists;
    }(),
    mediumCloseIconExists: function () {
      var _mediumCloseIconExists = (0, _asyncToGenerator2.default)(function* () {
        return yield base.$('[data-hook="close-medium"]').exists();
      });
      function mediumCloseIconExists() {
        return _mediumCloseIconExists.apply(this, arguments);
      }
      return mediumCloseIconExists;
    }(),
    largeCloseIconExists: function () {
      var _largeCloseIconExists = (0, _asyncToGenerator2.default)(function* () {
        return yield base.$('[data-hook="close-large"]').exists();
      });
      function largeCloseIconExists() {
        return _largeCloseIconExists.apply(this, arguments);
      }
      return largeCloseIconExists;
    }(),
    customIconSize: function () {
      var _customIconSize = (0, _asyncToGenerator2.default)(function* () {
        return yield base.$('[data-hook="children-icon"]').attr('height');
      });
      function customIconSize() {
        return _customIconSize.apply(this, arguments);
      }
      return customIconSize;
    }()
  });
};
exports.closeButtonPrivateDriverFactory = closeButtonPrivateDriverFactory;
//# sourceMappingURL=CloseButton.private.uni.driver.js.map