"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _testUtils = _interopRequireDefault(require("react-dom/test-utils"));
var _ColorPicker = require("./ColorPicker.driver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var _default = _ref => {
  var {
    element
  } = _ref;
  var hexInput = element && element.querySelector('[data-hook="color-picker-hex-input"] input');
  return _objectSpread(_objectSpread({}, (0, _ColorPicker.colorPickerDriverFactory)({
    element
  })), {}, {
    selectBlackColor: () => {
      // as with jsdom size of palette 0 px, then click to 1,1 will make color black
      _testUtils.default.Simulate.mouseDown(element.querySelector("[data-hook=\"".concat(_constants.DataHooks.hsb, "\"]")), {
        clientX: 1,
        clientY: 1
      });
    },
    typeValueOnHexInput: value => _testUtils.default.Simulate.change(hexInput, {
      target: {
        value
      }
    }),
    keyDownOnHexInput: key => _testUtils.default.Simulate.keyDown(hexInput, {
      key
    })
  });
};
exports.default = _default;
//# sourceMappingURL=ColorPicker.private.driver.js.map