"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.DraggableContainer = DraggableContainer;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _useDraggableContainer = require("./useDraggableContainer");
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["dataHook", "className", "draggable", "dragging", "dragDisabled", "dim"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/DraggableContainer/DraggableContainer.tsx";
function DraggableContainer(props) {
  var {
      dataHook,
      className,
      draggable,
      dragging,
      dragDisabled,
      dim
    } = props,
    rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var {
    className: draggableClassName
  } = (0, _useDraggableContainer.useDraggableContainer)({
    draggable,
    dragging,
    dragDisabled,
    dim
  });
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    "data-hook": dataHook,
    className: (0, _classnames.default)(className, draggableClassName)
  }, rest, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 34,
      columnNumber: 5
    }
  }));
}
//# sourceMappingURL=DraggableContainer.js.map