"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _DropdownLayout = _interopRequireDefault(require("../DropdownLayout/DropdownLayout.driver"));
var dropdownBaseDriverFactory = _ref => {
  var {
    element: _element
  } = _ref;
  return {
    exists: () => !!_element,
    element: () => _element,
    getDropdownLayoutDriver: () => {
      return (0, _DropdownLayout.default)({
        element: _element.querySelector('[data-hook="dropdown-base-dropdownlayout"]')
      });
    }
  };
};
var _default = exports.default = dropdownBaseDriverFactory;
//# sourceMappingURL=DropdownBase.legacy.driver.js.map