"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.dropzoneDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _testUtils = require("react-dom/test-utils");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var dataTransferFromFiles = files => ({
  files,
  items: files.map(f => ({
    kind: 'file',
    type: f.type,
    getAsFile: () => f
  })),
  types: ['Files']
});
var dropzoneDriverFactory = (base, body) => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base, body)), {}, {
    /** Returns the content compound element inside the dropzone. */
    getContentElement: () => base.$("[data-hook=".concat(_constants.dataHooks.dropzoneContent, "]")),
    /** Returns the overlay compound element inside the dropzone. */
    getOverlayElement: () => base.$("[data-hook=".concat(_constants.dataHooks.dropzoneOverlay, "]")),
    /** fires a drop event with the given files. */
    dropFiles: function () {
      var _dropFiles = (0, _asyncToGenerator2.default)(function* (files) {
        return (0, _unidriver.ReactBase)(base).drop({
          dataTransfer: dataTransferFromFiles(files)
        });
      });
      function dropFiles(_x) {
        return _dropFiles.apply(this, arguments);
      }
      return dropFiles;
    }()
  });
};
exports.dropzoneDriverFactory = dropzoneDriverFactory;
//# sourceMappingURL=Dropzone.uni.driver.js.map