"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.editableTitleUniDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _InputUni = require("../Input/Input.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var dataHookOf = dataHook => "[data-hook=\"".concat(dataHook, "\"]");
var editableTitleUniDriverFactory = base => {
  var dataHook = {
    heading: dataHookOf('heading'),
    renamingField: dataHookOf('renaming-field')
  };
  var inputDriver = () => (0, _InputUni.testkit)(base.$(dataHook.renamingField));
  var heading = base.$(dataHook.heading);
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    getInput: inputDriver,
    getHeadingText: () => heading.text(),
    clickHeading: () => heading.click()
  });
};
exports.editableTitleUniDriverFactory = editableTitleUniDriverFactory;
//# sourceMappingURL=EditableTitle.uni.driver.js.map