export default FeatureList;
/** FeatureList is a group of layouts that displays image, description and title. It's used in a footer of a marketing page to list product features. */
declare class FeatureList extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace FeatureList {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let cols: PropTypes.Requireable<number>;
        let features: PropTypes.Requireable<(PropTypes.InferProps<{
            image: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            title: PropTypes.Requireable<string>;
            text: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
    }
    namespace defaultProps {
        let cols_1: number;
        export { cols_1 as cols };
        let features_1: never[];
        export { features_1 as features };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=FeatureList.d.ts.map