"use strict";

exports.__esModule = true;
exports.dataHooks = exports.STATUS_TYPE = exports.LEGEND_SIZE = exports.LEGEND_PLACEMENT = exports.LEGEND_ALIGNMENT = exports.GAP = exports.DIRECTION = exports.ALIGNMENT = void 0;
var prefix = 'fieldset';
var dataHooks = exports.dataHooks = {
  suffix: "".concat(prefix, "-suffix"),
  labelIndicators: "".concat(prefix, "-indicators"),
  counter: "".concat(prefix, "-counter"),
  children: "".concat(prefix, "-children"),
  label: "".concat(prefix, "-label"),
  asterisk: "".concat(prefix, "-asterisk"),
  infoIcon: "".concat(prefix, "-infoicon"),
  statusMessage: "".concat(prefix, "-statusmessage")
};
var LEGEND_PLACEMENT = exports.LEGEND_PLACEMENT = {
  NONE: 'none',
  LEFT: 'left',
  RIGHT: 'right',
  TOP: 'top'
};
var LEGEND_ALIGNMENT = exports.LEGEND_ALIGNMENT = {
  MIDDLE: 'middle',
  TOP: 'top'
};
var STATUS_TYPE = exports.STATUS_TYPE = {
  ERROR: 'error',
  WARNING: 'warning'
};
var LEGEND_SIZE = exports.LEGEND_SIZE = {
  SMALL: 'small',
  TINY: 'tiny'
};
var ALIGNMENT = exports.ALIGNMENT = {
  START: 'start',
  CENTER: 'center',
  END: 'end'
};
var DIRECTION = exports.DIRECTION = {
  HORIZONTAL: 'horizontal',
  VERTICAL: 'vertical'
};
var GAP = exports.GAP = {
  SMALL: 'small',
  MEDIUM: 'medium',
  LARGE: 'large'
};
//# sourceMappingURL=constants.js.map