"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.getStatusFromContext = exports.getAriaAttributesFromContext = exports.StatusContext = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
// TODO: separate ariaLabelledBy from StatusContext, since it's not related to status or reflect expanded StatusContext responsibilities by renaming
var StatusContext = exports.StatusContext = /*#__PURE__*/_react.default.createContext({
  status: null,
  ariaLabelledBy: null,
  ariaDescribedBy: null
});
var getStatusFromContext = (_ref, propsStatus) => {
  var {
    status
  } = _ref;
  return propsStatus || status;
};
exports.getStatusFromContext = getStatusFromContext;
var getAriaAttributesFromContext = _ref2 => {
  var {
    ariaLabelledBy,
    ariaDescribedBy
  } = _ref2;
  return _objectSpread(_objectSpread({}, ariaLabelledBy && {
    'aria-labelledby': ariaLabelledBy
  }), ariaDescribedBy && {
    'aria-describedby': ariaDescribedBy
  });
};
exports.getAriaAttributesFromContext = getAriaAttributesFromContext;
//# sourceMappingURL=StatusContext.js.map