"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.FunnelLabel = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Text = _interopRequireDefault(require("../../Text"));
var _constants = require("../constants");
var _FunnelLabelSt = require("./FunnelLabel.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/FunnelChart/FunnelLabel/FunnelLabel.js";
var FunnelLabel = _ref => {
  var {
    value,
    label,
    displayValue
  } = _ref;
  var numberToPresent = displayValue ? displayValue : value;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _FunnelLabelSt.classes.root,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    dataHook: _constants.dataHooks.labelText,
    size: "tiny",
    weight: "normal",
    secondary: true,
    ellipsis: true,
    tooltipProps: {
      size: 'small'
    },
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 7
    }
  }, label), /*#__PURE__*/_react.default.createElement(_Text.default, {
    dataHook: _constants.dataHooks.labelValue,
    size: "medium",
    weight: "bold",
    ellipsis: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 7
    }
  }, numberToPresent));
};
exports.FunnelLabel = FunnelLabel;
FunnelLabel.propTypes = {
  /** Label's value */
  value: _propTypes.default.number,
  /** Label's content */
  label: _propTypes.default.string.isRequired,
  /** Label's value send by the user */
  displayValue: _propTypes.default.string
};
//# sourceMappingURL=FunnelLabel.js.map