export default HighlightedItem;
declare class HighlightedItem extends React.PureComponent<any, any, any> {
    static propTypes: {
        /** Applied as data-hook HTML attribute that can be used in the tests */
        dataHook: PropTypes.Requireable<string>;
        match: PropTypes.Requireable<string>;
        emphasize: PropTypes.Requireable<string>;
        caseSensitive: PropTypes.Requireable<boolean>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    renderElement(): any;
    getMatchRegExp(): RegExp;
    getMatchBoundaries(subject: any, matchRegExp: any): {
        first: any;
        last: any;
    } | undefined;
    getMatchReactKey(index: any): string;
    highlightChildren(children: any, matchRegExp: any): React.JSX.Element[];
    renderPlain(plainString: any, key: any): React.JSX.Element;
    renderHighlight(matchString: any, key: any): React.JSX.Element;
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=HighlightedItem.d.ts.map