"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.testkit = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _StatusIndicatorUni = require("../StatusIndicator/StatusIndicator.uni.driver");
var _constants = require("./constants");
var _InputUni = _interopRequireDefault(require("./Input.uni.driver"));
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var testkit = (base, body) => {
  var input = base.$$('input').get(0);
  var reactBaseInput = (0, _unidriver.ReactBase)(input);
  return _objectSpread(_objectSpread({}, (0, _InputUni.default)(base, body)), {}, {
    startComposing: () => reactBaseInput._private.compositionStart(),
    endComposing: () => reactBaseInput._private.compositionEnd(),
    statusIndicatorExists: function () {
      var _statusIndicatorExists = (0, _asyncToGenerator2.default)(function* () {
        var statusIndicatorDriver = (0, _StatusIndicatorUni.statusIndicatorDriverFactory)(base.$("[data-hook=\"".concat(_constants.dataHooks.status, "\"]")), body);
        return statusIndicatorDriver.exists();
      });
      function statusIndicatorExists() {
        return _statusIndicatorExists.apply(this, arguments);
      }
      return statusIndicatorExists;
    }()
  });
};
exports.testkit = testkit;
//# sourceMappingURL=Input.private.uni.driver.js.map