export default ThemedInput;
declare class ThemedInput extends Input {
    _getDataAttr: ({ statusContext }: {
        statusContext: any;
    }) => object;
    render(): React.JSX.Element;
}
declare namespace ThemedInput {
    let propTypes: {
        dataHook: import("prop-types").Requireable<string>;
        className: import("prop-types").Requireable<string>;
        id: import("prop-types").Requireable<string>;
        ariaControls: import("prop-types").Requireable<string>;
        ariaDescribedby: import("prop-types").Requireable<string>;
        ariaLabel: import("prop-types").Requireable<string>;
        autoFocus: import("prop-types").Requireable<boolean>;
        autocomplete: import("prop-types").Requireable<string>;
        defaultValue: import("prop-types").Requireable<NonNullable<string | number | null | undefined>>;
        disabled: import("prop-types").Requireable<boolean>;
        status: import("prop-types").Requireable<string>;
        statusMessage: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        hideStatusSuffix: import("prop-types").Requireable<boolean>;
        forceFocus: import("prop-types").Requireable<boolean>;
        forceHover: import("prop-types").Requireable<boolean>;
        maxLength: import("prop-types").Requireable<number>;
        menuArrow: import("prop-types").Requireable<boolean>;
        clearButton: import("prop-types").Requireable<boolean>;
        name: import("prop-types").Requireable<string>;
        border: import("prop-types").Requireable<string>;
        noLeftBorderRadius: import("prop-types").Requireable<boolean>;
        noRightBorderRadius: import("prop-types").Requireable<boolean>;
        onBlur: import("prop-types").Requireable<(...args: any[]) => any>;
        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
        onClear: import("prop-types").Requireable<(...args: any[]) => any>;
        onCompositionChange: import("prop-types").Requireable<(...args: any[]) => any>;
        onEnterPressed: import("prop-types").Requireable<(...args: any[]) => any>;
        onEscapePressed: import("prop-types").Requireable<(...args: any[]) => any>;
        onFocus: import("prop-types").Requireable<(...args: any[]) => any>;
        onInputClicked: import("prop-types").Requireable<(...args: any[]) => any>;
        onKeyDown: import("prop-types").Requireable<(...args: any[]) => any>;
        onKeyUp: import("prop-types").Requireable<(...args: any[]) => any>;
        onPaste: import("prop-types").Requireable<(...args: any[]) => any>;
        placeholder: import("prop-types").Requireable<string>;
        prefix: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        readOnly: import("prop-types").Requireable<boolean>;
        disableEditing: import("prop-types").Requireable<boolean>;
        size: import("prop-types").Requireable<string>;
        suffix: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        tabIndex: import("prop-types").Requireable<number>;
        textOverflow: import("prop-types").Requireable<string>;
        tooltipPlacement: import("prop-types").Requireable<string>;
        type: import("prop-types").Requireable<string>;
        value: import("prop-types").Requireable<NonNullable<string | number | null | undefined>>;
        required: import("prop-types").Requireable<boolean>;
        min: import("prop-types").Requireable<number>;
        max: import("prop-types").Requireable<number>;
        step: import("prop-types").Requireable<number>;
        customInput: import("prop-types").Requireable<NonNullable<string | number | boolean | ((...args: any[]) => any) | import("prop-types").ReactElementLike | import("prop-types").ReactNodeArray | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any) | null | undefined>>;
        pattern: import("prop-types").Requireable<string>;
        focusOnClearClick: import("prop-types").Requireable<boolean>;
        clearButtonTooltipContent: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        clearButtonTooltipProps: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
    };
}
import Input from './Input';
import React from 'react';
//# sourceMappingURL=ThemedInput.d.ts.map