"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.labelledElementDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _dataHooks = _interopRequireDefault(require("./dataHooks"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var labelledElementDriverFactory = base => {
  var getLabel = () => base.$("[data-hook=\"".concat(_dataHooks.default.label, "\"]"));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Gets the content of rendered label */
    getLabelText: () => getLabel().text(),
    /** Checks if position the label is positioned at thetop of the input element  */
    isLabelAtTop: function () {
      var _isLabelAtTop = (0, _asyncToGenerator2.default)(function* () {
        return (yield getLabel().attr('data-top')) === 'true';
      });
      function isLabelAtTop() {
        return _isLabelAtTop.apply(this, arguments);
      }
      return isLabelAtTop;
    }(),
    /** Gets the children container UniDriver */
    getChildren: () => base.$("[data-hook=\"".concat(_dataHooks.default.childrenWrapper, "\"]"))
  });
};
exports.labelledElementDriverFactory = labelledElementDriverFactory;
//# sourceMappingURL=LabelledElement.uni.driver.js.map