"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Description = _interopRequireDefault(require("./Description"));
var _Title = _interopRequireDefault(require("./Title"));
var _constants = require("../constants");
var _Text = require("../../Text");
var _MarketingLayoutSt = require("../MarketingLayout.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MarketingLayout/components/Content.js";
var descriptionSizeBySize = {
  [_constants.SIZES.tiny]: _Text.SIZES.small,
  [_constants.SIZES.small]: _Text.SIZES.small,
  [_constants.SIZES.medium]: _Text.SIZES.medium,
  [_constants.SIZES.large]: _Text.SIZES.medium
};
var Content = _ref => {
  var {
    size,
    actions,
    title,
    description
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _MarketingLayoutSt.classes.contentContainer,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 3
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_Title.default, {
    size: size,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 7
    }
  }, title), /*#__PURE__*/_react.default.createElement(_Description.default, {
    size: descriptionSizeBySize[size],
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 7
    }
  }, description)), actions);
};
Content.propTypes = {
  size: _propTypes.default.string,
  actions: _propTypes.default.node,
  title: _propTypes.default.node,
  description: _propTypes.default.node
};
var _default = exports.default = Content;
//# sourceMappingURL=Content.js.map