"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Text = _interopRequireDefault(require("../../Text"));
var _StringUtils = require("../../utils/StringUtils");
var _dataHooks = require("../dataHooks");
var _MarketingLayoutSt = require("../MarketingLayout.st.css");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MarketingLayout/components/Description.js";
var Description = _ref => {
  var {
    children,
    size
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _MarketingLayoutSt.classes.description,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 3
    }
  }, (0, _StringUtils.isString)(children) ? /*#__PURE__*/_react.default.createElement(_Text.default, {
    dataHook: _dataHooks.MARKETING_LAYOUT_DESCRIPTION,
    size: size,
    secondary: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11,
      columnNumber: 7
    }
  }, children) : /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _dataHooks.MARKETING_LAYOUT_DESCRIPTION,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 7
    }
  }, children));
};
Description.propTypes = {
  children: _propTypes.default.node,
  size: _propTypes.default.string
};
var _default = exports.default = Description;
//# sourceMappingURL=Description.js.map