export default MarketingPageLayout;
/** Marketing Page Layout */
declare class MarketingPageLayout extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace MarketingPageLayout {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let horizontalSize: PropTypes.Requireable<string>;
        let verticalSize: PropTypes.Requireable<string>;
        let removeImageHorizontalPadding: PropTypes.Requireable<boolean>;
        let removeImageVerticalPadding: PropTypes.Requireable<boolean>;
        let content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let image: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let footer: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    }
    namespace defaultProps {
        let horizontalSize_1: string;
        export { horizontalSize_1 as horizontalSize };
        let verticalSize_1: string;
        export { verticalSize_1 as verticalSize };
        let removeImageHorizontalPadding_1: boolean;
        export { removeImageHorizontalPadding_1 as removeImageHorizontalPadding };
        let removeImageVerticalPadding_1: boolean;
        export { removeImageVerticalPadding_1 as removeImageVerticalPadding };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=MarketingPageLayout.d.ts.map