"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("../constants");
var _react = _interopRequireDefault(require("react"));
class Content extends _react.default.PureComponent {}
Content.displayName = 'MediaOverlay.Content';
Content.propTypes = {
  /** When to display this content */
  visible: _propTypes.default.oneOf(Object.values(_constants.Visible)),
  /** The area to display this content in */
  placement: _propTypes.default.oneOf(Object.values(_constants.Placement))
};
Content.defaultProps = {
  visible: _constants.Visible.Default,
  placement: _constants.Placement.Middle
};
var _default = exports.default = Content;
//# sourceMappingURL=Content.js.map