export default MobilePreviewWidget;
/** Mobile preview widget */
declare class MobilePreviewWidget extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Mobile preview widget data hook*/
        dataHook: PropTypes.Requireable<string>;
        /** Background skin. To use `custom` skin, set it to `custom` and use the `backgroundColor` prop*/
        skin: PropTypes.Requireable<string>;
        /** Mobile preview widget background color. Can be set with `design system` colors*/
        backgroundColor: PropTypes.Requireable<string>;
        /** Sets the height of the component.*/
        height: PropTypes.Requireable<string>;
        /** Sets the width of the component */
        width: PropTypes.Requireable<string>;
        /** Node to preview */
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
    };
    static defaultProps: {
        skin: string;
        height: string;
        width: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=MobilePreviewWidget.d.ts.map