"use strict";

exports.__esModule = true;
exports.dataHooks = exports.TYPE_POSITIONS_MAP = exports.THEMES = exports.ACTION_BUTTON_TYPES = void 0;
var THEMES = exports.THEMES = {
  standard: 'standard',
  error: 'error',
  success: 'success',
  warning: 'warning',
  premium: 'premium'
};
var ACTION_BUTTON_TYPES = exports.ACTION_BUTTON_TYPES = {
  textLink: 'textLink',
  button: 'button'
};
var prefix = 'notification';
var dataHooks = exports.dataHooks = {
  notificationContent: "".concat(prefix, "-content"),
  notificationCloseButton: "".concat(prefix, "-close-button"),
  notificationLabel: "".concat(prefix, "-label"),
  notificationCtaButton: "".concat(prefix, "-cta-button")
};
var TYPE_POSITIONS_MAP = exports.TYPE_POSITIONS_MAP = {
  relative: 'global',
  absolute: 'local',
  fixed: 'sticky'
};
//# sourceMappingURL=constants.js.map