import { ReactElement } from 'react';
import PropTypes from 'prop-types';
import { NumberInputProps } from './NumberInput.types';
declare const NumberInput: {
    ({ suffix, defaultValue, strict, max, min, hideStepper, onChange, value: givenValue, inputRef, step, status, invalidMessage, statusMessage, onInvalid, onKeyDown, ...props }: NumberInputProps): ReactElement;
    displayName: string;
    propTypes: {
        dataHook: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        id: PropTypes.Requireable<string>;
        defaultValue: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        disabled: PropTypes.Requireable<boolean>;
        status: PropTypes.Requireable<string>;
        statusMessage: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        name: PropTypes.Requireable<string>;
        onBlur: PropTypes.Requireable<(...args: any[]) => any>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onFocus: PropTypes.Requireable<(...args: any[]) => any>;
        placeholder: PropTypes.Requireable<string>;
        prefix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        size: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        min: PropTypes.Requireable<number>;
        max: PropTypes.Requireable<number>;
        step: PropTypes.Requireable<number>;
        strict: PropTypes.Requireable<boolean>;
        hideStepper: PropTypes.Requireable<boolean>;
    };
};
export default NumberInput;
//# sourceMappingURL=NumberInput.d.ts.map