"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _FillPreview = _interopRequireDefault(require("../FillPreview/FillPreview"));
var _PaletteSt = require("./Palette.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Palette/Palette.js";
/** A component to show a palette of colors */
class Palette extends _react.default.PureComponent {
  render() {
    var {
      fill,
      dataHook
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _PaletteSt.classes.root,
      "data-hook": dataHook,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 25,
        columnNumber: 7
      }
    }, fill.map((item, i) => /*#__PURE__*/_react.default.createElement(_FillPreview.default, {
      as: "div",
      key: i,
      tabIndex: -1,
      className: _PaletteSt.classes.fillPreview,
      aspectRatio: "none",
      fill: item,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 11
      }
    })));
  }
}
Palette.displayName = 'Palette';
Palette.propTypes = {
  /** Applies a data-hook HTML attribute that can be used in the tests. */
  dataHook: _propTypes.default.string,
  /** Defines an array of fill items for the palette. Accepts solid colors, gradients or images. */
  fill: _propTypes.default.array
};
Palette.defaultProps = {
  fill: []
};
var _default = exports.default = Palette;
//# sourceMappingURL=Palette.js.map