"use strict";

exports.__esModule = true;
exports.getArrowShift = void 0;
var isTestEnv = process.env.NODE_ENV === 'test';
var getArrowShift = (shift, direction) => {
  if (!shift && !isTestEnv) {
    return {};
  }
  return {
    [direction === 'top' || direction === 'bottom' ? 'left' : 'top']: "".concat(shift, "px")
  };
};
exports.getArrowShift = getArrowShift;
//# sourceMappingURL=getArrowShift.js.map