"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _Input = _interopRequireDefault(require("../Input/Input.driver"));
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var rangeDriverFactory = _ref => {
  var {
    element,
    eventTrigger
  } = _ref;
  var getElementByDataHook = el => dataHook => el.querySelector("[data-hook='".concat(dataHook, "']"));
  var label = () => getElementByDataHook(element)(_constants.DATA_HOOKS.label);
  var input = () => getElementByDataHook(element)(_constants.DATA_HOOKS.inputWrapper);
  var firstInputElement = () => getElementByDataHook(input().childNodes[0])(_constants.DATA_HOOKS.inputElement);
  var lastInputElement = () => getElementByDataHook(input().childNodes[1])(_constants.DATA_HOOKS.inputElement);
  return _objectSpread(_objectSpread({}, (0, _Input.default)({
    element
  })), {}, {
    getInput: input,
    clickFirstInput: () => {
      eventTrigger.click(firstInputElement());
      eventTrigger.focus(firstInputElement());
    },
    clickLastInput: () => {
      eventTrigger.click(lastInputElement());
      eventTrigger.focus(lastInputElement());
    },
    hasInput: () => !!input().childNodes[0],
    getLabel: label,
    hasLabel: () => !!label
  });
};
var _default = exports.default = rangeDriverFactory;
//# sourceMappingURL=Range.driver.js.map