"use strict";

exports.__esModule = true;
exports.default = void 0;
var rangeInputWithLabelCompositeDriverFactory = _ref => {
  var {
    element
  } = _ref;
  var label = element.childNodes[0].childNodes[0];
  var hasLabel = label.tagName.toLowerCase() === 'label';
  var firstInput = hasLabel ? element.childNodes[1].childNodes[0] : element.childNodes[0].childNodes[0];
  var lastInput = hasLabel ? element.childNodes[1].childNodes[1] : element.childNodes[0].childNodes[1];
  return {
    exists: () => !!element,
    getLabel: () => label.textContent,
    hasLabel: () => label.tagName.toLowerCase() === 'label',
    hasInputs: () => !!firstInput && !!lastInput,
    getAttr: attrName => element.getAttribute(attrName),
    getNumberOfChildren: () => hasLabel ? element.childNodes[1].childElementCount : element.childNodes[0].childElementCount
  };
};
var _default = exports.default = rangeInputWithLabelCompositeDriverFactory;
//# sourceMappingURL=RangeWithLabelComposite.driver.js.map