"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _DraftJS = require("../test-utils/utils/unidriver/DraftJS");
var _RichTextInputAreaUni = _interopRequireWildcard(require("./RichTextInputArea.uni.driver"));
var _RichTextToolbarPrivateUni = _interopRequireDefault(require("./Toolbar/RichTextToolbar.private.uni.driver"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var _getLink = /*#__PURE__*/function () {
  var _ref = (0, _asyncToGenerator2.default)(function* (base, text, url) {
    var links = yield (0, _DraftJS.getContent)(base).$$('[data-hook=richtextarea-link]');

    // Returns the appropriate link by the text and url
    return links.filter(/*#__PURE__*/function () {
      var _ref2 = (0, _asyncToGenerator2.default)(function* (link) {
        return (yield link.text()) === text && (yield link.attr('href')) === url;
      });
      return function (_x4) {
        return _ref2.apply(this, arguments);
      };
    }()).get(0);
  });
  return function getLink(_x, _x2, _x3) {
    return _ref.apply(this, arguments);
  };
}();
var _default = (base, body) => {
  return _objectSpread(_objectSpread(_objectSpread({}, (0, _RichTextInputAreaUni.default)(base, body)), (0, _RichTextToolbarPrivateUni.default)(base.$('[data-hook=richtextarea-toolbar]'), body)), {}, {
    hasPlaceholder: () => (0, _RichTextInputAreaUni.getPlaceholder)(base).exists(),
    getLink: (text, url) => _getLink(base, text, url),
    hoverTextArea: function () {
      var _hoverTextArea = (0, _asyncToGenerator2.default)(function* () {
        return yield (0, _DraftJS.getContent)(base).hover();
      });
      function hoverTextArea() {
        return _hoverTextArea.apply(this, arguments);
      }
      return hoverTextArea;
    }(),
    clickTextArea: function () {
      var _clickTextArea = (0, _asyncToGenerator2.default)(function* () {
        return yield (0, _DraftJS.getContent)(base).click();
      });
      function clickTextArea() {
        return _clickTextArea.apply(this, arguments);
      }
      return clickTextArea;
    }()
  });
};
exports.default = _default;
//# sourceMappingURL=RichTextInputArea.private.uni.driver.js.map