"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Text = _interopRequireDefault(require("../Text"));
var _SectionHeaderSt = require("./SectionHeader.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SectionHeader/SectionHeader.tsx";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var SectionHeader = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  var {
    dataHook,
    title,
    suffix,
    id,
    'aria-describedby': ariaDescribedBy,
    as = 'span',
    skin = 'standard',
    size = 'medium',
    align = 'start',
    divider = 'default',
    horizontalPadding = 'large'
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    ref: ref,
    "data-hook": dataHook,
    className: (0, _SectionHeaderSt.st)(_SectionHeaderSt.classes.root, {
      skin,
      horizontalPadding,
      divider
    }),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _SectionHeaderSt.st)(_SectionHeaderSt.classes.title, {
      align
    }),
    "data-hook": "title-node",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 34,
      columnNumber: 9
    }
  }, /*#__PURE__*/(0, _react.isValidElement)(title) ? title : /*#__PURE__*/_react.default.createElement(_Text.default, {
    id: id,
    className: _SectionHeaderSt.classes.titleText,
    "aria-describedby": ariaDescribedBy,
    tagName: as,
    size: size,
    weight: "thin",
    flip: true,
    ellipsis: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 38,
      columnNumber: 13
    }
  }, title)), suffix && /*#__PURE__*/_react.default.createElement("div", {
    className: _SectionHeaderSt.classes.suffix,
    "data-hook": "suffix-node",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 53,
      columnNumber: 11
    }
  }, suffix));
});
SectionHeader.displayName = 'SectionHeader';
SectionHeader.propTypes = {
  // @ts-ignore
  title: _propTypes.default.node.isRequired,
  // @ts-ignore
  suffix: _propTypes.default.element,
  dataHook: _propTypes.default.string,
  skin: _propTypes.default.oneOf(['standard', 'neutral']),
  as: _propTypes.default.oneOf(['span', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6']),
  id: _propTypes.default.string,
  'aria-describedby': _propTypes.default.string,
  size: _propTypes.default.oneOf(['small', 'medium']),
  align: _propTypes.default.oneOf(['start', 'center']),
  divider: _propTypes.default.oneOf(['default', 'top', 'bottom', 'none']),
  horizontalPadding: _propTypes.default.oneOf(['large', 'medium', 'small', 'tiny', 'xTiny', 'xxTiny'])
};
var _default = exports.default = SectionHeader;
//# sourceMappingURL=SectionHeader.js.map