export default SectionHelper;
/**
 * Used in pages where you need to explain or mention things about the content or actions
 */
declare class SectionHelper extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace SectionHelper {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let appearance: PropTypes.Requireable<string>;
        let title: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let size: PropTypes.Requireable<string>;
        let showCloseButton: PropTypes.Requireable<boolean>;
        let onClose: PropTypes.Requireable<(...args: any[]) => any>;
        let onAction: PropTypes.Requireable<(...args: any[]) => any>;
        let actionText: PropTypes.Requireable<string>;
        let children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let fullWidth: PropTypes.Requireable<boolean>;
    }
    namespace defaultProps {
        let showCloseButton_1: boolean;
        export { showCloseButton_1 as showCloseButton };
        let appearance_1: string;
        export { appearance_1 as appearance };
        let fullWidth_1: boolean;
        export { fullWidth_1 as fullWidth };
        let size_1: string;
        export { size_1 as size };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=SectionHelper.d.ts.map