"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _ContentSt = require("./Content.st.css");
var _constants = require("../constants");
var _context = require("../../WixStyleReactProvider/context");
var _SidePanelAPI = require("../SidePanelAPI");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidePanel/Content/Content.tsx";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class Content extends _react.PureComponent {
  render() {
    var {
      children,
      className,
      noPadding,
      stretchVertically
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_SidePanelAPI.SidePanelContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 7
      }
    }, _ref => {
      var {
        skin
      } = _ref;
      return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 29,
          columnNumber: 11
        }
      }, _ref2 => {
        var {
          newColorsBranding
        } = _ref2;
        return /*#__PURE__*/_react.default.createElement("div", {
          className: (0, _ContentSt.st)(_ContentSt.classes.root, {
            noPadding,
            stretchVertically,
            newColorsBranding,
            skin
          }, className),
          "data-hook": _constants.dataHooks.sidePanelContent,
          __self: this,
          __source: {
            fileName: _jsxFileName,
            lineNumber: 31,
            columnNumber: 15
          }
        }, children);
      });
    });
  }
}
Content.displayName = 'Content';
Content.propTypes = {
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  noPadding: _propTypes.default.bool,
  stretchVertically: _propTypes.default.bool
};
Content.defaultProps = {
  noPadding: false,
  stretchVertically: true
};
var _default = exports.default = Content;
//# sourceMappingURL=Content.js.map