"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _FooterSt = require("./Footer.st.css");
var _constants = require("../constants");
var _Divider = _interopRequireDefault(require("../../Divider"));
var _context = require("../../WixStyleReactProvider/context");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidePanel/Footer/Footer.tsx";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class Footer extends _react.PureComponent {
  render() {
    var {
      children,
      className,
      showDivider,
      noPadding
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 7
      }
    }, _ref => {
      var {
        newColorsBranding
      } = _ref;
      return /*#__PURE__*/_react.default.createElement("div", {
        className: (0, _FooterSt.st)(_FooterSt.classes.root, {
          newColorsBranding
        }, className),
        "data-hook": _constants.dataHooks.sidePanelFooter,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 29,
          columnNumber: 11
        }
      }, showDivider &&
      /*#__PURE__*/
      // @ts-ignore
      _react.default.createElement(_Divider.default, {
        dataHook: _constants.dataHooks.sidePanelHeaderDivider,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 35,
          columnNumber: 15
        }
      }), /*#__PURE__*/_react.default.createElement("div", {
        className: (0, _FooterSt.st)(_FooterSt.classes.footerContainer, {
          noPadding
        }),
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 37,
          columnNumber: 13
        }
      }, children));
    });
  }
}
Footer.displayName = 'Footer';
Footer.propTypes = {
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  showDivider: _propTypes.default.bool,
  noPadding: _propTypes.default.bool
};
Footer.defaultProps = {
  showDivider: true,
  noPadding: false
};
var _default = exports.default = Footer;
//# sourceMappingURL=Footer.js.map