import React from 'react';
import PropTypes from 'prop-types';
import { SectionProps } from './Section.types';
declare const Section: {
    ({ title, titleVisible, suffix, children, ariaLabel, dataHook, as, "aria-describedby": ariaDescribedBy, id, }: SectionProps): React.JSX.Element;
    displayName: string;
    propTypes: {
        title: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        titleVisible: PropTypes.Requireable<boolean>;
        suffix: PropTypes.Requireable<PropTypes.ReactElementLike>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        ariaLabel: PropTypes.Requireable<string>;
        dataHook: PropTypes.Requireable<string>;
        as: PropTypes.Requireable<string>;
        id: PropTypes.Requireable<string>;
        'aria-describedby': PropTypes.Requireable<string>;
    };
};
export default Section;
//# sourceMappingURL=Section.d.ts.map