"use strict";

exports.__esModule = true;
exports.SidebarItem = void 0;
var _react = _interopRequireWildcard(require("react"));
var _SidebarAPI = require("../SidebarAPI");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Sidebar/SidebarItem/SidebarItem.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class SidebarItem extends _react.PureComponent {
  constructor() {
    super(...arguments);
    this.displayName = 'SidebarItem';
  }
  render() {
    var {
      dataHook
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_SidebarAPI.SidebarContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 10,
        columnNumber: 7
      }
    }, context => /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": dataHook,
      onClick: e => {
        if (!this.props.disable) {
          if (this.props.onClick) {
            this.props.onClick(this.props.itemKey, e);
          }
          if (!e.defaultPrevented) {
            context.itemClicked(this.props.itemKey);
          }
        }
      },
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12,
        columnNumber: 11
      }
    }, /*#__PURE__*/_react.default.createElement(_SidebarAPI.SidebarItemContext.Provider, {
      value: {
        selected: () => context.getSelectedKey() === this.props.itemKey,
        getIsMenuExpanded: () => context.getIsMenuExpanded()
      },
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 25,
        columnNumber: 13
      }
    }, this.props.children)));
  }
}
exports.SidebarItem = SidebarItem;
//# sourceMappingURL=SidebarItem.js.map