"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SidebarNextContext = require("../SidebarNext/SidebarNextContext");
var _SidebarItemNextSt = require("./SidebarItemNext.st.css");
var _SidebarItemButtonNext = _interopRequireDefault(require("./SidebarItemButtonNext"));
var _constants = require("./constants");
var _excluded = ["as", "role"],
  _excluded2 = ["dataHook"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarItemNext/SidebarItemNext.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
/** An item for the section within the sidebar */
var SidebarItemNext = _ref => {
  var {
      as = 'button',
      role = 'link'
    } = _ref,
    propsWithNoDefaults = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var _as$role$propsWithNoD = _objectSpread({
      as,
      role
    }, propsWithNoDefaults),
    {
      dataHook
    } = _as$role$propsWithNoD,
    rest = (0, _objectWithoutProperties2.default)(_as$role$propsWithNoD, _excluded2);
  var context = (0, _react.useContext)(_SidebarNextContext.SidebarNextContext);
  return /*#__PURE__*/_react.default.createElement("li", {
    className: _SidebarItemNextSt.classes.listItem,
    "aria-level": context.level,
    "data-hook": dataHook,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_SidebarItemButtonNext.default, (0, _extends2.default)({}, rest, {
    dataHook: _constants.dataHooks.button,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 7
    }
  })));
};
SidebarItemNext.displayName = 'SidebarItemNext';
SidebarItemNext.propTypes = {
  /** render as some other component or DOM tag */
  as: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.object, _propTypes.default.string]),
  /** URL of the page that link goes to */
  href: _propTypes.default.string,
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the component's root element */
  className: _propTypes.default.string,
  /** An element/array of elements to appear at the end of the text. max number of elements to pass is 2 */
  suffix: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.arrayOf(_propTypes.default.node)]),
  /** An element to appear at the start of the text. */
  prefix: _propTypes.default.node,
  /** Indicates whether to display the item as disabled */
  disabled: _propTypes.default.bool,
  /** A callback to be triggered on click */
  onClick: _propTypes.default.func,
  /** unique identifier per item, used to mark it for navigation and selection */
  itemKey: _propTypes.default.string,
  /** indicates whether the item is inside quickNavigation popover */
  isInQuickNavigation: _propTypes.default.bool,
  /** Defines one of the aria roles to provide semantic meaning to content */
  role: _propTypes.default.string
};
var _default = exports.default = SidebarItemNext;
//# sourceMappingURL=SidebarItemNext.js.map