"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Skeleton = _interopRequireDefault(require("../../Skeleton"));
var _constants = require("../constants");
var _SidebarSkeletonSt = require("./SidebarSkeleton.st.css");
var _SidebarNextContext = require("../SidebarNextContext");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarNext/components/SidebarSkeleton.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/** SidebarSkeletonItem */
var SidebarSkeletonItem = _ref => {
  var {
    isLong = false
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _SidebarSkeletonSt.st)(_SidebarSkeletonSt.classes.skeletonItem, {
      long: isLong
    }),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 10,
      columnNumber: 10
    }
  });
};

/** SidebarSkeleton */
var SidebarSkeleton = () => {
  var {
    skin
  } = (0, _react.useContext)(_SidebarNextContext.SidebarNextContext);
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _constants.dataHooks.skeleton,
    className: _SidebarSkeletonSt.classes.container,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 5
    }
  }, skin === _constants.sidebarSkins.light ? /*#__PURE__*/_react.default.createElement("div", {
    className: _SidebarSkeletonSt.classes.lightSkeleton,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react.default.createElement(_Skeleton.default, {
    spacing: "small",
    content: [{
      type: 'line',
      size: 'medium'
    }, {
      type: 'line',
      size: 'large'
    }],
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement(_Skeleton.default, {
    spacing: "small",
    content: [{
      type: 'line',
      size: 'large'
    }, {
      type: 'line',
      size: 'medium'
    }, {
      type: 'line',
      size: 'large'
    }, {
      type: 'line',
      size: 'medium'
    }],
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 11
    }
  })) : /*#__PURE__*/_react.default.createElement("div", {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 39,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react.default.createElement(SidebarSkeletonItem, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 40,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement(SidebarSkeletonItem, {
    isLong: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement(SidebarSkeletonItem, {
    isLong: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 42,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _SidebarSkeletonSt.classes.separator,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 43,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement(SidebarSkeletonItem, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 44,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement(SidebarSkeletonItem, {
    isLong: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 45,
      columnNumber: 11
    }
  }), /*#__PURE__*/_react.default.createElement(SidebarSkeletonItem, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 46,
      columnNumber: 11
    }
  })));
};
SidebarSkeleton.displayName = 'SidebarSkeleton';
var _default = exports.default = SidebarSkeleton;
//# sourceMappingURL=SidebarSkeleton.js.map