"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.FacebookPost = void 0;
var _react = _interopRequireDefault(require("react"));
var _FacebookPostSt = require("./FacebookPost.st.css");
var _constants = require("../constants");
var _ = require("../..");
var _Caption = _interopRequireDefault(require("../../Text/Caption"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SocialPostPreview/components/FacebookPost.tsx";
var FacebookPost = _ref => {
  var {
    profileName,
    profileImageSrc,
    caption,
    media
  } = _ref;
  var _renderAccountDetailsAndPublishDate = () => /*#__PURE__*/_react.default.createElement("div", {
    className: _FacebookPostSt.classes.postHeader,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_.Avatar, {
    size: "size24",
    imgProps: {
      src: profileImageSrc
    },
    dataHook: _constants.dataHooks.socialPostPreviewProfileImage,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 7
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _FacebookPostSt.classes.profileNameAndPublishDate,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    size: "tiny",
    weight: "normal",
    dataHook: _constants.dataHooks.socialPostPreviewProfileName,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 9
    }
  }, profileName), /*#__PURE__*/_react.default.createElement(_Caption.default, {
    className: _FacebookPostSt.classes.lastSeenCaption,
    tagName: "span",
    caption: "c1",
    dataHook: "justNow",
    light: false,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 29,
      columnNumber: 9
    }
  }, _constants.PUBLISH_DATE_JUST_NOW)));
  var _renderCaption = () => /*#__PURE__*/_react.default.createElement("div", {
    className: _FacebookPostSt.classes.postCaption,
    "data-hook": _constants.dataHooks.socialPostPreviewCaption,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 43,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    size: "tiny",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 47,
      columnNumber: 7
    }
  }, caption));
  var _renderMedia = () => /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _constants.dataHooks.socialPostPreviewMedia,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 52,
      columnNumber: 5
    }
  }, media);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, _renderAccountDetailsAndPublishDate(), caption && _renderCaption(), media && _renderMedia());
};
exports.FacebookPost = FacebookPost;
//# sourceMappingURL=FacebookPost.js.map