"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.InstagramPost = void 0;
var _react = _interopRequireDefault(require("react"));
var _constants = require("../constants");
var _InstagramPostSt = require("./InstagramPost.st.css");
var _ = require("../..");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SocialPostPreview/components/InstagramPost.tsx";
var InstagramPost = _ref => {
  var {
    profileName,
    profileImageSrc,
    caption,
    media
  } = _ref;
  var _renderAccountDetails = () => /*#__PURE__*/_react.default.createElement("div", {
    className: _InstagramPostSt.classes.postHeader,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_.Avatar, {
    size: "size24",
    imgProps: {
      src: profileImageSrc
    },
    dataHook: _constants.dataHooks.socialPostPreviewProfileImage,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 7
    }
  }), /*#__PURE__*/_react.default.createElement(_.Text, {
    size: "tiny",
    weight: "normal",
    dataHook: _constants.dataHooks.socialPostPreviewProfileName,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 7
    }
  }, profileName));
  var _renderMedia = () => /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _constants.dataHooks.socialPostPreviewMedia,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 5
    }
  }, media);
  var _renderCaptionAndPublishDate = () => /*#__PURE__*/_react.default.createElement("div", {
    className: _InstagramPostSt.classes.postCaption,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 35,
      columnNumber: 5
    }
  }, caption && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.Text, {
    size: "tiny",
    weight: "bold",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 38,
      columnNumber: 11
    }
  }, profileName), /*#__PURE__*/_react.default.createElement(_.Text, {
    dataHook: _constants.dataHooks.socialPostPreviewCaption,
    size: "tiny",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 11
    }
  }, caption)), /*#__PURE__*/_react.default.createElement(_.Text, {
    skin: "disabled",
    size: "tiny",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 46,
      columnNumber: 7
    }
  }, _constants.PUBLISH_DATE_JUST_NOW));
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, _renderAccountDetails(), _renderMedia(), _renderCaptionAndPublishDate());
};
exports.InstagramPost = InstagramPost;
//# sourceMappingURL=InstagramPost.js.map