"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.socialPreviewDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var socialPreviewDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Get SocialPreview title */
    getTitle: function () {
      var _getTitle = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="socialPreview-title"]').text();
      });
      function getTitle() {
        return _getTitle.apply(this, arguments);
      }
      return getTitle;
    }(),
    /** Get SocialPreview url */
    getPreviewUrl: function () {
      var _getPreviewUrl = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="socialPreview-url"]').text();
      });
      function getPreviewUrl() {
        return _getPreviewUrl.apply(this, arguments);
      }
      return getPreviewUrl;
    }(),
    /** Get SocialPreview description */
    getDescription: function () {
      var _getDescription = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="socialPreview-description"]').text();
      });
      function getDescription() {
        return _getDescription.apply(this, arguments);
      }
      return getDescription;
    }(),
    /** Get SocialPreview skin */
    getSkin: () => base.attr('data-skin'),
    /** Get SocialPreview size */
    getSize: () => base.attr('data-size')
  });
};
exports.socialPreviewDriverFactory = socialPreviewDriverFactory;
//# sourceMappingURL=SocialPreview.uni.driver.js.map