"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ChartTooltip = void 0;
var _react = _interopRequireDefault(require("react"));
var _ChartTooltipSt = require("./ChartTooltip.st.css");
var _Popover = _interopRequireDefault(require("../Popover"));
var _constants = require("./constants");
var _Text = _interopRequireDefault(require("../Text"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SparklineChart/ChartTooltip.js";
var ChartTooltip = props => {
  var {
    dataPoint
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _ChartTooltipSt.classes.absolutePosition,
    style: {
      left: dataPoint.xCoordinate,
      top: dataPoint.yCoordinate
    },
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_Popover.default, {
    theme: "dark",
    showArrow: true,
    shown: true,
    appendTo: "window",
    placement: "top",
    fluid: true,
    dataHooks: _constants.dataHooks.chartPopover,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_Popover.default.Element, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 9
    }
  }, null), /*#__PURE__*/_react.default.createElement(_Popover.default.Content, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ChartTooltipSt.classes.contentWrapper,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 29,
      columnNumber: 11
    }
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 13
    }
  }, dataPoint.content)))));
};
exports.ChartTooltip = ChartTooltip;
//# sourceMappingURL=ChartTooltip.js.map