export default Swatches;
/** Color swatches */
declare function Swatches({ colors, onClick, selected, dataHook, showClear, showClearMessage, showAddButton, addButtonMessage, addButtonIconSize, onAdd, onChange, onCancel, columns, gap, popoverProps, }: {
    colors?: never[] | undefined;
    onClick?: (() => void) | undefined;
    selected?: string | undefined;
    dataHook: any;
    showClear: any;
    showClearMessage?: string | undefined;
    showAddButton: any;
    addButtonMessage: any;
    addButtonIconSize: any;
    onAdd: any;
    onChange: any;
    onCancel: any;
    columns?: number | undefined;
    gap?: number | undefined;
    popoverProps: any;
}): React.JSX.Element;
declare namespace Swatches {
    namespace propTypes {
        let colors: PropTypes.Requireable<any[]>;
        let selected: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let onClick: PropTypes.Requireable<(...args: any[]) => any>;
        let size: PropTypes.Requireable<string>;
        let showClear: PropTypes.Requireable<boolean>;
        let showClearMessage: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let onAdd: PropTypes.Requireable<(...args: any[]) => any>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        let onCancel: PropTypes.Requireable<(...args: any[]) => any>;
        let showAddButton: PropTypes.Requireable<boolean>;
        let addButtonMessage: PropTypes.Requireable<string>;
        let addButtonIconSize: PropTypes.Requireable<string>;
        let columns: PropTypes.Requireable<number>;
        let gap: PropTypes.Requireable<number>;
        let popoverProps: PropTypes.Requireable<PropTypes.InferProps<{
            appendTo: PropTypes.Requireable<string>;
            flip: PropTypes.Requireable<boolean>;
            fixed: PropTypes.Requireable<boolean>;
            placement: PropTypes.Requireable<string>;
            timeout: PropTypes.Requireable<NonNullable<number | PropTypes.InferProps<{
                enter: PropTypes.Requireable<number>;
                exit: PropTypes.Requireable<number>;
            }> | null | undefined>>;
            zIndex: PropTypes.Requireable<number>;
            onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
            onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
            moveArrowTo: PropTypes.Requireable<number>;
            moveBy: PropTypes.Requireable<PropTypes.InferProps<{
                x: PropTypes.Requireable<number>;
                y: PropTypes.Requireable<number>;
            }>>;
            hideDelay: PropTypes.Requireable<number>;
            showDelay: PropTypes.Requireable<number>;
            width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            maxWidth: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            minWidth: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            dynamicWidth: PropTypes.Requireable<boolean>;
        }>>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Swatches.d.ts.map