"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TableBulkSelectionCheckbox = void 0;
var _BulkSelectionConsumer = require("../BulkSelection/BulkSelectionConsumer");
var _react = _interopRequireDefault(require("react"));
var _BulkSelection = require("../BulkSelection");
var _Checkbox = _interopRequireDefault(require("../../Checkbox/Checkbox"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Table/components/TableBulkSelectionCheckbox.js";
var TableBulkSelectionCheckbox = _ref => {
  var {
    dataHook,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_BulkSelectionConsumer.BulkSelectionConsumer, {
    consumerCompName: "Table.BulkSelectionCheckbox",
    providerCompName: "Table",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 8,
      columnNumber: 5
    }
  }, _ref2 => {
    var {
      bulkSelectionState,
      toggleAll,
      selectionDisabled,
      deselectRowsByDefault
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
      dataHook: dataHook,
      checked: bulkSelectionState === _BulkSelection.BulkSelectionState.ALL,
      indeterminate: bulkSelectionState === _BulkSelection.BulkSelectionState.SOME,
      disabled: selectionDisabled === true,
      onChange: () => toggleAll(deselectRowsByDefault, 'TableBulkSelectionCheckbox'),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 18,
        columnNumber: 9
      }
    }, children);
  });
};
exports.TableBulkSelectionCheckbox = TableBulkSelectionCheckbox;
//# sourceMappingURL=TableBulkSelectionCheckbox.js.map