"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.tableListHeaderDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _unidriver = require("../test-utils/utils/unidriver");
var _constants = require("./constants");
var _CheckboxUni = require("../Checkbox/Checkbox.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var tableListHeaderDriverFactory = (base, body) => {
  var getColumnAt = index => base.$$("[data-hook=\"".concat(_constants.dataHooks.tableListHeaderValue, "\"]")).get(index);
  var getCheckbox = () => (0, _CheckboxUni.checkboxUniDriverFactory)(base.$("[data-hook=\"".concat(_constants.dataHooks.tableListHeaderCheckbox, "\"]")), body);
  var getColumnTextAt = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2.default)(function* (index) {
      var column = yield getColumnAt(index);
      return column.text();
    });
    return function getColumnTextAt(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  var toggleColumnSortAt = /*#__PURE__*/function () {
    var _ref2 = (0, _asyncToGenerator2.default)(function* (index) {
      var column = yield getColumnAt(index);
      return column.click();
    });
    return function toggleColumnSortAt(_x2) {
      return _ref2.apply(this, arguments);
    };
  }();
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base, body)), {}, {
    getColumnTextAt,
    toggleColumnSortAt,
    getCheckbox
  });
};
exports.tableListHeaderDriverFactory = tableListHeaderDriverFactory;
//# sourceMappingURL=TableListHeader.uni.driver.js.map