"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Title = exports.SelectedCount = exports.Label = exports.ItemGroup = exports.Item = exports.Divider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Heading = _interopRequireDefault(require("../Heading"));
var _Text = _interopRequireDefault(require("../Text"));
var _TableToolbarSt = require("./TableToolbar.st.css");
var _excluded = ["children", "className"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/TableToolbar/Compounds.js";
var Title = _ref => {
  var {
    dataHook,
    className,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_Heading.default, {
    dataHook: dataHook,
    className: (0, _TableToolbarSt.st)(_TableToolbarSt.classes.title, {}, className),
    size: "medium",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 3
    }
  }, children);
};
exports.Title = Title;
Title.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string
};
Title.displayName = 'TableToolbar.Title';
var SelectedCount = _ref2 => {
  var {
    dataHook,
    className,
    children
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement(_Text.default, {
    dataHook: dataHook,
    className: className,
    weight: "thin",
    size: "small",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 3
    }
  }, children);
};
exports.SelectedCount = SelectedCount;
SelectedCount.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string
};
SelectedCount.displayName = 'TableToolbar.SelectedCount';
var ItemGroup = _ref3 => {
  var {
    dataHook,
    position = 'start',
    children,
    className
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    className: (0, _TableToolbarSt.st)(_TableToolbarSt.classes.itemGroup, {
      position
    }, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 44,
      columnNumber: 3
    }
  }, children);
};
exports.ItemGroup = ItemGroup;
ItemGroup.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string,
  position: _propTypes.default.oneOf(['start', 'end'])
};
ItemGroup.displayName = 'Toolbar.ItemGroup';
var Item = _ref4 => {
  var {
    children,
    layout,
    className,
    dataHook
  } = _ref4;
  return /*#__PURE__*/_react.default.createElement("span", {
    "data-hook": dataHook,
    className: (0, _TableToolbarSt.st)(_TableToolbarSt.classes.item, {
      layout
    }, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 61,
      columnNumber: 3
    }
  }, children);
};
exports.Item = Item;
Item.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string,
  layout: _propTypes.default.oneOf(['button'])
};
Item.displayName = 'Toolbar.Item';
var Label = _ref5 => {
  var {
      children,
      className
    } = _ref5,
    rest = (0, _objectWithoutProperties2.default)(_ref5, _excluded);
  return /*#__PURE__*/_react.default.createElement(_Text.default, (0, _extends2.default)({
    tagName: "label"
  }, rest, {
    className: (0, _TableToolbarSt.st)(_TableToolbarSt.classes.itemLabel, {}, className),
    weight: "thin",
    size: "small",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 78,
      columnNumber: 3
    }
  }), _react.default.Children.toArray(children).map((c, index) => {
    return typeof c === 'string' ? /*#__PURE__*/_react.default.createElement("span", {
      key: index,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 86,
        columnNumber: 38
      }
    }, c) : c;
  }));
};
exports.Label = Label;
Label.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string
};
Label.displayName = 'Toolbar.Label';
var Divider = _ref6 => {
  var {
    className,
    dataHook
  } = _ref6;
  return /*#__PURE__*/_react.default.createElement("span", {
    "data-hook": dataHook,
    className: (0, _TableToolbarSt.st)(_TableToolbarSt.classes.divider, {}, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 99,
      columnNumber: 3
    }
  });
};
exports.Divider = Divider;
Divider.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string
};
Divider.displayName = 'Toolbar.Divider';
//# sourceMappingURL=Compounds.js.map