"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.width = exports.type = exports.sideContent = exports.onClick = exports.items = exports.item = exports.activeId = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _tabTypes = _interopRequireDefault(require("./tab-types"));
var stringOrNumber = _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]);
var item = exports.item = _propTypes.default.shape({
  id: stringOrNumber,
  title: _propTypes.default.node,
  minWidth: _propTypes.default.number,
  maxWidth: _propTypes.default.number,
  textAlign: _propTypes.default.oneOf(['start', 'center', 'end']),
  dataHook: _propTypes.default.string
});
var items = exports.items = _propTypes.default.arrayOf(item);
var onClick = exports.onClick = _propTypes.default.func;
var activeId = exports.activeId = stringOrNumber;
var width = exports.width = stringOrNumber;
var sideContent = exports.sideContent = _propTypes.default.node;
var type = exports.type = _propTypes.default.oneOf(_tabTypes.default);
//# sourceMappingURL=tab-prop-types.js.map