"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _utils = require("../utils");
var TabPropTypes = _interopRequireWildcard(require("../constants/tab-prop-types"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Tabs/core/withItemMaxWidth/index.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var withMaxWidth = WrappedComponent => {
  var _Wrapper;
  var getMaxWidth = (items, containerWidth) => {
    var COMPACT_SIDE_MARGIN = 18;
    var marginsBetweenItems = COMPACT_SIDE_MARGIN * 2 * (items.length - 1);
    return (containerWidth - marginsBetweenItems) / items.length;
  };
  return _Wrapper = class Wrapper extends _react.default.Component {
    constructor() {
      super(...arguments);
      this.state = {
        itemMaxWidth: undefined
      };
    }
    initMaxWidth(itemsContainer) {
      var {
        type,
        items
      } = this.props;
      if (!itemsContainer || type !== 'compactSide') {
        return;
      }
      var itemMaxWidth = getMaxWidth(items, (0, _utils.getWidth)(itemsContainer));
      if (this.state.itemMaxWidth !== itemMaxWidth) {
        this.setState({
          itemMaxWidth
        });
      }
    }
    render() {
      return /*#__PURE__*/_react.default.createElement("div", {
        ref: el => this.initMaxWidth(el),
        style: {
          width: '100%'
        },
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 36,
          columnNumber: 9
        }
      }, /*#__PURE__*/_react.default.createElement(WrappedComponent, (0, _extends2.default)({}, this.props, {
        itemMaxWidth: this.state.itemMaxWidth,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 37,
          columnNumber: 11
        }
      })));
    }
  }, _Wrapper.propTypes = {
    type: TabPropTypes.type,
    items: TabPropTypes.items.isRequired
  }, _Wrapper;
};
var _default = exports.default = withMaxWidth;
//# sourceMappingURL=index.js.map