"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _vanilla = require("@wix/wix-ui-test-utils/vanilla");
var _Tag = require("./Tag.helpers");
var _Text = _interopRequireDefault(require("../Text/Text.driver"));
var _Tag2 = _interopRequireDefault(require("./Tag.driver"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var textTestkitFactory = (0, _vanilla.testkitFactoryCreator)(_Text.default);
var getTextDriver = element => {
  return textTestkitFactory({
    wrapper: element,
    dataHook: _Tag.dataHooks.text
  });
};
var tagPrivateDriverFactory = _ref => {
  var {
    element
  } = _ref;
  var isCloseButtonLarge = () => element.querySelector("[data-hook=\"".concat(_Tag.dataHooks.removeButton, "\"]")).getAttribute('data-size') === 'medium';
  return _objectSpread(_objectSpread({}, (0, _Tag2.default)({
    element
  })), {}, {
    isCloseButtonSmall: () => !isCloseButtonLarge(),
    isCloseButtonLarge,
    getTextSize: () => getTextDriver(element).getSize(),
    getTextWeight: () => getTextDriver(element).getWeight(),
    isClickable: () => element.getAttribute(_Tag.dataAttr.CLICKABLE) === 'true',
    isHoverable: () => element.getAttribute(_Tag.dataAttr.HOVERABLE) === 'true'
  });
};
var _default = exports.default = tagPrivateDriverFactory;
//# sourceMappingURL=Tag.private.driver.js.map