"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.tagPrivateUniDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _TagUni = require("./Tag.uni.driver");
var _Tag = require("./Tag.helpers");
var _TextUni = require("../Text/Text.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var tagPrivateUniDriverFactory = base => {
  var removeButton = base.$("[data-hook=\"".concat(_Tag.dataHooks.removeButton, "\"]"));
  var text = base.$("[data-hook=\"".concat(_Tag.dataHooks.text, "\"]"));
  var textDriver = (0, _TextUni.textUniDriverFactory)(text);
  var isCloseButtonLarge = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2.default)(function* () {
      return (yield removeButton.attr('data-size')) === 'medium';
    });
    return function isCloseButtonLarge() {
      return _ref.apply(this, arguments);
    };
  }();
  return _objectSpread(_objectSpread({}, (0, _TagUni.tagUniDriverFactory)(base)), {}, {
    isCloseButtonSmall: function () {
      var _isCloseButtonSmall = (0, _asyncToGenerator2.default)(function* () {
        return !(yield isCloseButtonLarge());
      });
      function isCloseButtonSmall() {
        return _isCloseButtonSmall.apply(this, arguments);
      }
      return isCloseButtonSmall;
    }(),
    isCloseButtonLarge,
    getTextSize: () => textDriver.getSize(),
    getTextWeight: () => textDriver.getWeight(),
    isClickable: function () {
      var _isClickable = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.CLICKABLE)) === 'true';
      });
      function isClickable() {
        return _isClickable.apply(this, arguments);
      }
      return isClickable;
    }(),
    isHoverable: function () {
      var _isHoverable = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.HOVERABLE)) === 'true';
      });
      function isHoverable() {
        return _isHoverable.apply(this, arguments);
      }
      return isHoverable;
    }(),
    pressKey: function () {
      var _pressKey = (0, _asyncToGenerator2.default)(function* (key) {
        return removeButton.pressKey(key);
      });
      function pressKey(_x) {
        return _pressKey.apply(this, arguments);
      }
      return pressKey;
    }()
  });
};
exports.tagPrivateUniDriverFactory = tagPrivateUniDriverFactory;
//# sourceMappingURL=Tag.private.uni.driver.js.map