"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.tagUniDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _Tag = require("./Tag.helpers");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var tagUniDriverFactory = base => {
  var removeButton = base.$("[data-hook=\"".concat(_Tag.dataHooks.removeButton, "\"]"));
  var thumb = base.$("[data-hook=\"".concat(_Tag.dataHooks.thumb, "\"]"));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    isTiny: function () {
      var _isTiny = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.SIZE)) === 'tiny';
      });
      function isTiny() {
        return _isTiny.apply(this, arguments);
      }
      return isTiny;
    }(),
    isSmall: function () {
      var _isSmall = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.SIZE)) === 'small';
      });
      function isSmall() {
        return _isSmall.apply(this, arguments);
      }
      return isSmall;
    }(),
    isMedium: function () {
      var _isMedium = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.SIZE)) === 'medium';
      });
      function isMedium() {
        return _isMedium.apply(this, arguments);
      }
      return isMedium;
    }(),
    isLarge: function () {
      var _isLarge = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.SIZE)) === 'large';
      });
      function isLarge() {
        return _isLarge.apply(this, arguments);
      }
      return isLarge;
    }(),
    isStandardTheme: function () {
      var _isStandardTheme = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.THEME)) === 'standard';
      });
      function isStandardTheme() {
        return _isStandardTheme.apply(this, arguments);
      }
      return isStandardTheme;
    }(),
    isWarningTheme: function () {
      var _isWarningTheme = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.THEME)) === 'warning';
      });
      function isWarningTheme() {
        return _isWarningTheme.apply(this, arguments);
      }
      return isWarningTheme;
    }(),
    isErrorTheme: function () {
      var _isErrorTheme = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.THEME)) === 'error';
      });
      function isErrorTheme() {
        return _isErrorTheme.apply(this, arguments);
      }
      return isErrorTheme;
    }(),
    isDarkTheme: function () {
      var _isDarkTheme = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.THEME)) === 'dark';
      });
      function isDarkTheme() {
        return _isDarkTheme.apply(this, arguments);
      }
      return isDarkTheme;
    }(),
    isSuccessTheme: function () {
      var _isSuccessTheme = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.THEME)) === 'success';
      });
      function isSuccessTheme() {
        return _isSuccessTheme.apply(this, arguments);
      }
      return isSuccessTheme;
    }(),
    isRemovable: () => removeButton.exists(),
    removeTag: () => removeButton.click(),
    click: () => base.click(),
    isThumbExists: () => thumb.exists(),
    isDisabled: function () {
      var _isDisabled = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr(_Tag.dataAttr.DISABLED)) === 'true';
      });
      function isDisabled() {
        return _isDisabled.apply(this, arguments);
      }
      return isDisabled;
    }(),
    getLabel: () => base.text()
  });
};
exports.tagUniDriverFactory = tagUniDriverFactory;
//# sourceMappingURL=Tag.uni.driver.js.map