import { UniDriver } from '@wix/wix-ui-test-utils/unidriver';
export declare const toastDriverFactory: (base: UniDriver) => {
    getItems: () => Promise<{
        getStatus: () => Promise<string | null>;
        getContent: () => Promise<string>;
        isDismissExists: () => Promise<boolean>;
        clickOnDismiss: () => Promise<void>;
        isActionExists: () => Promise<boolean>;
        getActionTitle: () => Promise<string>;
        getActionHref: () => Promise<string | null>;
        clickOnAction: () => Promise<void>;
    }[]>;
    getItemsCount: () => Promise<number>;
    getItemByDataHook: (dataHook: string) => Promise<{
        getStatus: () => Promise<string | null>;
        getContent: () => Promise<string>;
        isDismissExists: () => Promise<boolean>;
        clickOnDismiss: () => Promise<void>;
        isActionExists: () => Promise<boolean>;
        getActionTitle: () => Promise<string>;
        getActionHref: () => Promise<string | null>;
        clickOnAction: () => Promise<void>;
    }>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
export type ToastUniDriver = ReturnType<typeof toastDriverFactory>;
//# sourceMappingURL=Toast.uni.driver.d.ts.map