"use strict";

exports.__esModule = true;
exports.testStories = exports.testDataHooks = exports.pillTextSizesMap = exports.iconChildSize = exports.dataHooks = exports.dataAttr = exports.SKINS = exports.SHAPES = exports.PRIORITY = void 0;
var SKINS = exports.SKINS = {
  standard: 'standard',
  dark: 'dark',
  inverted: 'inverted',
  destructive: 'destructive',
  success: 'success'
};
var SHAPES = exports.SHAPES = {
  square: 'square',
  round: 'round',
  pill: 'pill'
};
var PRIORITY = exports.PRIORITY = {
  primary: 'primary'
};
var iconChildSize = exports.iconChildSize = {
  tiny: '18px',
  small: '18px',
  medium: '24px',
  large: '24px'
};
var prefix = 'toggle-button';
var dataHooks = exports.dataHooks = {
  label: "".concat(prefix, "-label"),
  button: "".concat(prefix, "-button")
};
var dataAttr = exports.dataAttr = {
  selected: 'data-selected',
  skin: 'data-skin',
  placement: 'data-placement',
  shape: 'data-shape'
};
var testStories = exports.testStories = {
  ToggleButton_SKINS: 'ToggleButton skins'
};
var testDataHooks = exports.testDataHooks = {
  iconOfToggleButton: 'toggleButton-icon'
};
var pillTextSizesMap = exports.pillTextSizesMap = {
  tiny: 'tiny',
  small: 'small',
  medium: 'medium',
  large: 'medium'
};
//# sourceMappingURL=constants.js.map