"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _ToggleSwitchCore = require("./ToggleSwitchCore/ToggleSwitchCore.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var toggleSwitchDriverFactory = _ref => {
  var {
    element,
    eventTrigger
  } = _ref;
  var coreToggleSwitchDriver = (0, _ToggleSwitchCore.toggleSwitchDriverFactory)({
    element,
    eventTrigger
  });
  return _objectSpread(_objectSpread({}, coreToggleSwitchDriver), {}, {
    /** Get Toggle Switch size */
    getSize: () => element.getAttribute('data-size'),
    /** Get Toggle Switch skin */
    getSkin: () => element.getAttribute('data-skin')
  });
};
var _default = exports.default = toggleSwitchDriverFactory;
//# sourceMappingURL=ToggleSwitch.driver.js.map