export declare const toggleSwitchDriverFactory: ({ element, eventTrigger, }: {
    element: any;
    eventTrigger: any;
}) => {
    /** Checks if element exists */
    exists: () => boolean;
    /** Triggers change */
    click: () => void;
    /** Returns a boolean indicating if the toggleSwitch is checked */
    isChecked: () => any;
    /** Returns a boolean indicating if the toggleSwitch is disabled */
    isDisabled: () => boolean;
    /** Returns the toggle icon inside the knob */
    getKnobIcon: () => any;
    /** Returns whether the toggle has an icon */
    hasKnobIcon: () => boolean;
    /** Returns the id of the input */
    getId: () => any;
    /** Returns the tab index */
    getTabIndex: () => any;
    /** Returns the computed styles object of the root component */
    getRootStyles: () => CSSStyleDeclaration;
    /** Returns the computed styles object of the track */
    getTrackStyles: () => CSSStyleDeclaration;
    /** Returns the computed styles object of the knob */
    getKnobStyles: () => CSSStyleDeclaration;
    /** Returns the computed styles object of the knob icon */
    getKnobIconStyles: () => CSSStyleDeclaration;
};
//# sourceMappingURL=ToggleSwitchCore.driver.d.ts.map