export default VerticalTabs;
declare class VerticalTabs extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace VerticalTabs {
    export let displayName: string;
    export namespace propTypes {
        let size: PropTypes.Requireable<string>;
        let activeTabId: PropTypes.Requireable<number>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        let children: PropTypes.Requireable<PropTypes.ReactNodeLike[]>;
        let dataHook: PropTypes.Requireable<string>;
    }
    export namespace defaultProps {
        let size_1: string;
        export { size_1 as size };
        export function onChange_1(): void;
        export { onChange_1 as onChange };
    }
    export { TabsGroup };
    export { VerticalTabsItem as TabItem };
    export { Footer };
}
import React from 'react';
import PropTypes from 'prop-types';
declare function TabsGroup({ title, children }: {
    title?: string | undefined;
    children: any;
}): React.JSX.Element;
declare namespace TabsGroup {
    export namespace propTypes_1 {
        let title: PropTypes.Requireable<string>;
    }
    export { propTypes_1 as propTypes };
}
import VerticalTabsItem from '../VerticalTabsItem';
/** Vertical tabs navigation panel. */
declare function Footer({ children }: {
    children: any;
}): React.JSX.Element;
//# sourceMappingURL=VerticalTabs.d.ts.map