"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _context = require("./context");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/WixStyleReactEnvironmentProvider/WixStyleReactEnvironmentProvider.js";
/** A wrapper component for an app to hold cross library global configuration such as locale, rtl and others */
var WixStyleReactEnvironmentProvider = _ref => {
  var {
    locale = 'en',
    pageHeaderId,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactEnvironmentContext.Provider, {
    value: {
      locale,
      pageHeaderId
    },
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  }, children);
};
WixStyleReactEnvironmentProvider.displayName = 'WixStyleReactEnvironmentProvider';
WixStyleReactEnvironmentProvider.propTypes = {
  /** Define the user locale to be used and effect some translation and localization (like DatePicker) - this should be compliant to Intl language codes*/
  locale: _propTypes.default.string,
  /** Define id that will be applied to the header of a main page */
  pageHeaderId: _propTypes.default.string,
  /** any content to be displayed */
  children: _propTypes.default.node
};
var _default = exports.default = WixStyleReactEnvironmentProvider;
//# sourceMappingURL=WixStyleReactEnvironmentProvider.js.map