"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _react = _interopRequireDefault(require("react"));
var _context = require("../context");
var _react2 = require("@testing-library/react");
var _WixStyleReactMaskingProvider = _interopRequireDefault(require("../WixStyleReactMaskingProvider"));
var _constants = require("../constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/WixStyleReactMaskingProvider/tests/WixStyleReactMaskingProvider.spec.tsx",
  _this = void 0;
describe('WixDesignSystemsMaskingContext', () => {
  it('should provide masking classNames trough its context', /*#__PURE__*/(0, _asyncToGenerator2.default)(function* () {
    var {
      container
    } = (0, _react2.render)(/*#__PURE__*/_react.default.createElement(_WixStyleReactMaskingProvider.default, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 10,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react.default.createElement(_context.WixStyleReactMaskingContext.Consumer, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 11,
        columnNumber: 9
      }
    }, _ref2 => {
      var {
        maskingClassNames
      } = _ref2;
      return /*#__PURE__*/_react.default.createElement("div", {
        "data-hook": "masked-component",
        "data-mask": maskingClassNames,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 13,
          columnNumber: 13
        }
      });
    })));
    var rootEl = container.querySelector("[data-hook=\"masked-component\"]");
    expect(rootEl == null ? void 0 : rootEl.getAttribute('data-mask')).toBe(_constants.maskingClassNames);
  }));
});
//# sourceMappingURL=WixStyleReactMaskingProvider.spec.js.map