"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("./constants");
var _FluidColumnsSt = require("./FluidColumns.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/common/FluidColumns/FluidColumns.js";
/** A fluid columns component*/
class FluidColumns extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      className,
      cols,
      children
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _FluidColumnsSt.st)(_FluidColumnsSt.classes.root, className),
      "data-hook": dataHook,
      style: {
        [_FluidColumnsSt.vars.cols]: cols
      },
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 13,
        columnNumber: 7
      }
    }, _react.default.Children.map(children, (child, index) => {
      return /*#__PURE__*/_react.default.createElement("div", {
        key: index,
        "data-hook": _constants.dataHooks.item,
        className: _FluidColumnsSt.classes.item,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 20,
          columnNumber: 13
        }
      }, child);
    }));
  }
}
FluidColumns.displayName = 'FluidColumns';
FluidColumns.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the component's root element */
  className: _propTypes.default.string,
  /** Define the number of columns. It is used for the grid in order to define how many features will be displayed in a row. The default value is 3. */
  cols: _propTypes.default.number,
  /** Children to render. */
  children: _propTypes.default.node.isRequired
};
FluidColumns.defaultProps = {
  cols: 3
};
var _default = exports.default = FluidColumns;
//# sourceMappingURL=FluidColumns.js.map