"use strict";

exports.__esModule = true;
exports.default = void 0;
var install = () => {
  if (window && !window.matchMedia) {
    window.matchMedia = function () {
      return {
        matches: false,
        addListener() {},
        removeListener() {}
      };
    };
  }
  global.matchMedia = global.matchMedia || window.matchMedia;
};
var uninstall = () => {
  delete global.matchMedia;
};
var _default = exports.default = {
  install,
  uninstall
};
//# sourceMappingURL=match-media.js.map