"use strict";

exports.__esModule = true;
exports.default = void 0;
var originalGetSelection = typeof window === 'undefined' ? function () {} : window.getSelection;
var install = () => {
  if (typeof window === 'undefined') {
    return;
  }
  window.getSelection = () => {
    return {
      addRange: () => {},
      removeAllRanges: () => {}
    };
  };
};
var uninstall = () => {
  window.getSelection = originalGetSelection;
};
var _default = exports.default = {
  install,
  uninstall
};
//# sourceMappingURL=selection-behavior.js.map