"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
var _exportNames = {
  wait: true,
  Placeholder: true,
  clickElement: true,
  focusElement: true
};
exports.wait = exports.focusElement = exports.clickElement = exports.Placeholder = void 0;
var _react = _interopRequireDefault(require("react"));
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  exports[key] = _types[key];
});
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/test-utils/utils/visual/utils/index.js";
/** A simple wait function to test components with animations */
var wait = timeToDelay => new Promise(resolve => setTimeout(resolve, timeToDelay));
exports.wait = wait;
var Placeholder = props => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    border: '1px dashed #162D3D',
    color: '#162D3D',
    display: 'block',
    width: '100%',
    height: props.height || '100%',
    textAlign: 'center',
    boxSizing: 'border-box'
  },
  __self: void 0,
  __source: {
    fileName: _jsxFileName,
    lineNumber: 8,
    columnNumber: 3
  }
}, props.children);
exports.Placeholder = Placeholder;
var clickElement = dataHook => {
  var node = document.body;
  var dataHookSelector = "[data-hook*=".concat(dataHook, "]");
  var element = node.querySelector(dataHookSelector);
  element.click();
};
exports.clickElement = clickElement;
var focusElement = dataHook => {
  var node = document.body;
  var dataHookSelector = "[data-hook*=".concat(dataHook, "]");
  var element = node.querySelector(dataHookSelector);
  element.focus();
};
exports.focusElement = focusElement;
//# sourceMappingURL=index.js.map