"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.adaptiveHeadingDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../../test-utils/utils/unidriver");
var _dataHooks = _interopRequireDefault(require("./dataHooks"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var adaptiveHeadingDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Get short version of text */
    getShortText: function () {
      var _getShortText = (0, _asyncToGenerator2.default)(function* () {
        var short = yield base.$("[data-hook=\"".concat(_dataHooks.default.textInShort, "\"]"));
        if (yield short.exists()) {
          var text = yield short.text();
          return text || null;
        }
        return null;
      });
      function getShortText() {
        return _getShortText.apply(this, arguments);
      }
      return getShortText;
    }(),
    /** Get long version of text */
    getText: function () {
      var _getText = (0, _asyncToGenerator2.default)(function* () {
        var long = yield base.$("[data-hook=\"".concat(_dataHooks.default.text, "\"]"));
        if (yield long.exists()) {
          var text = yield long.text();
          return text || null;
        }
        return base.text();
      });
      function getText() {
        return _getText.apply(this, arguments);
      }
      return getText;
    }(),
    /** Get tagName */
    getAppearance: function () {
      var _getAppearance = (0, _asyncToGenerator2.default)(function* () {
        return base._prop('tagName');
      });
      function getAppearance() {
        return _getAppearance.apply(this, arguments);
      }
      return getAppearance;
    }()
  });
};
exports.adaptiveHeadingDriverFactory = adaptiveHeadingDriverFactory;
//# sourceMappingURL=AdaptiveHeading.uni.driver.js.map