"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.renderButtonBlock = exports.getSkinBackground = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _Layout = require("../../Layout");
var _Box = _interopRequireDefault(require("../../Box"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/utils/ButtonHelpers/index.js";
var skinBackgroundRules = [{
  when: skin => skin === 'standard',
  output: ''
}, {
  when: skin => skin === 'inverted',
  output: ''
}, {
  when: skin => skin === 'destructive',
  output: ''
}, {
  when: skin => skin === 'premium',
  output: ''
}, {
  when: skin => skin === 'light',
  output: '#162d3d'
}, {
  when: skin => skin === 'transparent',
  output: '#4eb7f5'
}, {
  when: skin => skin === 'dark',
  output: '#fef0ba'
}, {
  when: skin => skin === 'premium-light',
  output: '#162d3d'
}, {
  when: () => true,
  output: ''
}];
var getSkinBackground = skin => skinBackgroundRules.find(_ref => {
  var {
    when
  } = _ref;
  return when(skin);
}).output;
exports.getSkinBackground = getSkinBackground;
var renderButtonBlock = _ref2 => {
  var {
    Component,
    props = {},
    skins
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      position: 'absolute',
      top: 0,
      left: 0,
      width: '100%',
      height: '100%',
      backgroundColor: '#f0f4f7'
    },
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 48,
      columnNumber: 3
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    width: "400px",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 58,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_Layout.Layout, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 59,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_Layout.Cell, {
    span: 6,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 60,
      columnNumber: 9
    }
  }, skins.map((_ref3, index) => {
    var {
      skin,
      background
    } = _ref3;
    return /*#__PURE__*/_react.default.createElement("div", {
      key: index,
      style: {
        background,
        margin: '5px 0'
      },
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 62,
        columnNumber: 13
      }
    }, /*#__PURE__*/_react.default.createElement(Component, (0, _extends2.default)({
      children: skin
    }, props, {
      fullWidth: true,
      skin: skin,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 63,
        columnNumber: 15
      }
    })));
  })), /*#__PURE__*/_react.default.createElement(_Layout.Cell, {
    span: 6,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 67,
      columnNumber: 9
    }
  }, skins.map((_ref4, index) => {
    var {
      skin,
      background
    } = _ref4;
    return /*#__PURE__*/_react.default.createElement("div", {
      key: index,
      style: {
        background,
        margin: '5px 0'
      },
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 69,
        columnNumber: 13
      }
    }, /*#__PURE__*/_react.default.createElement(Component, (0, _extends2.default)({
      children: skin
    }, props, {
      fullWidth: true,
      skin: skin,
      disabled: true,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 70,
        columnNumber: 15
      }
    })));
  })))));
};
exports.renderButtonBlock = renderButtonBlock;
//# sourceMappingURL=index.js.map