"use strict";

exports.__esModule = true;
exports.StringUtils = void 0;
exports.includesCaseInsensitive = includesCaseInsensitive;
exports.isString = void 0;
var isString = a => typeof a === 'string';

/**
 * a includes b (with case insensitive matching)
 */
exports.isString = isString;
function includesCaseInsensitive() {
  var a = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var b = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  return [a, b].every(isString) && (!b || a.toLowerCase().indexOf(b.toLowerCase()) !== -1);
}
var StringUtils = exports.StringUtils = {
  includesCaseInsensitive
};
//# sourceMappingURL=StringUtils.js.map