"use strict";

exports.__esModule = true;
exports.filterDataProps = void 0;
var acceptedPropsStart = 'data-';
var filterDataProps = props => {
  var output = {};
  for (var key in props) {
    if (props.hasOwnProperty(key) && key.length > acceptedPropsStart.length && key.startsWith(acceptedPropsStart)) {
      // @ts-ignore
      output[key] = props[key];
    }
  }
  return output;
};
exports.filterDataProps = filterDataProps;
//# sourceMappingURL=propsUtils.js.map