"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var originalClipboard = typeof navigator === 'undefined' ? {} : navigator.clipboard;
var install = function install() {
  if (typeof navigator === 'undefined') {
    return;
  }
  navigator.clipboard = {
    writeText: function writeText() {
      return Promise.resolve();
    }
  };
};
var uninstall = function uninstall() {
  navigator.clipboard = originalClipboard;
};
var _default = exports["default"] = {
  install: install,
  uninstall: uninstall
};