import { Simulate } from 'react-dom/test-utils';
declare const addItemDriverFactory: ({ element, eventTrigger, }: {
    element: Element | undefined;
    eventTrigger: typeof Simulate;
}) => {
    /** returns true if element in the DOM */
    exists: () => boolean;
    /** returns the driver element */
    element: () => Element | null | undefined;
    /** returns value of action text */
    getText: () => any;
    /** true if passed children in string exists */
    textExists: () => any;
    /** returns value of tooltip content */
    getTooltipContent: () => string | null | undefined;
    /** clicks on element */
    click: () => void | null | undefined;
    /** returns value of subtitle */
    getSubtitle: () => any;
    /** returns true if element is focused */
    isFocused: () => boolean;
    /** sets focus on the element */
    focus: () => void;
    /** removes focus on the element */
    blur: () => void;
};
export type AddItemDriver = ReturnType<typeof addItemDriverFactory>;
export default addItemDriverFactory;
//# sourceMappingURL=AddItem.driver.d.ts.map