export default AvatarGroup;
/** AvatarGroup */
declare function AvatarGroup({ dataHook, className, type, items, maxItems, size, showDivider, }: {
    dataHook: any;
    className: any;
    type?: string | undefined;
    items?: never[] | undefined;
    maxItems?: number | undefined;
    size?: string | undefined;
    showDivider?: boolean | undefined;
}): React.JSX.Element;
declare namespace AvatarGroup {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let type: PropTypes.Requireable<string>;
        let size: PropTypes.Requireable<string>;
        let showDivider: PropTypes.Requireable<boolean>;
        let maxItems: PropTypes.Requireable<number>;
        let items: PropTypes.Validator<(PropTypes.InferProps<{
            ariaLabel: PropTypes.Requireable<string>;
            color: PropTypes.Requireable<string>;
            imgProp: PropTypes.Requireable<object>;
            name: PropTypes.Requireable<string>;
            text: PropTypes.Requireable<string>;
            placeholder: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            title: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=AvatarGroup.d.ts.map