export function Content({ dataHook, className, children, hideTopScrollDivider, hideBottomScrollDivider, overflowY, scrollProps, }: {
    dataHook: any;
    className: any;
    children: any;
    hideTopScrollDivider?: boolean | undefined;
    hideBottomScrollDivider?: boolean | undefined;
    overflowY?: string | undefined;
    scrollProps?: {} | undefined;
}): any;
export namespace Content {
    let displayName: string;
    namespace propTypes {
        let className: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let content: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
        let hideTopScrollDivider: PropTypes.Requireable<boolean>;
        let hideBottomScrollDivider: PropTypes.Requireable<boolean>;
        let scrollProps: PropTypes.Requireable<PropTypes.InferProps<{
            onScrollAreaChanged: React.Validator<((scrollChangedData: import("../../../common/ScrollableContainer").ScrollAreaData) => void) | null | undefined> | undefined;
            onScrollChanged: React.Validator<((target: HTMLElement) => void) | null | undefined> | undefined;
        }>>;
        let overflowY: PropTypes.Requireable<string>;
    }
}
import PropTypes from 'prop-types';
import React from 'react';
//# sourceMappingURL=Content.d.ts.map