import { UniDriver } from '@wix/wix-ui-test-utils/dist/types/unidriver';
import { ButtonSkin } from './Button.types';
export declare const buttonDriverFactory: (base: UniDriver) => {
    getButtonTextContent: () => Promise<string>;
    isFocused: () => Promise<boolean>;
    isButtonDisabled: () => Promise<boolean>;
    hasSkin: (skinName: ButtonSkin) => Promise<boolean>;
    /**
     * Checks whether button has an icon prefix
     * @return {Promise<boolean>}
     */
    isPrefixIconExists: () => Promise<boolean>;
    isSuffixIconExists: () => Promise<boolean>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
export type ButtonUniDriver = ReturnType<typeof buttonDriverFactory>;
//# sourceMappingURL=Button.uni.driver.d.ts.map