export default Divider;
/** A component that separates content by a line horizontally or vertically */
declare class Divider extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applies a data-hook HTML attribute that can be used in the tests. */
        dataHook: PropTypes.Requireable<string>;
        /** Controls divider direction. */
        direction: PropTypes.Requireable<string>;
        /** Sets the skin of the divider. */
        skin: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        direction: string;
        skin: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Divider.d.ts.map