export default FacesRatingBar;
/** A rating component that will enable the user to rate on a 1-5 scale. */
declare class FacesRatingBar extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        faceHoveredIndex: number;
    };
    componentDidMount(): void;
    _onFaceClick: (index: any) => void;
    _onFaceMouseEnter: (index: any) => void;
    _onFaceMouseLeave: () => void;
    _onFaceFocus: (faceIndex: any, focusableProps: any) => void;
    _onFaceBlur: (focusableProps: any) => void;
    _shouldShowDescriptionValues: () => boolean;
    render(): React.JSX.Element;
}
declare namespace FacesRatingBar {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let readOnly: PropTypes.Requireable<boolean>;
        let descriptionValues: PropTypes.Requireable<(string | null | undefined)[]>;
        let value: PropTypes.Validator<number>;
        let maxValue: PropTypes.Requireable<number>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let readOnly_1: boolean;
        export { readOnly_1 as readOnly };
        export function onChange_1(): void;
        export { onChange_1 as onChange };
        let maxValue_1: number;
        export { maxValue_1 as maxValue };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=FacesRatingBar.d.ts.map