import React from 'react';
import { TextSize, TextProps } from '../../../Text';
type LabelSize = Extract<TextSize, 'small' | 'tiny'>;
interface Props extends Pick<TextProps, 'aria-hidden' | 'ellipsis' | 'id'> {
    dataHook: string;
    label: React.ReactNode;
    tagName?: 'label';
    labelSize?: LabelSize;
    hasInlineElements?: boolean;
}
declare const Label: ({ labelSize, label, "aria-hidden": ariaHidden, hasInlineElements, ...rest }: Props) => React.JSX.Element;
export default Label;
//# sourceMappingURL=Label.d.ts.map