export default InputArea;
/**
 * General inputArea container
 */
declare class InputArea extends React.PureComponent<any, any, any> {
    static MIN_ROWS: number;
    constructor(props: any);
    constructor(props: any, context: any);
    _computedStyle: null;
    state: {
        focus: boolean;
        counter: any;
        computedRows: any;
    };
    _getDataAttr: ({ statusContext }: {
        statusContext: any;
    }) => object;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
    textArea: any;
    focus: () => void;
    blur: () => void;
    select: () => void;
    _onFocus: (e: any) => void;
    _onBlur: (e: any) => void;
    _onKeyDown: (e: any) => void;
    _onChange: (e: any) => void;
    _onInput: () => void;
    _calculateComputedRows: () => void;
    _updateComputedStyle: import("lodash").DebouncedFuncLeading<() => void>;
    _getComputedStyle: () => null;
    _getRowsCount: () => number;
    _getDefaultLineHeight: () => number;
    _defaultLineHeight: number | undefined;
}
declare namespace InputArea {
    let displayName: string;
    namespace defaultProps {
        import minRowsAutoGrow = InputArea.MIN_ROWS;
        export { minRowsAutoGrow };
        export let size: string;
    }
    namespace propTypes {
        export let dataHook: PropTypes.Requireable<string>;
        export let className: PropTypes.Requireable<string>;
        export let children: PropTypes.Requireable<(...args: any[]) => any>;
        export let ariaControls: PropTypes.Requireable<string>;
        export let ariaDescribedby: PropTypes.Requireable<string>;
        export let ariaLabel: PropTypes.Requireable<string>;
        export let autoFocus: PropTypes.Requireable<boolean>;
        let size_1: PropTypes.Requireable<string>;
        export { size_1 as size };
        export let defaultValue: PropTypes.Requireable<string>;
        export let disabled: PropTypes.Requireable<boolean>;
        export let status: PropTypes.Requireable<string>;
        export let statusMessage: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        export let forceFocus: PropTypes.Requireable<boolean>;
        export let forceHover: PropTypes.Requireable<boolean>;
        export let hasCounter: PropTypes.Requireable<boolean>;
        export let id: PropTypes.Requireable<string>;
        export let name: PropTypes.Requireable<string>;
        export let maxHeight: PropTypes.Requireable<string>;
        export let maxLength: PropTypes.Requireable<number>;
        export let minHeight: PropTypes.Requireable<string>;
        export let onBlur: PropTypes.Requireable<(...args: any[]) => any>;
        export let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        export let onEnterPressed: PropTypes.Requireable<(...args: any[]) => any>;
        export let onEscapePressed: PropTypes.Requireable<(...args: any[]) => any>;
        export let onFocus: PropTypes.Requireable<(...args: any[]) => any>;
        export let onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
        export let onKeyUp: PropTypes.Requireable<(...args: any[]) => any>;
        export let placeholder: PropTypes.Requireable<string>;
        export let readOnly: PropTypes.Requireable<boolean>;
        export let resizable: PropTypes.Requireable<boolean>;
        export let rows: PropTypes.Requireable<number>;
        export let autoGrow: PropTypes.Requireable<boolean>;
        let minRowsAutoGrow_1: PropTypes.Requireable<number>;
        export { minRowsAutoGrow_1 as minRowsAutoGrow };
        export let tabIndex: PropTypes.Requireable<number>;
        export let tooltipPlacement: PropTypes.Requireable<string>;
        export let value: PropTypes.Requireable<string>;
        export let required: PropTypes.Requireable<boolean>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=InputArea.d.ts.map