export default MessageBoxFunctionalLayout;
/** MessageBoxFunctionalLayout */
declare function MessageBoxFunctionalLayout({ theme, buttonsHeight, disableCancel, disableConfirmation, noBodyPadding, fullscreen, withEmptyState, dataHook, title, onCancel, onOk, onClose, confirmText, confirmPrefixIcon, confirmSuffixIcon, cancelText, cancelPrefixIcon, cancelSuffixIcon, hideFooter, footerBottomChildren, closeButton, width, margin, sideActions, withFooterAction, noPadding, image, maxHeight, children, }: {
    theme?: string | undefined;
    buttonsHeight?: string | undefined;
    disableCancel?: boolean | undefined;
    disableConfirmation?: boolean | undefined;
    noBodyPadding?: boolean | undefined;
    fullscreen?: boolean | undefined;
    withEmptyState?: boolean | undefined;
    dataHook: any;
    title: any;
    onCancel: any;
    onOk: any;
    onClose: any;
    confirmText: any;
    confirmPrefixIcon: any;
    confirmSuffixIcon: any;
    cancelText: any;
    cancelPrefixIcon: any;
    cancelSuffixIcon: any;
    hideFooter: any;
    footerBottomChildren: any;
    closeButton: any;
    width: any;
    margin: any;
    sideActions: any;
    withFooterAction: any;
    noPadding: any;
    image: any;
    maxHeight: any;
    children: any;
}): React.JSX.Element;
declare namespace MessageBoxFunctionalLayout {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let hideFooter: PropTypes.Requireable<boolean>;
        let confirmText: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let confirmPrefixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
        let confirmSuffixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
        let cancelText: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let cancelPrefixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
        let cancelSuffixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
        let theme: PropTypes.Requireable<string>;
        let onOk: PropTypes.Requireable<(...args: any[]) => any>;
        let onCancel: PropTypes.Requireable<(...args: any[]) => any>;
        let onClose: PropTypes.Requireable<(...args: any[]) => any>;
        let width: PropTypes.Requireable<string>;
        let margin: PropTypes.Requireable<string>;
        let title: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let children: PropTypes.Requireable<any>;
        let maxHeight: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let buttonsHeight: PropTypes.Requireable<string>;
        let closeButton: PropTypes.Requireable<boolean>;
        let disableCancel: PropTypes.Requireable<boolean>;
        let disableConfirmation: PropTypes.Requireable<boolean>;
        let noBodyPadding: PropTypes.Requireable<boolean>;
        let footerBottomChildren: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let fullscreen: PropTypes.Requireable<boolean>;
        let withEmptyState: PropTypes.Requireable<boolean>;
        let sideActions: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let image: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=MessageBoxFunctionalLayout.d.ts.map