export default MessageModalLayout;
/** MessageModalLayout */
declare function MessageModalLayout({ theme, actionsSize, ...propsWithNoDefaults }: {
    [x: string]: any;
    theme?: string | undefined;
    actionsSize?: string | undefined;
}): React.JSX.Element;
declare namespace MessageModalLayout {
    let displayName: string;
    namespace propTypes {
        let className: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let onCloseButtonClick: PropTypes.Requireable<(...args: any[]) => any>;
        let onHelpButtonClick: PropTypes.Requireable<(...args: any[]) => any>;
        let theme: PropTypes.Requireable<string>;
        let title: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
        let content: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
        let actionsSize: PropTypes.Requireable<string>;
        let primaryButtonText: PropTypes.Requireable<string>;
        let primaryButtonOnClick: PropTypes.Requireable<(...args: any[]) => any>;
        let primaryButtonProps: PropTypes.Requireable<PropTypes.InferProps<{
            as: PropTypes.Requireable<NonNullable<string | object | null | undefined>>;
            className: PropTypes.Requireable<string>;
            skin: PropTypes.Requireable<string>;
            priority: PropTypes.Requireable<string>;
            size: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            fullWidth: PropTypes.Requireable<boolean>;
            suffixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            prefixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            disabled: PropTypes.Requireable<boolean>;
            children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            ellipsis: PropTypes.Requireable<boolean>;
            showTooltip: PropTypes.Requireable<boolean>;
            tooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        }>>;
        let secondaryButtonText: PropTypes.Requireable<string>;
        let secondaryButtonOnClick: PropTypes.Requireable<(...args: any[]) => any>;
        let secondaryButtonProps: PropTypes.Requireable<PropTypes.InferProps<{
            as: PropTypes.Requireable<NonNullable<string | object | null | undefined>>;
            className: PropTypes.Requireable<string>;
            skin: PropTypes.Requireable<string>;
            priority: PropTypes.Requireable<string>;
            size: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            fullWidth: PropTypes.Requireable<boolean>;
            suffixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            prefixIcon: PropTypes.Requireable<PropTypes.ReactElementLike>;
            disabled: PropTypes.Requireable<boolean>;
            children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            ellipsis: PropTypes.Requireable<boolean>;
            showTooltip: PropTypes.Requireable<boolean>;
            tooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        }>>;
        let sideActions: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let footnote: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let illustration: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=MessageModalLayout.d.ts.map