/**
 * A header that sticks at the top of the container which minimizes on scroll
 */
declare class PageHeader extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        themedBreadcrumbs: React.JSX.Element;
    };
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    _animateComponent: (show: any, useEnterDelay: any, content: any) => any;
    render(): React.JSX.Element;
}
declare namespace PageHeader {
    export { WixStyleReactEnvironmentContext as contextType };
    export let displayName: string;
    export namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let minimized: PropTypes.Requireable<boolean>;
        let hasBackgroundImage: PropTypes.Requireable<boolean>;
        let skin: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let breadcrumbs: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | PropTypes.ReactNodeLike>>;
        let title: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | PropTypes.ReactNodeLike>>;
        let subtitle: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let showBackButton: PropTypes.Requireable<boolean>;
        let onBackClicked: PropTypes.Requireable<(...args: any[]) => any>;
        let actionsBar: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | PropTypes.ReactNodeLike>>;
    }
    export namespace defaultProps {
        let minimized_1: boolean;
        export { minimized_1 as minimized };
    }
}
export default PageHeader;
import React from 'react';
import { WixStyleReactEnvironmentContext } from '../WixStyleReactEnvironmentProvider/context';
import PropTypes from 'prop-types';
//# sourceMappingURL=PageHeader.d.ts.map