import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { InjectedFocusableProps } from '../common/Focusable';
import { PaginationProps } from '.';
/** Component for pagination */
export declare class Pagination extends PureComponent<InjectedFocusableProps<PaginationProps, HTMLDivElement>> {
    static displayName: string;
    static propTypes: {
        dataHook: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        totalPages: PropTypes.Requireable<number>;
        currentPage: PropTypes.Requireable<number>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        pageUrl: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: PaginationProps;
    _getMaxPagesToShow: () => 7 | 8 | 9;
    render(): React.JSX.Element;
}
declare const _default: React.ComponentType<InjectedFocusableProps<PaginationProps, HTMLDivElement>>;
export default _default;
//# sourceMappingURL=Pagination.d.ts.map