import { PageStripLayout, PaginationCoreMode } from './constants';
export declare const getId: (idPrefix?: string, name?: string) => string | undefined;
export declare const calculateWidth: (totalPages: number) => string;
export declare const measureAndSetRootMinWidth: (compNode: HTMLElement, paginationMode: "pages" | "input" | "compact" | PaginationCoreMode, idPrefix?: string) => void;
export declare function createStaticLayout({ totalPages, currentPage, maxPagesToShow, showFirstPage, showLastPage, }: {
    totalPages: number;
    currentPage: number;
    maxPagesToShow: number;
    showFirstPage: boolean;
    showLastPage: boolean;
}): PageStripLayout;
export declare function createResponsiveLayoutTemplate({ totalPages, currentPage, maxPagesToShow, }: {
    totalPages: number;
    currentPage: number;
    maxPagesToShow: number;
}): PageStripLayout;
export declare function createResponsiveLayout({ container, totalPages, currentPage, maxPagesToShow, showFirstPage, showLastPage, }: {
    container: Element;
    totalPages: number;
    currentPage: number;
    maxPagesToShow: number;
    showFirstPage: boolean;
    showLastPage: boolean;
}): PageStripLayout;
//# sourceMappingURL=utils.d.ts.map