export default PulseAnimation;
/** PulseAnimation*/
declare class PulseAnimation extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        animationSize: undefined;
    };
    rootRef: React.RefObject<any>;
    componentDidMount(): void;
    _getAnimationSize: () => string;
    render(): React.JSX.Element;
}
declare namespace PulseAnimation {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let active: PropTypes.Requireable<boolean>;
        let onStart: PropTypes.Requireable<(...args: any[]) => any>;
        let onEnd: PropTypes.Requireable<(...args: any[]) => any>;
        let loop: PropTypes.Requireable<boolean>;
        let delay: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let color: PropTypes.Validator<string>;
        let borderRadius: PropTypes.Requireable<string>;
        let fluid: PropTypes.Requireable<boolean>;
    }
    namespace defaultProps {
        let loop_1: boolean;
        export { loop_1 as loop };
        let fluid_1: boolean;
        export { fluid_1 as fluid };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=PulseAnimation.d.ts.map