import React from 'react';
type HTMLTagName = keyof HTMLElementTagNameMap;
type AsButtonProps = {
    as?: 'button';
} & React.ButtonHTMLAttributes<HTMLButtonElement>;
type AsAnchorProps = {
    as?: 'a';
} & React.AnchorHTMLAttributes<HTMLAnchorElement>;
type AsOtherTagProps = {
    as?: Exclude<HTMLTagName, 'a' | 'button'>;
} & React.HTMLAttributes<HTMLElement>;
type AsAnyComponentProps = {
    as?: React.ComponentType<any>;
    onClick?: React.MouseEventHandler<HTMLElement>;
    [props: string]: any;
};
type SidebarItemButtonNextProps = (AsButtonProps | AsAnchorProps | AsOtherTagProps | AsAnyComponentProps) & {
    children?: React.ReactNode;
    dataHook?: string;
    className?: string;
    itemKey?: string;
    prefix?: React.ReactNode;
    suffix?: React.ReactNode;
    role?: string;
    disabled?: boolean;
    isInQuickNavigation?: boolean;
    onClick?: React.MouseEventHandler<HTMLElement>;
    depth?: 'first' | 'second' | 'third';
    depthDivider?: 'top' | 'full' | 'bottom';
};
declare const SidebarItemButtonNext: React.NamedExoticComponent<SidebarItemButtonNextProps>;
export default SidebarItemButtonNext;
//# sourceMappingURL=SidebarItemButtonNext.d.ts.map