export default SkeletonLine;
/** SkeletonLine */
declare class SkeletonLine extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace SkeletonLine {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let margin: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let marginTop: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let marginRight: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let marginBottom: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let marginLeft: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    }
    namespace defaultProps {
        export { DEFAULT_WIDTH as width };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
import { DEFAULT_WIDTH } from './constants';
//# sourceMappingURL=SkeletonLine.d.ts.map