import type { UniDriver } from '@wix/wix-ui-test-utils/unidriver';
import { SocialPostPreviewSkin } from './SocialPostPreview.types';
export declare const socialPostPreviewDriverFactory: (base: UniDriver) => {
    getSkin: () => Promise<SocialPostPreviewSkin>;
    getCaption: () => Promise<string>;
    getProfileName: () => Promise<string>;
    getProfileImageSrc: () => Promise<string | null>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
export type SocialPostPreviewUniDriver = ReturnType<typeof socialPostPreviewDriverFactory>;
//# sourceMappingURL=SocialPostPreview.uni.driver.d.ts.map