export function TableToolbarContainer(props: any): React.JSX.Element;
export namespace TableToolbarContainer {
    let displayName: string;
    namespace propTypes {
        let children: PropTypes.Requireable<any>;
    }
}
/** Helper for PropTypes for components which consume the SelectionContext */
export const SelectionContextPropTypes: {
    isSelected: PropTypes.Requireable<(...args: any[]) => any>;
    selectedCount: PropTypes.Requireable<number>;
    getSelectedIds: PropTypes.Requireable<(...args: any[]) => any>;
    getNotSelectedIds: PropTypes.Requireable<(...args: any[]) => any>;
    infiniteBulkSelected: PropTypes.Requireable<boolean>;
    bulkSelectionState: PropTypes.Requireable<string>;
    toggleSelectionById: PropTypes.Requireable<(...args: any[]) => any>;
    deselectRowsByDefault: PropTypes.Requireable<boolean>;
    toggleAll: PropTypes.Requireable<(...args: any[]) => any>;
    selectAll: PropTypes.Requireable<(...args: any[]) => any>;
    deselectAll: PropTypes.Requireable<(...args: any[]) => any>;
    setSelectedIds: PropTypes.Requireable<(...args: any[]) => any>;
    selectionDisabled: PropTypes.Requireable<NonNullable<boolean | ((...args: any[]) => any) | null | undefined>>;
};
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=TableToolbarContainer.d.ts.map