export function Title({ dataHook, className, children }: {
    dataHook: any;
    className: any;
    children: any;
}): React.JSX.Element;
export namespace Title {
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
    }
    let displayName: string;
}
export function SelectedCount({ dataHook, className, children }: {
    dataHook: any;
    className: any;
    children: any;
}): React.JSX.Element;
export namespace SelectedCount {
    export namespace propTypes_1 {
        let dataHook_1: PropTypes.Requireable<string>;
        export { dataHook_1 as dataHook };
        let className_1: PropTypes.Requireable<string>;
        export { className_1 as className };
    }
    export { propTypes_1 as propTypes };
    let displayName_1: string;
    export { displayName_1 as displayName };
}
export function ItemGroup({ dataHook, position, children, className, }: {
    dataHook: any;
    position?: string | undefined;
    children: any;
    className: any;
}): React.JSX.Element;
export namespace ItemGroup {
    export namespace propTypes_2 {
        let dataHook_2: PropTypes.Requireable<string>;
        export { dataHook_2 as dataHook };
        let className_2: PropTypes.Requireable<string>;
        export { className_2 as className };
        export let position: PropTypes.Requireable<string>;
    }
    export { propTypes_2 as propTypes };
    let displayName_2: string;
    export { displayName_2 as displayName };
}
export function Item({ children, layout, className, dataHook }: {
    children: any;
    layout: any;
    className: any;
    dataHook: any;
}): React.JSX.Element;
export namespace Item {
    export namespace propTypes_3 {
        let dataHook_3: PropTypes.Requireable<string>;
        export { dataHook_3 as dataHook };
        let className_3: PropTypes.Requireable<string>;
        export { className_3 as className };
        export let layout: PropTypes.Requireable<string>;
    }
    export { propTypes_3 as propTypes };
    let displayName_3: string;
    export { displayName_3 as displayName };
}
export function Label({ children, className, ...rest }: {
    [x: string]: any;
    children: any;
    className: any;
}): React.JSX.Element;
export namespace Label {
    export namespace propTypes_4 {
        let dataHook_4: PropTypes.Requireable<string>;
        export { dataHook_4 as dataHook };
        let className_4: PropTypes.Requireable<string>;
        export { className_4 as className };
    }
    export { propTypes_4 as propTypes };
    let displayName_4: string;
    export { displayName_4 as displayName };
}
export function Divider({ className, dataHook }: {
    className: any;
    dataHook: any;
}): React.JSX.Element;
export namespace Divider {
    export namespace propTypes_5 {
        let dataHook_5: PropTypes.Requireable<string>;
        export { dataHook_5 as dataHook };
        let className_5: PropTypes.Requireable<string>;
        export { className_5 as className };
    }
    export { propTypes_5 as propTypes };
    let displayName_5: string;
    export { displayName_5 as displayName };
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Compounds.d.ts.map