export default Tag;
/**
 * A Tag component
 */
declare class Tag extends React.PureComponent<any, any, any> {
    static displayName: string;
    constructor(props: any);
    constructor(props: any, context: any);
    _renderThumb(): React.JSX.Element | null;
    _renderText(): React.JSX.Element;
    _renderRemoveButton(): React.JSX.Element | null;
    _handleRemoveClick: (event: any) => void;
    _handleRemoveKeyDown: (event: any) => void;
    _handleOnClick: (event: any) => any;
    render(): React.JSX.Element;
}
declare namespace Tag {
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let disabled: PropTypes.Requireable<boolean>;
        let ellipsisProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        let id: PropTypes.Validator<string>;
        let onClick: PropTypes.Requireable<(...args: any[]) => any>;
        let onRemove: PropTypes.Requireable<(...args: any[]) => any>;
        let removable: PropTypes.Requireable<boolean>;
        let size: PropTypes.Requireable<string>;
        let theme: PropTypes.Requireable<string>;
        let thumb: PropTypes.Requireable<PropTypes.ReactElementLike>;
        let maxWidth: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let className: PropTypes.Requireable<string>;
    }
    namespace defaultProps {
        let size_1: string;
        export { size_1 as size };
        let removable_1: boolean;
        export { removable_1 as removable };
        let theme_1: string;
        export { theme_1 as theme };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Tag.d.ts.map