import { ReactElement } from 'react';
import PropTypes from 'prop-types';
import { TransitionProps } from '../Transition.types';
/** Toggle is a component to solve ReactTransitionGroup bug with lagging collapse and expand transitions. */
declare const Toggle: {
    ({ children, dataHook, mountOnEnter, show, timeout, unmountOnExit, onEnd, onStart, }: TransitionProps & {
        timeout: number;
    }): ReactElement;
    displayName: string;
    propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        dataHook: PropTypes.Requireable<string>;
        mountOnEnter: PropTypes.Requireable<boolean>;
        onStart: PropTypes.Requireable<(...args: any[]) => any>;
        onEnd: PropTypes.Requireable<(...args: any[]) => any>;
        show: PropTypes.Requireable<boolean>;
        unmountOnExit: PropTypes.Requireable<boolean>;
    };
};
export default Toggle;
//# sourceMappingURL=Toggle.d.ts.map