export default TrendIndicator;
/** TrendIndicator */
declare class TrendIndicator extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element | null;
}
declare namespace TrendIndicator {
    export let displayName: string;
    export { WixStyleReactEnvironmentContext as contextType };
    export namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let value: PropTypes.Validator<number>;
        let inverted: PropTypes.Requireable<boolean>;
        let locale: PropTypes.Requireable<"th" | "tr" | "ms" | "id" | "no" | "en" | "en-US" | "en-GB" | "en-AU" | "en-CA" | "ar" | "bg" | "ca" | "zh" | "zh-TW" | "zh-HK" | "zh-MO" | "cs" | "da" | "nl" | "fi" | "fr" | "fr-CA" | "fr-CH" | "fr-BE" | "de" | "de-CH" | "de-AT" | "el" | "he" | "hi" | "hu" | "it" | "ja" | "ko" | "lt" | "nb" | "nn" | "pl" | "pt-BR" | "pt" | "ro" | "ru" | "sk" | "sl" | "es" | "es-419" | "es-AR" | "es-MX" | "es-US" | "sv" | "tl" | "uk" | "vi">;
    }
    export namespace defaultProps {
        let inverted_1: boolean;
        export { inverted_1 as inverted };
    }
}
import React from 'react';
import { WixStyleReactEnvironmentContext } from '../WixStyleReactEnvironmentProvider/context';
import PropTypes from 'prop-types';
//# sourceMappingURL=TrendIndicator.d.ts.map