export default WixStyleReactProvider;
/** Wix Style React Provider */
declare function WixStyleReactProvider({ dataHook, className, as, children, features, typographyClass, theme, ...rest }: {
    [x: string]: any;
    dataHook: any;
    className: any;
    as?: string | undefined;
    children: any;
    features?: {} | undefined;
    typographyClass: any;
    theme?: {} | undefined;
}): React.JSX.Element;
declare namespace WixStyleReactProvider {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let as: PropTypes.Requireable<string>;
        let children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let theme: PropTypes.Requireable<object>;
        let features: PropTypes.Requireable<PropTypes.InferProps<{
            newColorsBranding: PropTypes.Requireable<boolean>;
            sidebarExperimentCollapsible: PropTypes.Requireable<boolean>;
        }>>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=WixStyleReactProvider.d.ts.map