/**
 *Temporary workaround for implementing missing Unidriver methods in React/DOM only.
 *
 * @param {UniDriver} base
 */
export function ReactBase(base: UniDriver): {
    _private: {
        mouseDown: (eventData: any) => Promise<any>;
        mouseOver: (eventData: any) => Promise<any>;
        mouseOut: (eventData: any) => Promise<any>;
        compositionStart: () => Promise<any>;
        compositionEnd: () => Promise<any>;
    };
    wheel: (eventData: any) => Promise<any>;
    keyUp: (eventData: any) => Promise<any>;
    keyDown: (eventData: any) => Promise<any>;
    mouseEnter: (eventData: any) => Promise<any>;
    mouseLeave: (eventData: any) => Promise<any>;
    beforeInput: (eventData: any) => Promise<any>;
    _DEPRECATED_getClassList: () => Promise<any>;
    /** @returns {array} array of children unidrivers */
    _DEPRECATED_children: () => array;
    focus: () => Promise<void>;
    blur: () => Promise<void>;
    isFocus: () => Promise<boolean>;
    paste: () => Promise<any>;
    select: (selectedIndex: any) => Promise<void>;
    drop: (eventData: any) => Promise<any>;
};
export namespace ReactBase {
    function clickBody(): any;
    function clickDocument(): any;
}
//# sourceMappingURL=ReactBase.d.ts.map