export * from "./ReactBase";
export function findByHook(base: UniDriver, hook: string): any;
export function findByHookAtIndex(base: UniDriver, hook: string, index: any): any;
export function countByHook(base: UniDriver, hook: string): any;
export function getElement(base: UniDriver): Promise<any>;
export function getDataAttributeValue(base: UniDriver, attr: string): Promise<any>;
export function isElementFocused(element: UniDriver): Promise<boolean>;
export function baseUniDriverFactory(base: any): {
    /**
     * Checks whether the component found with the given data hook
     * @returns {Promise<boolean>}
     */
    exists: () => Promise<boolean>;
    /**
     * Gets the component root element
     * @returns {Promise<any>}
     */
    element: () => Promise<any>;
    /**
     * Clicks on the component root element
     * @returns {Promise<void>}
     */
    click: () => Promise<void>;
};
//# sourceMappingURL=index.d.ts.map