export default AdaptiveHeading;
/** AdaptiveHeading */
declare class AdaptiveHeading extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        dataHook: PropTypes.Requireable<string>;
        /** Usual (long) version of header*/
        text: PropTypes.Validator<string>;
        /** Short version text */
        textInShort: PropTypes.Requireable<string>;
        /** H1-H6 to create a Heading component, or "tiny" for a bold Text component  */
        appearance: PropTypes.Requireable<string>;
        /** Use light theme */
        light: PropTypes.Requireable<boolean>;
        /** Render empty content when there is not enough space for short text */
        emptyLast: PropTypes.Requireable<boolean>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=AdaptiveHeading.d.ts.map