const execa = require('execa');
const path = require('path');

module.exports = ({ srcDir, destDir, cleanDir }) => {
  const cp = path.resolve(__dirname, 'utils', 'cp-improved.sh');
  return Promise.all([
    execa.command(`${cp} ${srcDir} ${destDir} ${cleanDir ? cleanDir : ''}`),
  ]);
};
