const execa = require('execa');

module.exports = ({ srcDir, destDir, createFolder }) => {
  const tasks = [];

  if (createFolder) {
    tasks.push(() => execa.command(`mkdir ${createFolder}`));
  }

  tasks.push(() => execa.command(`mv ${srcDir} ${destDir}`));

  return tasks.reduce(
    async (p, task) => p.then(async () => await task()),
    Promise.resolve(),
  );
};
