// This object should contain a mock value for each required prop of this component
export const requiredProps = {
    primaryActionLabel: 'Submit',
    secondaryActionLabel: 'Cancel',
    primaryActionDisabled: false,
    primaryActionOnClick: () => null,
    secondaryActionOnClick: () => null,
    dateToString: () => 'a string',
};
// This array should contain an object only for tests you wish to run on all compliance tests
const sharedTests = [
    {
        title: 'render',
        props: {
            ...requiredProps,
        },
    },
];
export const testkitTests = [...sharedTests];
export const ssrTests = [...sharedTests];
export const a11yTests = [...sharedTests];
//# sourceMappingURL=CalendarPanelFooter.meta.js.map