export default Content;
declare class Content extends React.Component<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applies a data-hook HTML attribute to be used in the tests */
        dataHook: PropTypes.Requireable<string>;
        /** Accepts any component as a child element to display inside the card content area */
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** Controls paddings of the content area */
        size: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        size: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    _getChildName: (children: any) => any;
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Content.d.ts.map