export default ComposerHeader;
/** ComposerHeader */
declare function ComposerHeader({ children, dataHook, size, dropShadow, backButtonValue, onBackClick, }: {
    children: any;
    dataHook: any;
    size?: string | undefined;
    dropShadow?: boolean | undefined;
    backButtonValue: any;
    onBackClick: any;
}): React.JSX.Element;
declare namespace ComposerHeader {
    export namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let backButtonValue: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let onBackClick: PropTypes.Requireable<(...args: any[]) => any>;
        let size: PropTypes.Requireable<string>;
        let dropShadow: PropTypes.Requireable<boolean>;
    }
    export let displayName: string;
    export { ComposerHeaderActions as Actions };
    export { ComposerHeaderMainActions as MainActions };
    export { ComposerHeaderSaveStatus as SaveStatus };
}
import React from 'react';
import PropTypes from 'prop-types';
declare class ComposerHeaderActions extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): string;
}
declare namespace ComposerHeaderActions {
    let displayName_1: string;
    export { displayName_1 as displayName };
    export namespace defaultProps {
        let justifyContent: string;
    }
}
declare function ComposerHeaderMainActions(): string;
declare namespace ComposerHeaderMainActions {
    let displayName_2: string;
    export { displayName_2 as displayName };
}
declare function ComposerHeaderSaveStatus({ saveStatusValue, saveStatusError, dataHook, size, }: {
    saveStatusValue: any;
    saveStatusError: any;
    dataHook: any;
    size: any;
}): React.JSX.Element;
declare namespace ComposerHeaderSaveStatus {
    let displayName_3: string;
    export { displayName_3 as displayName };
}
//# sourceMappingURL=ComposerHeader.d.ts.map