import React, { Ref, HTMLAttributes } from 'react';
import { TooltipCommonProps } from '../common';
export interface DragHandlePublicAPIProps {
    domRef?: Ref<HTMLDivElement>;
    tabIndex?: number;
    onClick?: HTMLAttributes<HTMLDivElement>['onClick'];
    onKeyDown?: HTMLAttributes<HTMLDivElement>['onKeyDown'];
    'aria-label'?: string;
    'aria-describedby'?: string;
    tooltipContent?: string;
    tooltipProps?: Partial<TooltipCommonProps>;
}
export interface DragHandleProps extends DragHandlePublicAPIProps {
    dataHook?: string;
    dragging?: boolean;
    disabled?: boolean;
    onBlur?: HTMLAttributes<HTMLDivElement>['onBlur'];
    onKeyUp?: HTMLAttributes<HTMLDivElement>['onKeyUp'];
    dragHandleSize?: 'small' | 'large';
}
export declare function DragHandle(props: DragHandleProps): React.JSX.Element;
//# sourceMappingURL=DragHandle.d.ts.map