export default EditableTitle;
declare class EditableTitle extends React.Component<any, any, any> {
    constructor(props: any);
    state: {
        focus: boolean;
        value: any;
    };
    componentDidMount(): void;
    onChange: (e: any) => void;
    showPlaceholder: () => any;
    onFocus: () => void;
    render(): React.JSX.Element;
    wsrInput: Input | null | undefined;
    onEnterPressed: () => void;
    onValueSubmission: () => void;
}
declare namespace EditableTitle {
    let displayName: string;
    namespace defaultProps {
        let defaultValue: string;
    }
    namespace propTypes {
        export let initialValue: PropTypes.Requireable<string>;
        let defaultValue_1: PropTypes.Requireable<string>;
        export { defaultValue_1 as defaultValue };
        export let onSubmit: PropTypes.Requireable<(...args: any[]) => any>;
        export let maxLength: PropTypes.Requireable<number>;
        export let autoFocus: PropTypes.Requireable<boolean>;
        export let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        export let value: PropTypes.Requireable<string>;
    }
}
import React from 'react';
import Input from '../Input/Input';
import PropTypes from 'prop-types';
//# sourceMappingURL=EditableTitle.d.ts.map