export default FloatingHelper;
declare class FloatingHelper extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    closablePopoverRef: any;
    open: () => any;
    close: () => any;
    _isControlled(): boolean;
    _getCloseButtonHandler(closableActions: any): any;
    _renderContent(closableActions: any, { width, content, appearance }: {
        width: any;
        content: any;
        appearance: any;
    }): React.JSX.Element;
    render(): React.JSX.Element;
}
declare namespace FloatingHelper {
    export let displayName: string;
    export namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let target: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let content: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let onClose: PropTypes.Requireable<(...args: any[]) => any>;
        let appearance: PropTypes.Requireable<string>;
        let initiallyOpened: PropTypes.Requireable<boolean>;
        let opened: PropTypes.Requireable<boolean>;
        let placement: PropTypes.Validator<string>;
        let appendTo: PropTypes.Requireable<string>;
        let onOpen: PropTypes.Requireable<(...args: any[]) => any>;
        let moveBy: PropTypes.Requireable<PropTypes.InferProps<{
            x: PropTypes.Requireable<number>;
            y: PropTypes.Requireable<number>;
        }>>;
        let zIndex: PropTypes.Requireable<number>;
        let hideDelay: PropTypes.Requireable<number>;
    }
    export namespace defaultProps {
        let appendTo_1: string;
        export { appendTo_1 as appendTo };
        let width_1: string;
        export { width_1 as width };
        let initiallyOpened_1: boolean;
        export { initiallyOpened_1 as initiallyOpened };
        let appearance_1: string;
        export { appearance_1 as appearance };
    }
    export { FloatingHelperContent as Content };
}
import React from 'react';
import PropTypes from 'prop-types';
import FloatingHelperContent from './FloatingHelperContent/FloatingHelperContent';
//# sourceMappingURL=FloatingHelper.d.ts.map