export default GooglePreview;
/**
 *  A preview of a title, link and description of SEO result as it displayed in Google
 */
declare function GooglePreview({ dataHook, previewUrl, title, description, titleMaxLines, descriptionMaxLines, skin, }: {
    dataHook: any;
    previewUrl: any;
    title: any;
    description: any;
    titleMaxLines?: number | undefined;
    descriptionMaxLines?: number | undefined;
    skin?: string | undefined;
}): React.JSX.Element;
declare namespace GooglePreview {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let title: PropTypes.Requireable<string>;
        let titleMaxLines: PropTypes.Requireable<number>;
        let previewUrl: PropTypes.Requireable<string>;
        let description: PropTypes.Requireable<string>;
        let descriptionMaxLines: PropTypes.Requireable<number>;
        let skin: PropTypes.Requireable<string>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=GooglePreview.d.ts.map