import type { UniDriver } from '@wix/wix-ui-test-utils/unidriver';
export declare const liveRegionDriverFactory: (base: UniDriver) => {
    /**
     * Checks whether the component found with the given data hook
     * @returns {Promise<boolean>}
     */
    exists: () => Promise<boolean>;
    /**
     * Gets the component root element
     * @returns {Promise<any>}
     */
    element: () => Promise<any>;
    /**
     * Gets the message
     * @returns {Promise<string>}
     */
    getMessage: () => Promise<string>;
    /**
     * Gets the role
     * @returns {Promise<string>}
     */
    getRole: () => Promise<string | null>;
    click: () => Promise<void>;
};
export type LiveRegionUniDriver = ReturnType<typeof liveRegionDriverFactory>;
//# sourceMappingURL=LiveRegion.uni.driver.d.ts.map