import React from 'react';
import { Draggable } from '../DragAndDrop/Draggable';
import { dataHooks } from './constants';
export default Component => props => (React.createElement("div", { "data-hook": props.dataHook },
    React.createElement(Draggable.Manager, { dataHook: dataHooks.provider },
        React.createElement(Component, { ...props }))));
//# sourceMappingURL=withDNDContext.js.map