export default PageFooter;
/** Layout footer component of 3 columns */
declare function PageFooter({ divider, className, children, dataHook }: {
    divider?: boolean | undefined;
    className: any;
    children: any;
    dataHook: any;
}): React.JSX.Element;
declare namespace PageFooter {
    export let displayName: string;
    export namespace propTypes {
        function children(props: any, propName: any): string | number | React.ReactElement<any, string | React.JSXElementConstructor<any>> | Iterable<React.ReactNode> | React.ReactPortal;
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let divider: PropTypes.Requireable<boolean>;
    }
    export { Start };
    export { Center };
    export { End };
}
import React from 'react';
import PropTypes from 'prop-types';
import Start from './Start';
import Center from './Center';
import End from './End';
//# sourceMappingURL=PageFooter.d.ts.map