export default Palette;
/** A component to show a palette of colors */
declare class Palette extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applies a data-hook HTML attribute that can be used in the tests. */
        dataHook: PropTypes.Requireable<string>;
        /** Defines an array of fill items for the palette. Accepts solid colors, gradients or images. */
        fill: PropTypes.Requireable<any[]>;
    };
    static defaultProps: {
        fill: never[];
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Palette.d.ts.map