import Popover from '.';
import React from 'react';
// This object should contain a mock value for each required prop of this component
export const requiredProps = {};
// This array should contain an object only for tests you wish to run on all compliance tests
const sharedTests = [
    {
        title: 'render',
        props: {
            ...requiredProps,
        },
    },
];
export const testkitTests = [
    {
        title: 'render',
        props: {
            ...requiredProps,
            children: [
                React.createElement(Popover.Element, null,
                    React.createElement("div", null, "I am the trigger!")),
                React.createElement(Popover.Content, null,
                    React.createElement("div", null, "I am the content!")),
            ],
        },
    },
];
export const ssrTests = [...sharedTests];
export const a11yTests = [...sharedTests];
//# sourceMappingURL=Popover.meta.js.map