export default RadarChart;
declare function RadarChart({ dataHook, data, scale, disabled, width, labelDistance, hoverIndex, labelWidth, onDataPointHover, }: {
    dataHook: any;
    data?: never[] | undefined;
    scale?: {
        value: number;
        label: string;
    }[] | undefined;
    disabled: any;
    width?: number | undefined;
    labelDistance?: number | undefined;
    hoverIndex: any;
    labelWidth?: number | undefined;
    onDataPointHover?: (() => void) | undefined;
}): React.JSX.Element;
declare namespace RadarChart {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let data: PropTypes.Requireable<(PropTypes.InferProps<{
            value: PropTypes.Requireable<number>;
            label: PropTypes.Requireable<string>;
            color: PropTypes.Requireable<string>;
            tooltipContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        }> | null | undefined)[]>;
        let scale: PropTypes.Requireable<(PropTypes.InferProps<{
            value: PropTypes.Requireable<number>;
            label: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        let disabled: PropTypes.Requireable<boolean>;
        let width: PropTypes.Requireable<number>;
        let labelDistance: PropTypes.Requireable<number>;
        let hoverIndex: PropTypes.Requireable<number>;
        let labelWidth: PropTypes.Requireable<number>;
        let onDataPointHover: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=RadarChart.d.ts.map