export default SelectorListContent;
declare function SelectorListContent({ dataHook, items, topScrollableContent, onToggle, emptyState, renderNoResults, isLoading, checkIsSelected, checkIndeterminate, isEmpty, noResultsFound, size, imageSize, imageShape, multiple, showDivider, searchValue, loadMore, hasMore, infiniteScrollRef, }: {
    dataHook?: string | undefined;
    items: any;
    topScrollableContent: any;
    onToggle: any;
    emptyState?: React.JSX.Element | undefined;
    renderNoResults?: ((searchValue: any) => React.JSX.Element) | undefined;
    isLoading: any;
    checkIsSelected: any;
    checkIndeterminate: any;
    isEmpty: any;
    noResultsFound: any;
    size: any;
    imageSize: any;
    imageShape: any;
    multiple: any;
    showDivider: any;
    searchValue: any;
    loadMore: any;
    hasMore: any;
    infiniteScrollRef: any;
}): React.JSX.Element;
declare namespace SelectorListContent {
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let items: PropTypes.Requireable<(PropTypes.InferProps<{
            id: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
            title: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
            subtitle: PropTypes.Requireable<string>;
            extraText: PropTypes.Requireable<string>;
            extraNode: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            disabled: PropTypes.Requireable<boolean>;
            selected: PropTypes.Requireable<boolean>;
            image: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            subtitleNode: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            belowNode: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            showBelowNodeOnSelect: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        let topScrollableContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let onToggle: PropTypes.Requireable<(...args: any[]) => any>;
        let emptyState: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let renderNoResults: PropTypes.Requireable<(...args: any[]) => any>;
        let isLoading: PropTypes.Requireable<boolean>;
        let checkIsSelected: PropTypes.Validator<(...args: any[]) => any>;
        let checkIndeterminate: PropTypes.Requireable<(...args: any[]) => any>;
        let isEmpty: PropTypes.Requireable<boolean>;
        let noResultsFound: PropTypes.Requireable<boolean>;
        let size: PropTypes.Requireable<string>;
        let imageSize: PropTypes.Requireable<string>;
        function imageShape(props: any, propName: any, componentName: any): Error | undefined;
        let multiple: PropTypes.Requireable<boolean>;
        let searchValue: PropTypes.Validator<string>;
        let loadMore: PropTypes.Validator<(...args: any[]) => any>;
        let hasMore: PropTypes.Requireable<boolean>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Content.d.ts.map