import React from 'react';
import PropTypes from 'prop-types';
import { FieldProps } from './Field.types';
declare const Field: {
    ({ noPadding, divider, children, }: FieldProps): React.JSX.Element;
    displayName: string;
    propTypes: {
        noPadding: PropTypes.Requireable<boolean>;
        divider: PropTypes.Requireable<string | PropTypes.Requireable<boolean>>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
};
export default Field;
//# sourceMappingURL=Field.d.ts.map