export default SidebarItemNext;
/** An item for the section within the sidebar */
declare function SidebarItemNext({ as, role, ...propsWithNoDefaults }: {
    [x: string]: any;
    as?: string | undefined;
    role?: string | undefined;
}): React.JSX.Element;
declare namespace SidebarItemNext {
    let displayName: string;
    namespace propTypes {
        let as: PropTypes.Requireable<NonNullable<string | object | null | undefined>>;
        let href: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let suffix: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
        let prefix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let disabled: PropTypes.Requireable<boolean>;
        let onClick: PropTypes.Requireable<(...args: any[]) => any>;
        let itemKey: PropTypes.Requireable<string>;
        let isInQuickNavigation: PropTypes.Requireable<boolean>;
        let role: PropTypes.Requireable<string>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=SidebarItemNext.d.ts.map