import React from 'react';
export type ExpandTrigger = 'click' | 'select';
export type CommonMenuProps = {
    title: React.ReactNode;
    suffix?: React.ReactNode;
    prefix?: React.ReactNode;
    children?: React.ReactNode;
    dataHook?: string;
    itemKey: string;
    disabled?: boolean;
    onClick?: React.MouseEventHandler<HTMLElement>;
    onExpand?: (trigger: ExpandTrigger) => void;
    onCollapse?: (trigger: ExpandTrigger) => void;
    onQuickNavOpen?: () => void;
} & {
    [key: string]: any;
};
export declare const getSuffixWithChevron: (suffix: React.ReactNode) => any[] | React.JSX.Element;
//# sourceMappingURL=common.d.ts.map