/**
 * A slider component with multi-range support
 */
declare class Slider extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    _getMarks(): {};
    _isCustomMarks(): boolean;
    _createMarkNode(value: any, shouldRenderMarkLabel: any): React.JSX.Element;
    _renderHandle: (handleProps: any) => React.JSX.Element;
    _renderSlider: () => React.JSX.Element;
    render(): React.JSX.Element;
}
declare namespace Slider {
    let displayName: string;
    namespace propTypes {
        let allowCross: PropTypes.Requireable<boolean>;
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let displayMarks: PropTypes.Requireable<boolean>;
        let displayTooltip: PropTypes.Requireable<boolean>;
        let id: PropTypes.Requireable<string>;
        let max: PropTypes.Requireable<number>;
        let min: PropTypes.Requireable<number>;
        let marks: PropTypes.Requireable<object>;
        let onAfterChange: PropTypes.Requireable<(...args: any[]) => any>;
        let onBeforeChange: PropTypes.Requireable<(...args: any[]) => any>;
        let onChange: PropTypes.Validator<(...args: any[]) => any>;
        let rtl: PropTypes.Requireable<boolean>;
        let rangeRef: PropTypes.Requireable<object>;
        let step: PropTypes.Requireable<number>;
        let pushable: PropTypes.Requireable<NonNullable<number | boolean | null | undefined>>;
        let value: PropTypes.Requireable<NonNullable<number | (number | null | undefined)[] | null | undefined>>;
        let enhanceValue: PropTypes.Requireable<(...args: any[]) => any>;
        let disabled: PropTypes.Requireable<boolean>;
        let startPoint: PropTypes.Requireable<number>;
        let direction: PropTypes.Requireable<string>;
        let ariaLabelForHandle: PropTypes.Requireable<NonNullable<string | (string | null | undefined)[] | null | undefined>>;
        let onFocus: PropTypes.Requireable<(...args: any[]) => any>;
        let onBlur: PropTypes.Requireable<(...args: any[]) => any>;
        let gradientColor: PropTypes.Requireable<string>;
    }
    namespace defaultProps {
        let min_1: number;
        export { min_1 as min };
        let max_1: number;
        export { max_1 as max };
        let step_1: number;
        export { step_1 as step };
        let value_1: number;
        export { value_1 as value };
        let allowCross_1: boolean;
        export { allowCross_1 as allowCross };
        let id_1: string;
        export { id_1 as id };
        let displayTooltip_1: boolean;
        export { displayTooltip_1 as displayTooltip };
        let displayMarks_1: boolean;
        export { displayMarks_1 as displayMarks };
        let marks_1: {};
        export { marks_1 as marks };
        let rtl_1: boolean;
        export { rtl_1 as rtl };
        let disabled_1: boolean;
        export { disabled_1 as disabled };
        let startPoint_1: undefined;
        export { startPoint_1 as startPoint };
    }
}
export default Slider;
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Slider.d.ts.map