import { baseUniDriverFactory, findByHook, } from '../test-utils/utils/unidriver';
import { dataHooks } from './constants';
export const socialPostPreviewDriverFactory = (base) => {
    return {
        ...baseUniDriverFactory(base),
        // Returns skin value
        getSkin: () => base.attr('data-skin'),
        // Returns caption value
        getCaption: () => findByHook(base, dataHooks.socialPostPreviewCaption).text(),
        // Returns profile name value
        getProfileName: () => findByHook(base, dataHooks.socialPostPreviewProfileName).text(),
        // Returns profile image source value
        getProfileImageSrc: () => base.attr('data-profile'),
    };
};
//# sourceMappingURL=SocialPostPreview.uni.driver.js.map