export default StackedBarChart;
/** StackedBarChart */
declare class StackedBarChart extends React.PureComponent<any, any, any> {
    constructor(props: any);
    chart: React.RefObject<any>;
    data: any[];
    colors: any[];
    newBrandingColors: any[];
    margin: any;
    height: any;
    chartHeight: number;
    state: {
        data: never[];
        x: any;
        y: any;
        width: any;
    };
    _getAmountOfBarsCanRender: (data: any) => any[];
    _update: () => void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): true | undefined;
    render(): React.JSX.Element;
}
declare namespace StackedBarChart {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let data: PropTypes.Requireable<(PropTypes.InferProps<{
            label: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            values: PropTypes.Requireable<(number | null | undefined)[]>;
        }> | null | undefined)[]>;
        let tooltipTemplate: PropTypes.Requireable<(...args: any[]) => any>;
        let tooltipCommonProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        let height: PropTypes.Requireable<number>;
        let width: PropTypes.Requireable<number>;
        let margin: PropTypes.Requireable<PropTypes.InferProps<{
            right: PropTypes.Requireable<number>;
            left: PropTypes.Requireable<number>;
            bottom: PropTypes.Requireable<number>;
            top: PropTypes.Requireable<number>;
        }>>;
        let yAxisTickFormat: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let data_1: never[];
        export { data_1 as data };
        let width_1: number;
        export { width_1 as width };
        let height_1: number;
        export { height_1 as height };
        export { CONSTANTS as margin };
        let tooltipCommonProps_1: {};
        export { tooltipCommonProps_1 as tooltipCommonProps };
        export { defaultYAxisTickFormat as yAxisTickFormat };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
declare namespace CONSTANTS {
    let top: number;
    let right: number;
    let bottom: number;
    let left: number;
    let gap: number;
    let barWidth: number;
}
declare const defaultYAxisTickFormat: any;
//# sourceMappingURL=StackedBarChart.d.ts.map