import VerticalTabs from '.';
import React from 'react';
// This object should contain a mock value for each required prop of this component
export const requiredProps = {};
// This array should contain an object only for tests you wish to run on all compliance tests
const sharedTests = [
    {
        title: 'render',
        props: {
            ...requiredProps,
        },
    },
];
export const testkitTests = [
    {
        title: 'render',
        props: {
            ...requiredProps,
            children: [
                // @ts-ignore
                React.createElement(VerticalTabs, { key: "1" },
                    React.createElement(VerticalTabs.TabsGroup, { title: "Current Benefits" },
                        React.createElement(VerticalTabs.TabItem, { id: 0 }, "Experts Dashboard"),
                        React.createElement(VerticalTabs.TabItem, { id: 1 }, "Product Betas"),
                        React.createElement(VerticalTabs.TabItem, { id: 2 }, "Wix Arena Exposure")),
                    React.createElement(VerticalTabs.TabsGroup, { title: "Next Level Benefits" },
                        React.createElement(VerticalTabs.TabItem, { id: 3 }, "Loyalty Program"),
                        React.createElement(VerticalTabs.TabItem, { id: 4 }, "20% Revenue Share"),
                        React.createElement(VerticalTabs.TabItem, { id: 5 }, "Dedicated Account Manager"))),
            ],
        },
    },
];
export const ssrTests = [...sharedTests];
export const a11yTests = [...sharedTests];
//# sourceMappingURL=VerticalTabs.meta.js.map