export namespace PopoverCommonProps {
    let appendTo: import("prop-types").Requireable<string>;
    let flip: import("prop-types").Requireable<boolean>;
    let fixed: import("prop-types").Requireable<boolean>;
    let placement: import("prop-types").Requireable<string>;
    let timeout: import("prop-types").Requireable<NonNullable<number | import("prop-types").InferProps<{
        enter: import("prop-types").Requireable<number>;
        exit: import("prop-types").Requireable<number>;
    }> | null | undefined>>;
    let zIndex: import("prop-types").Requireable<number>;
    let onMouseEnter: import("prop-types").Requireable<(...args: any[]) => any>;
    let onMouseLeave: import("prop-types").Requireable<(...args: any[]) => any>;
    let moveArrowTo: import("prop-types").Requireable<number>;
    let moveBy: import("prop-types").Requireable<import("prop-types").InferProps<{
        x: import("prop-types").Requireable<number>;
        y: import("prop-types").Requireable<number>;
    }>>;
    let hideDelay: import("prop-types").Requireable<number>;
    let showDelay: import("prop-types").Requireable<number>;
    let width: import("prop-types").Requireable<NonNullable<string | number | null | undefined>>;
    let maxWidth: import("prop-types").Requireable<NonNullable<string | number | null | undefined>>;
    let minWidth: import("prop-types").Requireable<NonNullable<string | number | null | undefined>>;
    let dynamicWidth: import("prop-types").Requireable<boolean>;
}
//# sourceMappingURL=PopoverCommon.d.ts.map