import React from 'react';
/** A simple wait function to test components with animations */
export const wait = timeToDelay => new Promise(resolve => setTimeout(resolve, timeToDelay));
export const Placeholder = props => (React.createElement("div", { style: {
        border: '1px dashed #162D3D',
        color: '#162D3D',
        display: 'block',
        width: '100%',
        height: props.height || '100%',
        textAlign: 'center',
        boxSizing: 'border-box',
    } }, props.children));
export const clickElement = dataHook => {
    const node = document.body;
    const dataHookSelector = `[data-hook*=${dataHook}]`;
    const element = node.querySelector(dataHookSelector);
    element.click();
};
export const focusElement = dataHook => {
    const node = document.body;
    const dataHookSelector = `[data-hook*=${dataHook}]`;
    const element = node.querySelector(dataHookSelector);
    element.focus();
};
export * from './types';
//# sourceMappingURL=index.js.map