/**
 * This is a workaround for AutoDocs, so we can apply custom propTypes validators with side-effects, and not affect the generated prop type.
 * If we had support for writing JSDoc for props with a `@type` tag, then we wouldn't need this.
 */
export function extendPropTypes(Component: any, propTypes: any): void;
/**
 * Runs all validators.
 */
export function allValidators(...validators: any[]): (props: any, propName: any, componentName: any) => void;
//# sourceMappingURL=propTypes.d.ts.map