"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.addressInputItemDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _ListItemSelectUni = require("../ListItemSelect/ListItemSelect.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var addressInputItemDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Get prefix */
    getPrefix: function () {
      var _getPrefix = (0, _asyncToGenerator2.default)(function* () {
        return yield (0, _ListItemSelectUni.listItemSelectDriverFactory)(base).getPrefix();
      });
      function getPrefix() {
        return _getPrefix.apply(this, arguments);
      }
      return getPrefix;
    }(),
    /** Get main label Text */
    getMainLabelText: function () {
      var _getMainLabelText = (0, _asyncToGenerator2.default)(function* () {
        return yield (0, _ListItemSelectUni.listItemSelectDriverFactory)(base).getTitle();
      });
      function getMainLabelText() {
        return _getMainLabelText.apply(this, arguments);
      }
      return getMainLabelText;
    }(),
    /** Get secondary label Text */
    getSecondaryLabelText: function () {
      var _getSecondaryLabelText = (0, _asyncToGenerator2.default)(function* () {
        return yield (0, _ListItemSelectUni.listItemSelectDriverFactory)(base).getSubtitle();
      });
      function getSecondaryLabelText() {
        return _getSecondaryLabelText.apply(this, arguments);
      }
      return getSecondaryLabelText;
    }(),
    /** Get suffix */
    getSuffix: function () {
      var _getSuffix = (0, _asyncToGenerator2.default)(function* () {
        return yield (yield (0, _ListItemSelectUni.listItemSelectDriverFactory)(base)).getSuffix();
      });
      function getSuffix() {
        return _getSuffix.apply(this, arguments);
      }
      return getSuffix;
    }()
  });
};
exports.addressInputItemDriverFactory = addressInputItemDriverFactory;
//# sourceMappingURL=AddressInputItem.uni.driver.js.map