export default AreaChart;
/** An area chart is a way of plotting data points on a line. Often, it is used to show trend data */
declare class AreaChart extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    cursorLine: null;
    handleHover: (_: any, activeItems: any) => void;
    handleHoverThrottled: import("lodash").DebouncedFuncLeading<(_: any, activeItems: any) => void>;
    onMouseMove: (tooltip: any) => void;
    render(): React.JSX.Element;
}
declare namespace AreaChart {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let data: PropTypes.Validator<(PropTypes.InferProps<{
            value: PropTypes.Validator<number>;
            label: PropTypes.Validator<string>;
        }> | null | undefined)[]>;
        let tooltipContent: PropTypes.Requireable<(...args: any[]) => any>;
        let onTooltipShow: PropTypes.Requireable<(...args: any[]) => any>;
        let maxYTicksLimit: PropTypes.Requireable<number>;
    }
    namespace defaultProps {
        let maxYTicksLimit_1: number;
        export { maxYTicksLimit_1 as maxYTicksLimit };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=AreaChart.d.ts.map