"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Illustration = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _IllustrationSt = require("./Illustration.st.css");
var _constants = require("../../constants");
var _BaseModalLayoutContext = require("../../BaseModalLayoutContext");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/BaseModalLayout/LayoutBlocks/Illustration/Illustration.js",
  _this = void 0;
var Illustration = exports.Illustration = function Illustration() {
  var {
    dataHook,
    className,
    children
  } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var {
    illustrationClassName,
    illustration = children
  } = (0, _BaseModalLayoutContext.useBaseModalLayoutContext)();
  return illustration && /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    className: (0, _IllustrationSt.st)(_IllustrationSt.classes.root, illustrationClassName, className),
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 7
    }
  }, typeof illustration === 'string' ? /*#__PURE__*/_react.default.createElement("img", {
    className: _IllustrationSt.classes.image,
    src: illustration,
    "data-hook": _constants.dataHooks.illustrationSrc,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 11
    }
  }) : illustration) || null;
};
Illustration.propTypes = {
  /** additional css classes */
  className: _propTypes.default.string,
  /** data hook for testing */
  dataHook: _propTypes.default.string,
  /** The illustration src or the illustration node itself */
  illustration: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node])
};
//# sourceMappingURL=Illustration.js.map