"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.calendarPanelUniDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _unidriver = require("../test-utils/utils/unidriver");
var _CalendarUni = require("../Calendar/Calendar.uni.driver");
var _DropdownLayoutUni = require("../DropdownLayout/DropdownLayout.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var calendarPanelUniDriverFactory = base => {
  var calendarElement = () => base.$('[data-hook=calendar]');
  var getCalendarDriver = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2.default)(function* () {
      return (0, _CalendarUni.calendarUniDriverFactory)(calendarElement());
    });
    return function getCalendarDriver() {
      return _ref.apply(this, arguments);
    };
  }();
  var dropdownLayoutElement = () => base.$('[data-hook=dropdown-layout]');
  var dropdownLayoutDriver = () => (0, _DropdownLayoutUni.dropdownLayoutDriverFactory)(dropdownLayoutElement());
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    calendarDriver: function () {
      var _calendarDriver = (0, _asyncToGenerator2.default)(function* () {
        return getCalendarDriver();
      });
      function calendarDriver() {
        return _calendarDriver.apply(this, arguments);
      }
      return calendarDriver;
    }(),
    presetsDropdownLayoutDriver: function () {
      var _presetsDropdownLayoutDriver = (0, _asyncToGenerator2.default)(function* () {
        return dropdownLayoutDriver();
      });
      function presetsDropdownLayoutDriver() {
        return _presetsDropdownLayoutDriver.apply(this, arguments);
      }
      return presetsDropdownLayoutDriver;
    }(),
    isDropdownExists: function () {
      var _isDropdownExists = (0, _asyncToGenerator2.default)(function* () {
        return dropdownLayoutElement().exists();
      });
      function isDropdownExists() {
        return _isDropdownExists.apply(this, arguments);
      }
      return isDropdownExists;
    }()
  });
};
exports.calendarPanelUniDriverFactory = calendarPanelUniDriverFactory;
//# sourceMappingURL=CalendarPanel.uni.driver.js.map