"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.calendarPanelFooterDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _ButtonUni = require("../Button/Button.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var calendarPanelFooterDriverFactory = base => {
  var getByDataHook = dataHook => base.$("[data-hook=".concat(dataHook, "]"));
  var getButton = dataHook => {
    var buttonElem = getByDataHook(dataHook);
    return (0, _ButtonUni.buttonDriverFactory)(buttonElem);
  };
  var primaryButtonDataHook = 'primary-action-button';
  var secondaryButtonDataHook = 'secondary-action-button';
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    isPrimaryButtonDisabled: () => getButton(primaryButtonDataHook).isButtonDisabled(),
    getSelectedDaysText: () => getByDataHook('selected-days-text').text(),
    getPrimaryActionButtonLabel: () => getButton(primaryButtonDataHook).getButtonTextContent(),
    getSecondaryActionButtonLabel: () => getButton(secondaryButtonDataHook).getButtonTextContent(),
    clickOnPrimaryButton: () => getButton(primaryButtonDataHook).click(),
    clickOnSecondaryButton: () => getButton(secondaryButtonDataHook).click()
  });
};
exports.calendarPanelFooterDriverFactory = calendarPanelFooterDriverFactory;
//# sourceMappingURL=CalendarPanelFooter.uni.driver.js.map