"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _ContentSt = require("./Content.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Card/Content/Content.js";
class Content extends _react.default.Component {
  constructor() {
    super(...arguments);
    this._getChildName = children => children && children.type && (children.type.displayName || children.type.name);
  }
  render() {
    var {
      children,
      size,
      dataHook
    } = this.props;
    var isEmptyStateContent = this._getChildName(children) === 'EmptyState';
    return /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": dataHook,
      "data-size": size,
      className: (0, _ContentSt.st)(_ContentSt.classes.root, {
        size,
        emptyStateContent: isEmptyStateContent
      }),
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 31,
        columnNumber: 7
      }
    }, children);
  }
}
Content.displayName = 'Card.Content';
Content.propTypes = {
  /** Applies a data-hook HTML attribute to be used in the tests */
  dataHook: _propTypes.default.string,
  /** Accepts any component as a child element to display inside the card content area */
  children: _propTypes.default.node,
  /** Controls paddings of the content area */
  size: _propTypes.default.oneOf(['medium', 'large'])
};
Content.defaultProps = {
  size: 'medium'
};
var _default = exports.default = Content;
//# sourceMappingURL=Content.js.map