"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _IconButton = _interopRequireDefault(require("../../IconButton/IconButton"));
var _CarouselSt = require("../Carousel.st.css");
var _excluded = ["dataHook", "arrowSize", "buttonSkin", "icon", "className", "controlsStartEnd"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Carousel/SliderArrow/SliderArrow.js";
var skinPriorityMap = {
  standard: 'secondary',
  inverted: 'primary',
  light: 'primary',
  transparent: 'primary',
  premium: 'primary'
};
var SliderArrow = _ref => {
  var {
      dataHook,
      arrowSize,
      buttonSkin,
      icon,
      className,
      controlsStartEnd
    } = _ref,
    remainingProps = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var isControlOnEdge = className.includes('slick-disabled');
  return isControlOnEdge && controlsStartEnd === 'hidden' ? null : /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({}, remainingProps, {
    "data-hook": dataHook,
    className: className,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 5
    }
  }), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    dataHook: "".concat(dataHook, "-element"),
    className: _CarouselSt.classes.controls,
    skin: buttonSkin,
    size: arrowSize,
    disabled: isControlOnEdge,
    priority: skinPriorityMap[buttonSkin],
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 7
    }
  }, icon));
};
SliderArrow.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** Icon to be rendered within the icon button */
  icon: _propTypes.default.element.isRequired
};
var _default = exports.default = SliderArrow;
//# sourceMappingURL=SliderArrow.js.map