"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("../constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/CarouselWIP/Slide/Slide.js";
var Slide = _ref => {
  var {
    dataHook,
    className,
    children,
    image,
    width,
    gutter,
    imagePosition,
    imageFit
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    className: className,
    style: {
      flex: '0 0 auto',
      width,
      marginInlineStart: gutter,
      objectPosition: imagePosition,
      objectFit: imageFit
    },
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 3
    }
  }, image ? /*#__PURE__*/_react.default.createElement("img", {
    "data-hook": _constants.DATA_HOOKS.carouselImage,
    src: image.src,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 7
    }
  }) : children);
};
Slide.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the slide element */
  className: _propTypes.default.string,
  /** Children to render inside the slide */
  children: _propTypes.default.node,
  /** Object containing the src for the slide image */
  image: _propTypes.default.object,
  /** Width of the slide */
  width: _propTypes.default.string,
  /** Width for spacing before the slide */
  gutter: _propTypes.default.string,
  /** Sets the image position */
  imagePosition: _propTypes.default.string,
  /** Sets the image fit */
  imageFit: _propTypes.default.oneOf(['fill', 'contain', 'cover', 'none', 'scale-down'])
};
var _default = exports.default = Slide;
//# sourceMappingURL=Slide.js.map