"use strict";

exports.__esModule = true;
exports.dataHooks = exports.SLIDING_TYPE = exports.SKIN_PRIORITY_MAP = exports.DATA_HOOKS = exports.CONTROLS_START_END = exports.AUTOPLAY_SPEED = exports.ALIGNMENT = void 0;
var dataHooks = exports.dataHooks = {
  carouselWIPCount: 'carouselWIP-count',
  carouselWIPButton: 'carouselWIP-button'
};
var CONTROLS_START_END = exports.CONTROLS_START_END = {
  DISABLED: 'disabled',
  HIDDEN: 'hidden'
};
var SLIDING_TYPE = exports.SLIDING_TYPE = {
  ALIGN_TO_START: 'align-to-start',
  REVEAL_ONE: 'reveal-one',
  REVEAL_CHUNK: 'reveal-chunk'
};
var ALIGNMENT = exports.ALIGNMENT = {
  LEFT: 'left',
  RIGHT: 'right'
};
var SKIN_PRIORITY_MAP = exports.SKIN_PRIORITY_MAP = {
  standard: 'secondary',
  inverted: 'primary',
  light: 'primary',
  transparent: 'primary',
  premium: 'primary'
};
var DATA_HOOKS = exports.DATA_HOOKS = {
  loader: 'loader',
  imagesContainer: 'images-container',
  carouselImage: 'carousel-img',
  prevButton: 'prev-button',
  nextButton: 'next-button',
  child: 'carousel-child',
  pageNavigation: index => "page-navigation-".concat(index)
};
var AUTOPLAY_SPEED = exports.AUTOPLAY_SPEED = 2000;
//# sourceMappingURL=constants.js.map