import { UniDriver } from '@wix/wix-ui-test-utils/dist/types/unidriver';
export declare const checkboxUniDriverFactory: (base: UniDriver, body: UniDriver) => {
    click: () => Promise<void>;
    focus: () => Promise<void>;
    isFocused: () => Promise<boolean>;
    blur: () => Promise<void>;
    isChecked: () => Promise<boolean>;
    isDisabled: () => Promise<boolean>;
    isIndeterminate: () => Promise<boolean>;
    isTooltipEnabled: () => Promise<boolean>;
    hasError: () => Promise<boolean>;
    getTooltipContent: () => Promise<string | null>;
    getLabel: () => Promise<string>;
    getLabelSize: () => Promise<import("..").TextSize>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
};
export type CheckboxUniDriver = ReturnType<typeof checkboxUniDriverFactory>;
//# sourceMappingURL=Checkbox.uni.driver.d.ts.map