export default CircularProgressBar;
declare class CircularProgressBar extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    _renderSuccessIcon(size: any): React.JSX.Element;
    _renderProgressBar(): React.JSX.Element;
    render(): React.JSX.Element;
}
declare namespace CircularProgressBar {
    let displayName: string;
    namespace defaultProps {
        let size: string;
        let skin: string;
        let labelPlacement: string;
    }
    namespace propTypes {
        export let error: PropTypes.Requireable<boolean>;
        export let errorLabel: PropTypes.Requireable<string>;
        export let errorMessage: PropTypes.Requireable<string>;
        export let light: PropTypes.Requireable<boolean>;
        export let showProgressIndication: PropTypes.Requireable<boolean>;
        export let label: PropTypes.Requireable<string>;
        let labelPlacement_1: PropTypes.Requireable<string>;
        export { labelPlacement_1 as labelPlacement };
        let size_1: PropTypes.Requireable<string>;
        export { size_1 as size };
        let skin_1: PropTypes.Requireable<string>;
        export { skin_1 as skin };
        export let value: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        export let dataHook: PropTypes.Requireable<string>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=CircularProgressBar.d.ts.map