"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ProgressLabel = void 0;
var _react = _interopRequireDefault(require("react"));
var _Text = _interopRequireDefault(require("../../Text"));
var _CircularProgressBarCore = require("./CircularProgressBarCore");
var _constants = require("../constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/CircularProgressBar/CircularProgressBarCore/ProgressLabel.tsx";
var labelSkinMap = {
  standard: 'primary',
  premium: 'premium',
  success: 'success'
};
var labelSizeMap = {
  small: undefined,
  medium: 'tiny',
  large: 'medium'
};
var ProgressLabel = props => {
  var [reversedSize] = Object.entries(_constants.sizesMap).find(_ref => {
    var [, numberSize] = _ref;
    return numberSize === props.size;
  });
  if (reversedSize === _constants.Size.small) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null);
  }
  var labelSize = labelSizeMap[reversedSize];
  var labelSkin = labelSkinMap[props['data-skin']];
  return /*#__PURE__*/_react.default.createElement(_Text.default, {
    skin: labelSkin,
    size: labelSize,
    weight: "bold",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 43,
      columnNumber: 5
    }
  }, props.label || (0, _CircularProgressBarCore.convertToPercentageString)(props.value));
};
exports.ProgressLabel = ProgressLabel;
//# sourceMappingURL=ProgressLabel.js.map