export default CloseButton;
declare class CloseButton extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** render as some other component or DOM tag */
        as: PropTypes.Requireable<NonNullable<string | object | null | undefined>>;
        /** additional css classes */
        className: PropTypes.Requireable<string>;
        /** Used for passing any wix-style-react icon. For external icon make sure to follow ux sizing guidelines */
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** skins of closebutton */
        skin: PropTypes.Requireable<string>;
        /** size of closebutton */
        size: PropTypes.Requireable<string>;
        /** Click event handler  */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        /** applies disabled styles */
        disabled: PropTypes.Requireable<boolean>;
        /** string based data hook for testing */
        dataHook: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        skin: string;
        size: string;
        disabled: boolean;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    _renderCloseIcon(Icon: any, size: any): React.JSX.Element;
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=CloseButton.d.ts.map