export function getElementHeight(wrapper: any): (element: any) => any;
export default Collapse;
/** `<Collapse/>` component is used for hideable content.
 *
 * Easily create accordions or within `<Card/>` to collapse its `<Card.Content/>`.
 */
declare function Collapse({ children, open, dataHook, mountOnEnter, unmountOnExit, onExpandAnimationEnd, onCollapseAnimationEnd, }: {
    children: any;
    open?: boolean | undefined;
    dataHook: any;
    mountOnEnter?: boolean | undefined;
    unmountOnExit?: boolean | undefined;
    onExpandAnimationEnd: any;
    onCollapseAnimationEnd: any;
}): React.JSX.Element;
declare namespace Collapse {
    let displayName: string;
    namespace propTypes {
        let children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let open: PropTypes.Requireable<boolean>;
        let dataHook: PropTypes.Requireable<string>;
        let mountOnEnter: PropTypes.Requireable<boolean>;
        let unmountOnExit: PropTypes.Requireable<boolean>;
        let onExpandAnimationEnd: PropTypes.Requireable<(...args: any[]) => any>;
        let onCollapseAnimationEnd: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Collapse.d.ts.map