"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.colorPickerUniDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _ColorPickerUni = _interopRequireDefault(require("./ColorPicker.uni.driver"));
var _userEvent = _interopRequireDefault(require("@testing-library/user-event"));
var _unidriver = require("../test-utils/utils/unidriver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var colorPickerUniDriverFactory = base => _objectSpread(_objectSpread({}, (0, _ColorPickerUni.default)(base)), {}, {
  selectBlackColor: function () {
    var _selectBlackColor = (0, _asyncToGenerator2.default)(function* () {
      var baseEl = yield base.$("[data-hook=\"".concat(_constants.DataHooks.hsb, "\"]")).getNative();
      return _userEvent.default.pointer({
        keys: '[MouseLeft]',
        target: baseEl,
        coords: {
          clientX: 1,
          clientY: 1
        }
      });
    });
    function selectBlackColor() {
      return _selectBlackColor.apply(this, arguments);
    }
    return selectBlackColor;
  }(),
  clickCancelButton: () => base.$('[data-hook="color-picker-cancel-button"]').click()
});
exports.colorPickerUniDriverFactory = colorPickerUniDriverFactory;
//# sourceMappingURL=ColorPicker.private.uni.driver.js.map