"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _wixUiIconsCommon = require("@wix/wix-ui-icons-common");
var _IconButton = _interopRequireDefault(require("../IconButton"));
var _constants = require("./constants");
var _ColorPickerActionsSt = require("./ColorPickerActions.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/ColorPicker/ColorPickerActions.js";
var ColorPickerActions = _ref => {
  var {
    onCancel,
    onConfirm,
    disabled
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _ColorPickerActionsSt.classes.root,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 10,
      columnNumber: 3
    }
  }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    dataHook: _constants.DataHooks.cancelButton,
    size: "small",
    priority: "secondary",
    onClick: onCancel,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_wixUiIconsCommon.X, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 7
    }
  })), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    dataHook: _constants.DataHooks.confirmButton,
    size: "small",
    disabled: disabled,
    onClick: onConfirm,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_wixUiIconsCommon.Check, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 7
    }
  })));
};
ColorPickerActions.propTypes = {
  onCancel: _propTypes.default.func.isRequired,
  onConfirm: _propTypes.default.func.isRequired
};
var _default = exports.default = ColorPickerActions;
//# sourceMappingURL=ColorPickerActions.js.map