"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("./constants");
var _ColorPickerHistorySt = require("./ColorPickerHistory.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/ColorPicker/ColorPickerHistory.js";
var ColorPickerHistory = _ref => {
  var {
    show,
    current,
    previous,
    onClick: _onClick
  } = _ref;
  if (show) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _ColorPickerHistorySt.classes.root,
      "data-hook": _constants.DataHooks.history,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 10,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.DataHooks.historyPrevious,
      style: {
        background: previous.hex()
      },
      onClick: () => _onClick(previous),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 11,
        columnNumber: 9
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.DataHooks.historyCurrent,
      style: {
        background: current.hex()
      },
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 9
      }
    }));
  }
  return null;
};
ColorPickerHistory.propTypes = {
  show: _propTypes.default.bool.isRequired,
  previous: _propTypes.default.object.isRequired,
  current: _propTypes.default.object.isRequired,
  onClick: _propTypes.default.func.isRequired
};
var _default = exports.default = ColorPickerHistory;
//# sourceMappingURL=ColorPickerHistory.js.map