"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.customModalLayoutDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _BaseModalLayoutLegacy = require("../BaseModalLayout/BaseModalLayout.legacy.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var customModalLayoutDriverFactory = _ref => {
  var {
    element,
    eventTrigger
  } = _ref;
  return _objectSpread(_objectSpread({}, (0, _BaseModalLayoutLegacy.baseModalLayoutDriverFactory)({
    element,
    eventTrigger
  })), {}, {
    /** Returns if the modal content has padding */
    hasContentPadding: function () {
      var _hasContentPadding = (0, _asyncToGenerator2.default)(function* () {
        return (yield element.getAttribute('data-contentpadding')) === 'true';
      });
      function hasContentPadding() {
        return _hasContentPadding.apply(this, arguments);
      }
      return hasContentPadding;
    }()
  });
};
exports.customModalLayoutDriverFactory = customModalLayoutDriverFactory;
//# sourceMappingURL=CustomModalLayout.legacy.driver.js.map