"use strict";

exports.__esModule = true;
exports.dataHooks = exports.SHORT_SEPARATORS_REGEX = exports.MIN_DATE = exports.MAX_DATE = void 0;
var dataHooks = exports.dataHooks = {
  datePickerCalendar: 'date-picker-calendar',
  datePickerPopover: 'date-picker-popover',
  datePickerInputContainer: 'date-picker-input-container',
  datePickerInput: 'date-picker-input'
};
var MAX_DATE = exports.MAX_DATE = new Date(2201, 0, 1);
var MIN_DATE = exports.MIN_DATE = new Date(1000, 0, 1);
var SHORT_SEPARATORS_REGEX = exports.SHORT_SEPARATORS_REGEX = new RegExp(/^\w+(?:\s*(\.|-| |\/)\s*\w+){1,2}$/);
//# sourceMappingURL=constants.js.map