"use strict";

exports.__esModule = true;
exports.useDraggableContainer = useDraggableContainer;
var _DraggableContainerSt = require("./DraggableContainer.st.css");
var _react = require("react");
var _context = require("../WixStyleReactProvider/context");
function useDraggableContainer(props) {
  var {
    draggable,
    dragging,
    dragDisabled,
    dim,
    highlight
  } = props;
  var {
    newColorsBranding
  } = (0, _react.useContext)(_context.WixStyleReactContext);
  return {
    className: (0, _DraggableContainerSt.st)(_DraggableContainerSt.classes.root, {
      newColorsBranding,
      draggable,
      dragging,
      dragDisabled,
      dim,
      highlight
    })
  };
}
//# sourceMappingURL=useDraggableContainer.js.map