export function dropdownBasePrivateDriverFactory(base: any, body: any): {
    /** Returns the native target element */
    getTargetElement: () => any;
    /** Returns the native DropdownLayout element */
    getDropdownElement: () => any;
    /** Return `true` if the option is hovered by the mouse */
    isOptionHovered: (index: any) => Promise<boolean>;
    /** Return `true` if the option is selected */
    isOptionSelected: (index: any) => Promise<boolean>;
    /** Trigger a keyDown event on the target element */
    keyDown: (key: any) => Promise<any>;
    /** Perform a mouseLeave on the target element */
    mouseLeaveTarget: () => Promise<any>;
    getDropdownLayoutDriver: () => import("../DropdownLayout/DropdownLayout.uni.driver").DropdownLayoutUniDriver;
    keyDownListItem: (position: any, key: any) => Promise<void>;
    isListItemFocused: (position: any) => Promise<boolean>;
    getListType: (dataHook: string) => Promise<string>;
    clickTargetElement: (dataHook: string) => Promise<void>;
    hoverTargetElement: (dataHook: string) => Promise<void>;
    isDropdownShown: () => Promise<boolean>;
    selectOption: (index: string | number) => Promise<void>;
    selectOptionByDataHook: (dataHook: string) => Promise<void>;
    clickOutside: () => boolean;
    optionsCount: () => Promise<number>;
    mouseEnter: () => Promise<void>;
    mouseLeave: () => Promise<void>;
    optionContentAt: (id: number) => Promise<React.ReactNode>;
    getSelectedOptionId: () => Promise<string | null>;
    getMarkedOption: () => Promise<string | null>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
//# sourceMappingURL=DropdownBase.private.uni.driver.d.ts.map