"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _Text = _interopRequireDefault(require("../../../Text"));
var _LabelSt = require("./Label.st.css");
var _excluded = ["labelSize", "label", "aria-hidden", "hasInlineElements"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/FieldSet/components/Label/Label.tsx";
var Label = _ref => {
  var {
      labelSize,
      label,
      'aria-hidden': ariaHidden,
      hasInlineElements
    } = _ref,
    rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var weight = labelSize === 'tiny' ? 'normal' : undefined;
  return /*#__PURE__*/_react.default.createElement(_Text.default, (0, _extends2.default)({
    "aria-hidden": ariaHidden,
    className: (0, _LabelSt.st)(_LabelSt.classes.root, {
      hasInlineElements,
      labelSize
    }),
    size: labelSize,
    weight: weight,
    secondary: true,
    style: {
      display: 'block'
    } // allows the label to middle vertically
  }, rest, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 5
    }
  }), label);
};
var _default = exports.default = Label;
//# sourceMappingURL=Label.js.map