"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _wixUiIconsCommon = require("@wix/wix-ui-icons-common");
var _Text = _interopRequireDefault(require("../../../Text"));
var _constants = require("../../constants");
var _StatusMessageSt = require("./StatusMessage.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/FieldSet/components/StatusMessage/StatusMessage.tsx";
var StatusIcon = _ref => {
  var {
    status
  } = _ref;
  var iconByStatus = {
    error: _wixUiIconsCommon.StatusAlertFilledSmall,
    warning: _wixUiIconsCommon.StatusWarningFilledSmall
  };
  var Icon = iconByStatus[status];
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _StatusMessageSt.classes.statusIcon,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(Icon, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 7
    }
  }));
};
var StatusMessage = _ref2 => {
  var {
    statusMessage,
    status,
    labelSize,
    labelPlacement,
    statusId
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _StatusMessageSt.st)(_StatusMessageSt.classes.root, {
      status,
      labelSize,
      labelPlacement
    }),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 42,
      columnNumber: 3
    }
  }, status && /*#__PURE__*/_react.default.createElement(StatusIcon, {
    status: status,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 49,
      columnNumber: 16
    }
  }), /*#__PURE__*/_react.default.createElement(_Text.default, {
    id: statusId,
    dataHook: _constants.dataHooks.statusMessage,
    skin: status === 'error' ? 'error' : 'standard',
    secondary: status !== 'error',
    size: labelSize,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 50,
      columnNumber: 5
    }
  }, statusMessage));
};
var _default = exports.default = StatusMessage;
//# sourceMappingURL=StatusMessage.js.map