"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.fillPreviewDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _unidriver = require("../test-utils/utils/unidriver");
var fillPreviewDriverFactory = base => {
  var {
    element,
    exists
  } = (0, _unidriver.baseUniDriverFactory)(base);
  return {
    exists,
    element,
    /** clicks on button */
    click: () => base.$('[data-hook="fill-preview-button"]').click(),
    /** returns true if item is selected */
    isSelected: function () {
      var _isSelected = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="fill-preview-button"]').attr('data-selected').then(x => x === 'true');
      });
      function isSelected() {
        return _isSelected.apply(this, arguments);
      }
      return isSelected;
    }()
  };
};
exports.fillPreviewDriverFactory = fillPreviewDriverFactory;
//# sourceMappingURL=FillPreview.uni.driver.js.map