"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = calc_color_vars;
var _hex_to_hsl = _interopRequireDefault(require("./hex_to_hsl"));
function calc_color_vars(color) {
  var [h, s, l] = (0, _hex_to_hsl.default)(color);
  return {
    color00: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l, "%)"),
    color05: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 5, "%)"),
    color10: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 10, "%)"),
    color20: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 20, "%)"),
    color30: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 30, "%)"),
    color40: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 40, "%)"),
    color50: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 50, "%)"),
    color60: "hsl(".concat(h, ", ").concat(s, "%, ").concat(l + 60, "%)")
  };
}
//# sourceMappingURL=calc_color_vars.js.map