"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.iconButtonDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _ButtonCoreUni = require("../Button/ButtonCore/ButtonCore.uni.driver");
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var iconButtonDriverFactory = base => {
  var buttonDriver = (0, _ButtonCoreUni.buttonCoreDriverFactory)(base);
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** returns true if button disabled */
    isButtonDisabled: buttonDriver.isButtonDisabled,
    /**
     * Checks whether button is focused
     * @returns {Promise<boolean>}
     */
    isFocused: function () {
      var _isFocused = (0, _asyncToGenerator2.default)(function* () {
        return (0, _unidriver.isElementFocused)(base);
      });
      function isFocused() {
        return _isFocused.apply(this, arguments);
      }
      return isFocused;
    }()
  });
};
exports.iconButtonDriverFactory = iconButtonDriverFactory;
//# sourceMappingURL=IconButton.uni.driver.js.map