export default Image;
declare function Image({ width, fit, position, showBorder, borderRadius, transparent, alt, ...propsWithNoDefaults }: {
    [x: string]: any;
    width?: string | undefined;
    fit?: string | undefined;
    position?: string | undefined;
    showBorder?: boolean | undefined;
    borderRadius?: string | undefined;
    transparent?: boolean | undefined;
    alt?: string | undefined;
}): React.JSX.Element;
declare namespace Image {
    namespace propTypes {
        let borderRadius: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let showBorder: PropTypes.Requireable<boolean>;
        let src: PropTypes.Requireable<string>;
        let alt: PropTypes.Requireable<string>;
        let width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let height: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let fit: PropTypes.Requireable<string>;
        let position: PropTypes.Requireable<string>;
        let transparent: PropTypes.Requireable<boolean>;
    }
    let displayName: string;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Image.d.ts.map