"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.infoIconDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _TooltipUni = require("../Tooltip/Tooltip.uni.driver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var infoIconDriverFactory = (base, body) => {
  var getTooltip = () => base.$("[data-hook*=\"".concat(_constants.dataHooks.tooltip, "\"]"));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Hover on icon. */
    hover: function () {
      var _hover = (0, _asyncToGenerator2.default)(function* () {
        return getTooltip().hover();
      });
      function hover() {
        return _hover.apply(this, arguments);
      }
      return hover;
    }(),
    /** Get size. */
    getSize: function () {
      var _getSize = (0, _asyncToGenerator2.default)(function* () {
        return base.attr('data-size');
      });
      function getSize() {
        return _getSize.apply(this, arguments);
      }
      return getSize;
    }(),
    /** Get content as a text value. */
    getContent: function () {
      var _getContent = (0, _asyncToGenerator2.default)(function* () {
        var tooltipDriver = (0, _TooltipUni.tooltipDriverFactory)(getTooltip(), body);
        return tooltipDriver.getTooltipText();
      });
      function getContent() {
        return _getContent.apply(this, arguments);
      }
      return getContent;
    }()
  });
};
exports.infoIconDriverFactory = infoIconDriverFactory;
//# sourceMappingURL=InfoIcon.uni.driver.js.map