"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.tickerDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../../test-utils/utils/unidriver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var tickerDriverFactory = base => {
  var upTicker = base.$("[data-hook=\"".concat(_constants.dataHooks.tickerUp, "\"]"));
  var downTicker = base.$("[data-hook=\"".concat(_constants.dataHooks.tickerDown, "\"]"));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    clickUp: () => upTicker.click(),
    clickDown: () => downTicker.click(),
    isUpDisabled: function () {
      var _isUpDisabled = (0, _asyncToGenerator2.default)(function* () {
        return (yield upTicker.attr('data-disabled')) === 'true';
      });
      function isUpDisabled() {
        return _isUpDisabled.apply(this, arguments);
      }
      return isUpDisabled;
    }(),
    isDownDisabled: function () {
      var _isDownDisabled = (0, _asyncToGenerator2.default)(function* () {
        return (yield downTicker.attr('data-disabled')) === 'true';
      });
      function isDownDisabled() {
        return _isDownDisabled.apply(this, arguments);
      }
      return isDownDisabled;
    }()
  });
};
exports.tickerDriverFactory = tickerDriverFactory;
//# sourceMappingURL=Ticker.uni.driver.js.map