"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.tickerTestkitFactory = exports.tickerDriverFactory = exports.componentFactory = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _testUtils = require("react-dom/test-utils");
var _ = _interopRequireDefault(require(".."));
var _InputContext = require("../../InputContext");
var _constants = require("../constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Input/Ticker/testkit/Ticker.js",
  _this = void 0;
var tickerDriverFactory = component => {
  var handlers = {
    getUp: () => component.querySelector("[data-hook=\"".concat(_constants.dataHooks.tickerUp, "\"]")),
    getDown: () => component.querySelector("[data-hook=\"".concat(_constants.dataHooks.tickerDown, "\"]")),
    clickUp: () => _testUtils.Simulate.click(handlers.getUp()),
    clickDown: () => _testUtils.Simulate.click(handlers.getDown()),
    isUpDisabled: () => handlers.getUp().hasAttribute('data-disabled'),
    isDownDisabled: () => handlers.getDown().hasAttribute('data-disabled'),
    exists: () => !!component
  };
  return handlers;
};
exports.tickerDriverFactory = tickerDriverFactory;
var componentFactory = exports.componentFactory = function componentFactory() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var context = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return (0, _testUtils.renderIntoDocument)(/*#__PURE__*/_react.default.createElement("div", {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_InputContext.InputContext.Provider, {
    value: context,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, (0, _extends2.default)({
    dataHook: "ticker"
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 9
    }
  }))))).childNodes[0];
};
var tickerTestkitFactory = _ref => {
  var {
    wrapper
  } = _ref;
  return tickerDriverFactory(wrapper.querySelector('[data-hook=ticker]'));
};
exports.tickerTestkitFactory = tickerTestkitFactory;
//# sourceMappingURL=Ticker.js.map