"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _CellSt = require("./Cell.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Layout/Cell/Cell.js";
var Cell = _ref => {
  var {
    span = 12,
    rows = 1,
    children,
    vertical,
    className,
    dataHook
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    style: {
      gridColumn: "span ".concat(span),
      gridRow: "span ".concat(rows)
    },
    className: (0, _CellSt.st)(_CellSt.classes.root, {
      vertical
    }, className),
    children: children,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 3
    }
  });
};
Cell.displayName = 'Cell';
Cell.propTypes = {
  /** hook for testing purposes */
  dataHook: _propTypes.default.string,
  /** any node to be rendered inside */
  children: _propTypes.default.node,
  /** how many columns should this cell occupy. Can be any number from 1 to 12 inclusive */
  span: _propTypes.default.number,
  /** whether to align children vertically to the middle */
  vertical: _propTypes.default.bool,
  /** how many rows should this cell occupy */
  rows: _propTypes.default.number
};
var _default = exports.default = Cell;
//# sourceMappingURL=Cell.js.map