"use strict";

exports.__esModule = true;
exports.ProgressBarInnerAriaKeys = exports.ProgressBarDataKeys = exports.ProgressBarDataHooks = exports.ProgressBarAriaKeys = void 0;
/**
 * ProgressBar data-hook props used for testing.
 */
var ProgressBarDataHooks = exports.ProgressBarDataHooks = /*#__PURE__*/function (ProgressBarDataHooks) {
  ProgressBarDataHooks["container"] = "progressbar-container";
  ProgressBarDataHooks["background"] = "progressbar-background";
  ProgressBarDataHooks["foreground"] = "progressbar-foreground";
  ProgressBarDataHooks["progressIndicator"] = "progress-indicator";
  ProgressBarDataHooks["successIcon"] = "success-icon";
  ProgressBarDataHooks["errorIcon"] = "error-icon";
  ProgressBarDataHooks["progressPercentage"] = "progress-percentages";
  ProgressBarDataHooks["prefixIndicator"] = "prefix-indicator";
  ProgressBarDataHooks["suffixIndicator"] = "suffix-indicator";
  return ProgressBarDataHooks;
}({});
/**
 * ProgressBar attribute keys used to store internal data (current value, min, max etc...)
 */
var ProgressBarDataKeys = exports.ProgressBarDataKeys = /*#__PURE__*/function (ProgressBarDataKeys) {
  ProgressBarDataKeys["value"] = "data-progress-value";
  ProgressBarDataKeys["min"] = "data-progress-min-value";
  ProgressBarDataKeys["max"] = "data-progress-max-value";
  return ProgressBarDataKeys;
}({});
var ProgressBarAriaKeys = exports.ProgressBarAriaKeys = /*#__PURE__*/function (ProgressBarAriaKeys) {
  ProgressBarAriaKeys["valuenow"] = "aria-valuenow";
  ProgressBarAriaKeys["valuemax"] = "aria-valuemax";
  ProgressBarAriaKeys["valuemin"] = "aria-valuemin";
  ProgressBarAriaKeys["valuetext"] = "aria-valuetext";
  return ProgressBarAriaKeys;
}({});
var ProgressBarInnerAriaKeys = exports.ProgressBarInnerAriaKeys = /*#__PURE__*/function (ProgressBarInnerAriaKeys) {
  ProgressBarInnerAriaKeys["label"] = "aria-label";
  ProgressBarInnerAriaKeys["hidden"] = "aria-hidden";
  return ProgressBarInnerAriaKeys;
}({});
//# sourceMappingURL=DataHooks.js.map