"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _LiveRegionSt = require("./LiveRegion.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/LiveRegion/LiveRegion.tsx";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
/** LiveRegion */
var LiveRegion = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  var {
    dataHook
  } = _ref;
  var initialState = {
    message: '',
    role: 'status'
  };
  var [state, setState] = _react.default.useReducer((currentState, newState) => _objectSpread(_objectSpread({}, currentState), newState), initialState);
  var broadcast = _ref2 => {
    var {
      message: newMessage,
      role = 'status'
    } = _ref2;
    if (state.message === newMessage) {
      setState({
        message: newMessage + ' ',
        role
      });
    } else {
      setState({
        message: newMessage,
        role
      });
    }
  };
  _react.default.useImperativeHandle(ref, () => ({
    broadcast
  }));
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    className: _LiveRegionSt.classes.root,
    role: state.role,
    "aria-relevant": "all",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 45,
      columnNumber: 7
    }
  }, state.message);
});
LiveRegion.displayName = 'LiveRegion';
LiveRegion.propTypes = {
  dataHook: _propTypes.default.string,
  className: _propTypes.default.string
};
var _default = exports.default = LiveRegion;
//# sourceMappingURL=LiveRegion.js.map