"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.liveRegionDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var liveRegionDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /**
     * Checks whether the component found with the given data hook
     * @returns {Promise<boolean>}
     */
    exists: function () {
      var _exists = (0, _asyncToGenerator2.default)(function* () {
        return base.exists();
      });
      function exists() {
        return _exists.apply(this, arguments);
      }
      return exists;
    }(),
    /**
     * Gets the component root element
     * @returns {Promise<any>}
     */
    element: function () {
      var _element = (0, _asyncToGenerator2.default)(function* () {
        return base.getNative();
      });
      function element() {
        return _element.apply(this, arguments);
      }
      return element;
    }(),
    /**
     * Gets the message
     * @returns {Promise<string>}
     */
    getMessage: function () {
      var _getMessage = (0, _asyncToGenerator2.default)(function* () {
        return base.text();
      });
      function getMessage() {
        return _getMessage.apply(this, arguments);
      }
      return getMessage;
    }(),
    /**
     * Gets the role
     * @returns {Promise<string>}
     */
    getRole: function () {
      var _getRole = (0, _asyncToGenerator2.default)(function* () {
        return base.attr('role');
      });
      function getRole() {
        return _getRole.apply(this, arguments);
      }
      return getRole;
    }()
  });
};
exports.liveRegionDriverFactory = liveRegionDriverFactory;
//# sourceMappingURL=LiveRegion.uni.driver.js.map