"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Heading = _interopRequireWildcard(require("../../Heading"));
var _MarketingLayoutSt = require("../MarketingLayout.st.css");
var _StringUtils = require("../../utils/StringUtils");
var _dataHooks = require("../dataHooks");
var _constants = require("../constants");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MarketingLayout/components/Title.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var sizeToHeadingSize = {
  [_constants.SIZES.small]: _Heading.SIZE.MEDIUM,
  [_constants.SIZES.medium]: _Heading.SIZE.LARGE,
  [_constants.SIZES.large]: _Heading.SIZE.LARGE
};
var Title = _ref => {
  var {
    children,
    size
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _MarketingLayoutSt.classes.title,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 3
    }
  }, (0, _StringUtils.isString)(children) ? size === _constants.SIZES.tiny ? /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _dataHooks.MARKETING_LAYOUT_TITLE,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 9
    }
  }, children) : /*#__PURE__*/_react.default.createElement(_Heading.default, {
    dataHook: _dataHooks.MARKETING_LAYOUT_TITLE,
    size: sizeToHeadingSize[size],
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, children) : /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _dataHooks.MARKETING_LAYOUT_TITLE,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 29,
      columnNumber: 7
    }
  }, children));
};
Title.propTypes = {
  children: _propTypes.default.node,
  size: _propTypes.default.string
};
var _default = exports.default = Title;
//# sourceMappingURL=Title.js.map