"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = _interopRequireDefault(require("../Button"));
var _MessageBoxFunctionalLayoutSt = require("./MessageBoxFunctionalLayout.st.css");
var _constants = require("./constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MessageBoxFunctionalLayout/FooterLayout.js";
var buttonSkinByTheme = {
  blue: 'standard',
  purple: 'premium',
  red: 'destructive'
};
var buttonSizeByHeight = {
  'x-small': 'tiny',
  tiny: 'tiny',
  small: 'small',
  medium: 'medium',
  large: 'large',
  'x-large': 'large'
};
var Footer = _ref => {
  var {
    bottomChildren,
    children,
    theme = 'blue',
    cancelText,
    cancelPrefixIcon,
    cancelSuffixIcon,
    onCancel,
    onOk,
    confirmText,
    confirmPrefixIcon,
    confirmSuffixIcon,
    buttonsHeight = 'small',
    enableOk = true,
    enableCancel = true,
    sideActions,
    newColorsBranding
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _MessageBoxFunctionalLayoutSt.st)(_MessageBoxFunctionalLayoutSt.classes.footer, {
      newColorsBranding
    }),
    "data-hook": _constants.dataHooks.footer,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 40,
      columnNumber: 5
    }
  }, sideActions, children, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _MessageBoxFunctionalLayoutSt.st)(_MessageBoxFunctionalLayoutSt.classes.footerbuttons, {
      withSideActions: sideActions && (cancelText || confirmText)
    }),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 46,
      columnNumber: 7
    }
  }, cancelText && /*#__PURE__*/_react.default.createElement(_Button.default, {
    prefixIcon: cancelPrefixIcon,
    suffixIcon: cancelSuffixIcon,
    disabled: !enableCancel,
    size: buttonSizeByHeight[buttonsHeight],
    priority: "secondary",
    skin: buttonSkinByTheme[theme],
    onClick: onCancel,
    dataHook: _constants.dataHooks.footerCancelButton,
    children: cancelText,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 52,
      columnNumber: 11
    }
  }), confirmText && /*#__PURE__*/_react.default.createElement(_Button.default, {
    prefixIcon: confirmPrefixIcon,
    suffixIcon: confirmSuffixIcon,
    disabled: !enableOk,
    size: buttonSizeByHeight[buttonsHeight],
    priority: "primary",
    skin: buttonSkinByTheme[theme],
    onClick: onOk,
    dataHook: _constants.dataHooks.footerConfirmButton,
    children: confirmText,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 65,
      columnNumber: 11
    }
  }))), bottomChildren && /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": _constants.dataHooks.footerBelowChildren,
    className: (0, _MessageBoxFunctionalLayoutSt.st)(_MessageBoxFunctionalLayoutSt.classes.bottomChildren, {
      newColorsBranding
    }),
    children: bottomChildren,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 80,
      columnNumber: 7
    }
  }));
};
var _default = exports.default = Footer;
//# sourceMappingURL=FooterLayout.js.map