"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _CloseButton = _interopRequireDefault(require("../CloseButton"));
var _Heading = _interopRequireDefault(require("../Heading"));
var _MessageBoxFunctionalLayoutSt = require("./MessageBoxFunctionalLayout.st.css");
var _constants = require("./constants");
var _Box = _interopRequireDefault(require("../Box"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MessageBoxFunctionalLayout/HeaderLayout.js";
var Header = _ref => {
  var {
    title,
    onCancel,
    theme = 'blue',
    closeButton = true,
    size = 'medium',
    newColorsBranding = false
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _MessageBoxFunctionalLayoutSt.st)(_MessageBoxFunctionalLayoutSt.classes.header, {
      theme,
      newColorsBranding
    }),
    "data-hook": _constants.dataHooks.header,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_Heading.default, {
    size: size,
    light: !newColorsBranding,
    className: _MessageBoxFunctionalLayoutSt.classes.heading,
    dataHook: _constants.dataHooks.headerTitle,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 9
    }
  }, title), closeButton && !newColorsBranding ? /*#__PURE__*/_react.default.createElement(_CloseButton.default, {
    dataHook: _constants.dataHooks.headerCloseButton,
    size: newColorsBranding ? 'large' : 'medium',
    skin: newColorsBranding ? 'dark' : 'lightFilled',
    onClick: onCancel,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 11
    }
  }) : null), closeButton && newColorsBranding ? /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: _MessageBoxFunctionalLayoutSt.classes.controlButtons,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 40,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react.default.createElement(_CloseButton.default, {
    dataHook: _constants.dataHooks.headerCloseButton,
    size: newColorsBranding ? 'large' : 'medium',
    skin: newColorsBranding ? 'dark' : 'lightFilled',
    onClick: onCancel,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 11
    }
  })) : null);
};
var _default = exports.default = Header;
//# sourceMappingURL=HeaderLayout.js.map