"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _MessageModalLayoutSt = require("./MessageModalLayout.st.css");
var _BaseModalLayout = _interopRequireDefault(require("../BaseModalLayout"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Button = _interopRequireDefault(require("../Button"));
var _context = require("../WixStyleReactProvider/context");
var _excluded = ["theme", "actionsSize"],
  _excluded2 = ["children", "className"],
  _excluded3 = ["dataHook"],
  _excluded4 = ["dataHook"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MessageModalLayout/MessageModalLayout.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
/** MessageModalLayout */
var MessageModalLayout = _ref => {
  var {
      theme = 'standard',
      actionsSize = 'small'
    } = _ref,
    propsWithNoDefaults = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var _theme$actionsSize$pr = _objectSpread({
      theme,
      actionsSize
    }, propsWithNoDefaults),
    {
      children,
      className
    } = _theme$actionsSize$pr,
    restProps = (0, _objectWithoutProperties2.default)(_theme$actionsSize$pr, _excluded2);
  var {
    illustration
  } = restProps;
  var [showFooterDivider, setShowFooterDivider] = (0, _react.useState)(false);
  var onContentScrollAreaChanged = (0, _react.useCallback)(_ref2 => {
    var {
      area
    } = _ref2;
    var {
      y: scrollArea
    } = area;
    var newShowDivider = scrollArea === 'top' || scrollArea === 'middle';
    setShowFooterDivider(newShowDivider);
  }, []);
  var hasIllustration = !!illustration;
  return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 32,
      columnNumber: 5
    }
  }, _ref3 => {
    var {
      newColorsBranding
    } = _ref3;
    return /*#__PURE__*/_react.default.createElement(_BaseModalLayout.default, (0, _extends2.default)({}, restProps, {
      className: (0, _MessageModalLayoutSt.st)(_MessageModalLayoutSt.classes.root, {
        hasIllustration,
        newColorsBranding
      }, className),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 34,
        columnNumber: 9
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: _MessageModalLayoutSt.classes.topAreaContainer,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 42,
        columnNumber: 11
      }
    }, /*#__PURE__*/_react.default.createElement(_BaseModalLayout.default.Illustration, {
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 43,
        columnNumber: 13
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: _MessageModalLayoutSt.classes.contentAreaContainer,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 44,
        columnNumber: 13
      }
    }, /*#__PURE__*/_react.default.createElement(_BaseModalLayout.default.Header, {
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 45,
        columnNumber: 15
      }
    }), /*#__PURE__*/_react.default.createElement(_BaseModalLayout.default.Content, {
      hideTopScrollDivider: hasIllustration,
      hideBottomScrollDivider: hasIllustration,
      scrollProps: {
        onScrollAreaChanged: hasIllustration && onContentScrollAreaChanged || null
      },
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 46,
        columnNumber: 15
      }
    }, children))), /*#__PURE__*/_react.default.createElement(_BaseModalLayout.default.Footer, {
      showFooterDivider: hasIllustration && showFooterDivider,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 58,
        columnNumber: 11
      }
    }), /*#__PURE__*/_react.default.createElement(_BaseModalLayout.default.Footnote, {
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 61,
        columnNumber: 11
      }
    }));
  });
};
MessageModalLayout.displayName = 'MessageModalLayout';
MessageModalLayout.propTypes = {
  /** ...BaseModalLayout.propTypes, */
  /** Applies a CSS class to the component’s root element */
  className: _propTypes.default.string,
  /** Applies a data-hook HTML attribute to be used in the tests */
  dataHook: _propTypes.default.string,
  /** Defines a call-back function after user clicks on the close button */
  onCloseButtonClick: _propTypes.default.func,
  /** Defines a call-back function after user clicks on the help button */
  onHelpButtonClick: _propTypes.default.func,
  /** Sets the appearance of modal (i.e., changes the skin of primary and secondary action buttons) */
  theme: _propTypes.default.oneOf(['standard', 'premium', 'destructive']),
  /** ...Header.propTypes, */
  /** Sets text title for the modal; can be used in conjunction with other components */
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  /** ...Content.propTypes, */
  /** Contains modal’s message in its middle area. <MessageModalLayout/> children are passed as content, too. */
  content: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  /** ...Footer.propTypes, */
  /** Determins the action buttons size */
  actionsSize: _propTypes.default.oneOf(['tiny', 'small', 'medium', 'large']),
  /** Sets text label for the primary button */
  primaryButtonText: _propTypes.default.string,
  /** Defines a call-back function after user clicks on the primary button */
  primaryButtonOnClick: _propTypes.default.func,
  /** Passes on any \<Button/\> properties on the primary button */
  primaryButtonProps: (() => {
    var _Button$propTypes = _Button.default.propTypes,
      {
        dataHook
      } = _Button$propTypes,
      buttonProps = (0, _objectWithoutProperties2.default)(_Button$propTypes, _excluded3);
    return _propTypes.default.shape(buttonProps);
  })(),
  /** Sets text label for the secondary button */
  secondaryButtonText: _propTypes.default.string,
  /** Defines a call-back function after user clicks on the secondary button */
  secondaryButtonOnClick: _propTypes.default.func,
  /** Passes on any \<Button/\> properties on the secondary button */
  secondaryButtonProps: (() => {
    var _Button$propTypes2 = _Button.default.propTypes,
      {
        dataHook
      } = _Button$propTypes2,
      buttonProps = (0, _objectWithoutProperties2.default)(_Button$propTypes2, _excluded4);
    return _propTypes.default.shape(buttonProps);
  })(),
  /** Contains a checkbox or other components at the start of the footer */
  sideActions: _propTypes.default.node,
  /** ...Footnote.propTypes, */
  /** Renders supplementary text or other components at the bottom of the modal */
  footnote: _propTypes.default.node,
  /** ...Illustration.propTypes, */
  /** Contains a 120x120 px illustration at the left side of the modal */
  illustration: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node])
};
var _default = exports.default = MessageModalLayout;
//# sourceMappingURL=MessageModalLayout.js.map