"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("./constants");
var _MobilePreviewWidgetSt = require("./MobilePreviewWidget.st.css");
var _PreviewWidget = _interopRequireDefault(require("../PreviewWidget"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/MobilePreviewWidget/MobilePreviewWidget.js";
/** Mobile preview widget */
class MobilePreviewWidget extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      skin,
      backgroundColor,
      height,
      width,
      children
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_PreviewWidget.default, {
      className: (0, _MobilePreviewWidgetSt.st)(_MobilePreviewWidgetSt.classes.root),
      dataHook: dataHook,
      skin: skin,
      backgroundColor: backgroundColor,
      height: height,
      width: width,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 43,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.dataHooks.mobileHeader,
      className: _MobilePreviewWidgetSt.classes.header,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 51,
        columnNumber: 9
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: _MobilePreviewWidgetSt.classes.speaker,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 52,
        columnNumber: 11
      }
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: _MobilePreviewWidgetSt.classes.camera,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 53,
        columnNumber: 11
      }
    })), /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.dataHooks.mobileContent,
      className: _MobilePreviewWidgetSt.classes.content,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 55,
        columnNumber: 9
      }
    }, children), /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": _constants.dataHooks.mobileFooter,
      className: _MobilePreviewWidgetSt.classes.footer,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 58,
        columnNumber: 9
      }
    }));
  }
}
MobilePreviewWidget.displayName = 'MobilePreviewWidget';
MobilePreviewWidget.propTypes = {
  /** Mobile preview widget data hook*/
  dataHook: _propTypes.default.string,
  /** Background skin. To use `custom` skin, set it to `custom` and use the `backgroundColor` prop*/
  skin: _propTypes.default.oneOf(['neutral', 'gradient', 'custom']),
  /** Mobile preview widget background color. Can be set with `design system` colors*/
  backgroundColor: _propTypes.default.string,
  /** Sets the height of the component.*/
  height: _propTypes.default.string,
  /** Sets the width of the component */
  width: _propTypes.default.string,
  /** Node to preview */
  children: _propTypes.default.node.isRequired
};
MobilePreviewWidget.defaultProps = {
  skin: 'neutral',
  height: '100%',
  width: '100%'
};
var _default = exports.default = MobilePreviewWidget;
//# sourceMappingURL=MobilePreviewWidget.js.map