"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.modalPreviewLayoutDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var modalPreviewLayoutDriverFactory = base => {
  var getPreviewContent = () => base.$("[data-hook=\"".concat(_constants.dataHooks.modalPreviewContent, "\"]"));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Click the overlay */
    clickOverlay: () => base.$("[data-hook=\"".concat(_constants.dataHooks.innerOverlay, "\"]")).click(),
    /** Get the title node */
    getPreviewTitle: () => base.$("[data-hook=\"".concat(_constants.dataHooks.modalPreviewTitle, "\"]")),
    /** Get the actions node */
    getPreviewActions: () => base.$("[data-hook=\"".concat(_constants.dataHooks.modalPreviewActions, "\"]")),
    /** Get the content node */
    getPreviewContent,
    /** Click the close button */
    clickClose: () => base.$("[data-hook=\"".concat(_constants.dataHooks.modalPreviewCloseButton, "\"]")).click(),
    /** Get the index of the rendered child */
    getCurrentChildIndex: function () {
      var _getCurrentChildIndex = (0, _asyncToGenerator2.default)(function* () {
        return Number(yield getPreviewContent().attr('data-index'));
      });
      function getCurrentChildIndex() {
        return _getCurrentChildIndex.apply(this, arguments);
      }
      return getCurrentChildIndex;
    }(),
    /**
     * Get skin
     * @return {Promise<'dark'| 'light'>}
     */
    getSkin: () => base.attr('data-skin')
  });
};
exports.modalPreviewLayoutDriverFactory = modalPreviewLayoutDriverFactory;
//# sourceMappingURL=ModalPreviewLayout.uni.driver.js.map