"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.skins = exports.modalPreviewIDs = exports.dataHooks = exports.arrowsDirection = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var modalPrefix = 'preview-modal';
var navigationButtonSuffix = "navigation-button-tooltip";
var modalPreviewIDs = exports.modalPreviewIDs = {
  overlay: "".concat(modalPrefix, "-overlay"),
  innerOverlay: "".concat(modalPrefix, "-inner-overlay")
};
var arrowsDirection = exports.arrowsDirection = {
  rightArrow: 'right-arrow',
  leftArrow: 'left-arrow'
};
var dataHooks = exports.dataHooks = _objectSpread({
  modalPreviewActions: "".concat(modalPrefix, "-actions"),
  modalPreviewCloseButton: "".concat(modalPrefix, "-close-button"),
  modalPreviewTitle: "".concat(modalPrefix, "-title"),
  modalPreviewContent: "".concat(modalPrefix, "-content"),
  modalPreviewRightArrow: "".concat(modalPrefix, "-").concat(arrowsDirection.rightArrow),
  modalPreviewLeftArrow: "".concat(modalPrefix, "-").concat(arrowsDirection.leftArrow),
  nextNavigationButtonTooltip: "next-".concat(navigationButtonSuffix),
  prevNavigationButtonTooltip: "prev-".concat(navigationButtonSuffix),
  closeButtonTooltip: "close-button-tooltip"
}, modalPreviewIDs);
var skins = exports.skins = {
  dark: 'dark',
  light: 'light'
};
//# sourceMappingURL=constants.js.map