export default MultiSelect;
declare class MultiSelect extends InputWithOptions<import("../InputWithOptions").ManualInputFnSignature, ((option: import("..").DropdownLayoutValueOption, sameOptionWasPicked: boolean) => void) | undefined, import("../InputWithOptions").InputWithOptionsProps<import("../InputWithOptions").ManualInputFnSignature, ((option: import("..").DropdownLayoutValueOption, sameOptionWasPicked: boolean) => void) | undefined>> {
    static autoSizeInput: ({ className, "data-ref": dataRef, ...rest }: {
        [x: string]: any;
        className: any;
        "data-ref": any;
    }) => React.JSX.Element;
    static autoSizeInputWithRef: () => React.ForwardRefExoticComponent<React.RefAttributes<any>>;
    constructor(props: any);
    onKeyDown(event: any): void;
    onPaste(): void;
    _onBlur(event: any): void;
    state: {
        pasteDetected: boolean;
    };
    rootAdditionalProps(): {
        className: any;
    };
    onClickOutside(): void;
    getUnselectedOptions(): import("..").DropdownLayoutOption[];
    dropdownAdditionalProps(): {
        options: import("..").DropdownLayoutOption[];
        closeOnSelect: boolean;
        selectedHighlight: boolean;
        selectedId: number;
        fixedFooter: React.ReactNode;
    };
    closeOnSelect(): boolean;
    inputAdditionalProps(): {
        readOnly: boolean | undefined;
        disableEditing: boolean;
        inputElement: React.JSX.Element;
        onKeyDown: (event: any) => void;
        delimiters: any;
        onPaste: () => void;
    };
    _splitByDelimitersAndTrim(value: any): any;
    _onChange(event: any): void;
    _onSelect(option: any): void;
    _onManuallyInput(inputValue: any, event: any): void;
    getManualSubmitKeys(): string[];
    optionToTag({ id, value, tag, theme }: {
        id: any;
        value: any;
        tag: any;
        theme: any;
    }): any;
    onSelect(option: any): void;
    submitValue(inputValue: any): void;
    clearInput(): void;
}
declare namespace MultiSelect {
    let displayName: string;
    namespace propTypes {
        let ariaControls: PropTypes.Requireable<string>;
        let ariaDescribedby: PropTypes.Requireable<string>;
        let ariaLabel: PropTypes.Requireable<string>;
        let border: PropTypes.Requireable<string>;
        let closeOnSelect: PropTypes.Requireable<boolean>;
        let popoverProps: PropTypes.Requireable<PropTypes.InferProps<{
            appendTo: PropTypes.Requireable<string>;
            maxWidth: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            minWidth: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            flip: PropTypes.Requireable<boolean>;
            fixed: PropTypes.Requireable<boolean>;
            placement: PropTypes.Requireable<string>;
            dynamicWidth: PropTypes.Requireable<boolean>;
        }>>;
        let predicate: PropTypes.Requireable<(...args: any[]) => any>;
        let tags: PropTypes.Requireable<any[]>;
        let maxNumRows: PropTypes.Requireable<number>;
        let delimiters: PropTypes.Requireable<any[]>;
        let emptyStateMessage: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let hasMore: PropTypes.Requireable<boolean>;
        let infiniteScroll: PropTypes.Requireable<boolean>;
        let loadMore: PropTypes.Requireable<(...args: any[]) => any>;
        let mode: PropTypes.Requireable<string>;
        let status: PropTypes.Requireable<string>;
        let statusMessage: PropTypes.Requireable<string>;
        let onReorder: PropTypes.Requireable<(...args: any[]) => any>;
        let onManuallyInput: PropTypes.Requireable<(...args: any[]) => any>;
        let onOptionsShow: PropTypes.Requireable<(...args: any[]) => any>;
        let onOptionsHide: PropTypes.Requireable<(...args: any[]) => any>;
        let onSelect: PropTypes.Requireable<(...args: any[]) => any>;
        let customSuffix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let disabled: PropTypes.Requireable<boolean>;
        let clearOnBlur: PropTypes.Requireable<boolean>;
        let acceptOnBlur: PropTypes.Requireable<boolean>;
        let onRemoveTag: PropTypes.Requireable<(...args: any[]) => any>;
        let readOnly: PropTypes.Requireable<boolean>;
        let fixedFooter: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let markedOption: PropTypes.Requireable<NonNullable<string | number | boolean | null | undefined>>;
    }
    let defaultProps: any;
}
import InputWithOptions from '../InputWithOptions';
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=MultiSelect.d.ts.map