"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.pageUniDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var pageUniDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    hasClass: name => base.hasClass(name),
    /** true if header background image exist */
    backgroundImageExists: () => base.$('[data-hook="page-background-image"]').exists(),
    /** true if gradient class name exist */
    gradientClassNameExists: () => base.$('[data-hook="page-gradient-class-name"]').exists(),
    /** true if tail exist in DOM */
    tailExists: () => base.$('[data-hook="page-tail"]').exists(),
    /** return container height */
    gradientContainerHeight: function () {
      var _gradientContainerHeight = (0, _asyncToGenerator2.default)(function* () {
        var style = yield base.$('[data-hook="page-gradient-class-name"]')._prop('style');
        return style.height;
      });
      function gradientContainerHeight() {
        return _gradientContainerHeight.apply(this, arguments);
      }
      return gradientContainerHeight;
    }(),
    /** returns html in a string form */
    getPageHtml: () => base._prop('innerHTML')
  });
};
exports.pageUniDriverFactory = pageUniDriverFactory;
//# sourceMappingURL=Page.uni.driver.js.map