"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _wixUiIconsCommon = require("@wix/wix-ui-icons-common");
var _RichTextInputAreaFormSt = require("./RichTextInputAreaForm.st.css");
var _RichTextInputAreaContext = require("../RichTextInputAreaContext");
var _Tooltip = _interopRequireDefault(require("../../Tooltip"));
var _Box = _interopRequireDefault(require("../../Box"));
var _IconButton = _interopRequireDefault(require("../../IconButton"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/RichTextInputArea/Form/RichTextInputAreaForm.js";
class RichTextInputAreaForm extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      children,
      onSubmit,
      onCancel,
      isDisabled
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_RichTextInputAreaContext.RichTextInputAreaContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 15,
        columnNumber: 7
      }
    }, _ref => {
      var {
        texts
      } = _ref;
      return /*#__PURE__*/_react.default.createElement("form", {
        "data-hook": dataHook,
        onSubmit: onSubmit,
        className: _RichTextInputAreaFormSt.classes.root,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 17,
          columnNumber: 11
        }
      }, children, /*#__PURE__*/_react.default.createElement("div", {
        className: _RichTextInputAreaFormSt.classes.footer,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 23,
          columnNumber: 13
        }
      }, /*#__PURE__*/_react.default.createElement(_Tooltip.default, {
        content: texts.insertionForm.confirmButtonLabel,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 24,
          columnNumber: 15
        }
      }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
        dataHook: "richtextarea-form-confirm-button",
        type: "submit",
        size: "small",
        onClick: onSubmit,
        disabled: isDisabled,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 25,
          columnNumber: 17
        }
      }, /*#__PURE__*/_react.default.createElement(_wixUiIconsCommon.Check, {
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 32,
          columnNumber: 19
        }
      }))), /*#__PURE__*/_react.default.createElement(_Box.default, {
        inline: true,
        marginRight: 1,
        marginLeft: 1,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 35,
          columnNumber: 15
        }
      }, /*#__PURE__*/_react.default.createElement(_Tooltip.default, {
        content: texts.insertionForm.cancelButtonLabel,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 36,
          columnNumber: 17
        }
      }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
        dataHook: "richtextarea-form-cancel-button",
        priority: "secondary",
        size: "small",
        onClick: onCancel,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 37,
          columnNumber: 19
        }
      }, /*#__PURE__*/_react.default.createElement(_wixUiIconsCommon.X, {
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 43,
          columnNumber: 21
        }
      }))))));
    });
  }
}
var _default = exports.default = RichTextInputAreaForm;
//# sourceMappingURL=RichTextInputAreaForm.js.map