"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _RichTextInputAreaForm = _interopRequireDefault(require("./RichTextInputAreaForm"));
var _RichTextInputAreaContext = require("../RichTextInputAreaContext");
var _Box = _interopRequireDefault(require("../../Box"));
var _Input = _interopRequireDefault(require("../../Input"));
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/RichTextInputArea/Form/RichTextInputAreaLinkForm.js";
class RichTextInputAreaLinkForm extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      text: '',
      url: ''
    };
    this._onSubmit = event => {
      // Prevents form submission, but still enables submission when clicking `Enter`
      event.preventDefault();
      var {
        onSubmit
      } = this.props;
      var {
        text,
        url
      } = this.state;
      onSubmit && onSubmit(event, {
        text,
        url
      });
    };
    var {
      text: _text = '',
      url: _url = ''
    } = props.data;
    this.state = {
      text: _text,
      url: _url
    };
  }
  render() {
    var {
      dataHook,
      onCancel
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_RichTextInputAreaContext.RichTextInputAreaContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 7
      }
    }, _ref => {
      var {
        texts
      } = _ref;
      return /*#__PURE__*/_react.default.createElement(_RichTextInputAreaForm.default, {
        dataHook: dataHook,
        onSubmit: this._onSubmit,
        onCancel: onCancel,
        isDisabled: this.state.url.length === 0,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 31,
          columnNumber: 11
        }
      }, /*#__PURE__*/_react.default.createElement(_Box.default, {
        marginBottom: 2,
        direction: "vertical",
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 37,
          columnNumber: 13
        }
      }, /*#__PURE__*/_react.default.createElement(_Input.default, {
        dataHook: "richtextarea-form-link-text",
        placeholder: texts.insertionForm.link.textInputPlaceholder,
        size: "small",
        value: this.state.text,
        onChange: event => this._setInputValue(event, 'text'),
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 38,
          columnNumber: 15
        }
      })), /*#__PURE__*/_react.default.createElement(_Input.default, {
        dataHook: "richtextarea-form-link-url",
        placeholder: texts.insertionForm.link.urlInputPlaceholder,
        size: "small",
        value: this.state.url,
        onChange: event => this._setInputValue(event, 'url'),
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 46,
          columnNumber: 13
        }
      }));
    });
  }
  _setInputValue(event, key) {
    var {
      target: {
        value
      }
    } = event;
    this.setState({
      [key]: value
    });
  }
}
var _default = exports.default = RichTextInputAreaLinkForm;
//# sourceMappingURL=RichTextInputAreaLinkForm.js.map