"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.toggleButtonPrivateDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var toggleButtonPrivateDriverFactory = base => {
  return {
    exists: function () {
      var _exists = (0, _asyncToGenerator2.default)(function* () {
        return yield base.exists();
      });
      function exists() {
        return _exists.apply(this, arguments);
      }
      return exists;
    }(),
    getToggleText: function () {
      var _getToggleText = (0, _asyncToGenerator2.default)(function* () {
        return yield base.text();
      });
      function getToggleText() {
        return _getToggleText.apply(this, arguments);
      }
      return getToggleText;
    }(),
    prefixExists: function () {
      var _prefixExists = (0, _asyncToGenerator2.default)(function* () {
        return yield base.$('[data-hook="prefix"]').exists();
      });
      function prefixExists() {
        return _prefixExists.apply(this, arguments);
      }
      return prefixExists;
    }(),
    childExists: function () {
      var _childExists = (0, _asyncToGenerator2.default)(function* (selector) {
        return yield base.$(selector).exists();
      });
      function childExists(_x) {
        return _childExists.apply(this, arguments);
      }
      return childExists;
    }(),
    isSelected: function () {
      var _isSelected = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.attr('data-selected')) === 'true';
      });
      function isSelected() {
        return _isSelected.apply(this, arguments);
      }
      return isSelected;
    }(),
    click: function () {
      var _click = (0, _asyncToGenerator2.default)(function* () {
        return yield base.click();
      });
      function click() {
        return _click.apply(this, arguments);
      }
      return click;
    }(),
    getNative: function () {
      var _getNative = (0, _asyncToGenerator2.default)(function* () {
        return yield base.getNative();
      });
      function getNative() {
        return _getNative.apply(this, arguments);
      }
      return getNative;
    }()
  };
};
exports.toggleButtonPrivateDriverFactory = toggleButtonPrivateDriverFactory;
//# sourceMappingURL=ToggleButton.private.uni.driver.js.map