"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.toggleIconPrivateDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var toggleIconPrivateDriverFactory = base => {
  var element = base.$('[data-hook="toggle-icon"]');
  return {
    exists: function () {
      var _exists = (0, _asyncToGenerator2.default)(function* () {
        return yield element.exists();
      });
      function exists() {
        return _exists.apply(this, arguments);
      }
      return exists;
    }(),
    childExists: function () {
      var _childExists = (0, _asyncToGenerator2.default)(function* (selector) {
        return yield element.$(selector).exists();
      });
      function childExists(_x) {
        return _childExists.apply(this, arguments);
      }
      return childExists;
    }(),
    isSelected: function () {
      var _isSelected = (0, _asyncToGenerator2.default)(function* () {
        return (yield element.attr('data-selected')) === 'true';
      });
      function isSelected() {
        return _isSelected.apply(this, arguments);
      }
      return isSelected;
    }(),
    click: function () {
      var _click = (0, _asyncToGenerator2.default)(function* () {
        return yield element.click();
      });
      function click() {
        return _click.apply(this, arguments);
      }
      return click;
    }()
  };
};
exports.toggleIconPrivateDriverFactory = toggleIconPrivateDriverFactory;
//# sourceMappingURL=ToggleIcon.private.uni.driver.js.map