"use strict";

exports.__esModule = true;
exports.SIZE = exports.SEARCH_SIZE_BY_SIZE = exports.IMAGE_SIZE = exports.IMAGE_SHAPE = exports.DEFAULT_IMAGE_SIZE_BY_SIZE = void 0;
var SIZE = exports.SIZE = {
  small: 'small',
  medium: 'medium'
};
var IMAGE_SHAPE = exports.IMAGE_SHAPE = {
  rectangle: 'rectangle',
  circle: 'circle'
};
var IMAGE_SIZE = exports.IMAGE_SIZE = {
  tiny: 'tiny',
  small: 'small',
  large: 'large',
  portrait: 'portrait',
  cinema: 'cinema'
};
var SEARCH_SIZE_BY_SIZE = exports.SEARCH_SIZE_BY_SIZE = {
  [SIZE.small]: 'small',
  [SIZE.medium]: 'medium'
};
var DEFAULT_IMAGE_SIZE_BY_SIZE = exports.DEFAULT_IMAGE_SIZE_BY_SIZE = {
  [SIZE.small]: IMAGE_SIZE.tiny,
  [SIZE.medium]: IMAGE_SIZE.large
};
//# sourceMappingURL=constants.js.map