"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.sidePanelSectionDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../../test-utils/utils/unidriver");
var _SectionHeaderUni = require("../../SectionHeader/SectionHeader.uni.driver");
var _constants = require("../constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var sidePanelSectionDriverFactory = base => {
  var getHeader = () => (0, _SectionHeaderUni.sectionHeaderDriverFactory)((0, _unidriver.findByHook)(base, _constants.dataHooks.sidePanelSectionHeader));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Returns title value */
    getTitle: function () {
      var _getTitle = (0, _asyncToGenerator2.default)(function* () {
        var stringTitle = yield base.attr('data-title');
        var nodeTitle = (yield getHeader().exists()) ? yield getHeader().getTitle() : undefined;
        return stringTitle || nodeTitle;
      });
      function getTitle() {
        return _getTitle.apply(this, arguments);
      }
      return getTitle;
    }(),
    /** Returns titleVisible value */
    getTitleVisible: function () {
      var _getTitleVisible = (0, _asyncToGenerator2.default)(function* () {
        return getHeader().exists();
      });
      function getTitleVisible() {
        return _getTitleVisible.apply(this, arguments);
      }
      return getTitleVisible;
    }(),
    /** Returns ariaLabel value */
    getAriaLabel: function () {
      var _getAriaLabel = (0, _asyncToGenerator2.default)(function* () {
        return (yield base.get('div[role="group"]')).attr('aria-label');
      });
      function getAriaLabel() {
        return _getAriaLabel.apply(this, arguments);
      }
      return getAriaLabel;
    }()
  });
};
exports.sidePanelSectionDriverFactory = sidePanelSectionDriverFactory;
//# sourceMappingURL=Section.uni.driver.js.map