"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SidebarDividerSt = require("./SidebarDivider.st.css");
var _Divider = _interopRequireDefault(require("../Divider"));
var _SidebarAPI = require("../Sidebar/SidebarAPI");
var _constants = require("../Sidebar/constants");
var _constants2 = require("../Divider/constants");
var _context = require("../WixStyleReactProvider/context");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarDivider/SidebarDivider.js";
/** A divider within the sidebar that supports inner and full mode */
class SidebarDivider extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      fullWidth
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 26,
        columnNumber: 7
      }
    }, () => /*#__PURE__*/_react.default.createElement(_SidebarAPI.SidebarContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 28,
        columnNumber: 11
      }
    }, context => {
      var skin = context && context.getSkin() || _constants.sidebarSkins.dark;
      return /*#__PURE__*/_react.default.createElement("div", {
        "data-hook": dataHook,
        "data-full-width": fullWidth,
        className: (0, _SidebarDividerSt.st)(_SidebarDividerSt.classes.root, fullWidth ? _SidebarDividerSt.classes.fullWidth : ''),
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 33,
          columnNumber: 17
        }
      }, /*#__PURE__*/_react.default.createElement(_Divider.default, {
        skin: skin === _constants.sidebarSkins.light ? _constants2.skins.light : _constants2.skins.dark,
        className: _SidebarDividerSt.classes.divider,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 41,
          columnNumber: 19
        }
      }));
    }));
  }
}
SidebarDivider.displayName = 'SidebarDivider';
SidebarDivider.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** Indicates whether to remove the margin from sides */
  fullWidth: _propTypes.default.bool
};
var _default = exports.default = SidebarDivider;
//# sourceMappingURL=SidebarDivider.js.map