"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SidebarDividerNextSt = require("./SidebarDividerNext.st.css");
var _Divider = _interopRequireDefault(require("../Divider"));
var _SidebarNextContext = require("../SidebarNext/SidebarNextContext");
var _constants = require("./constants");
var _context = require("../WixStyleReactProvider/context");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarDividerNext/SidebarDividerNext.js";
/** A divider within the sidebar that supports inner and full mode */
class SidebarDividerNext extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      fullWidth
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 25,
        columnNumber: 7
      }
    }, () => /*#__PURE__*/_react.default.createElement(_SidebarNextContext.SidebarNextContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 11
      }
    }, context => {
      var skin = context && context.skin || _constants.skins.dark;
      return /*#__PURE__*/_react.default.createElement("div", {
        "data-hook": dataHook,
        "data-skin": skin,
        "data-full-width": fullWidth,
        className: (0, _SidebarDividerNextSt.st)(_SidebarDividerNextSt.classes.root, fullWidth ? _SidebarDividerNextSt.classes.fullWidth : ''),
        "aria-hidden": "true",
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 32,
          columnNumber: 17
        }
      }, /*#__PURE__*/_react.default.createElement(_Divider.default, {
        className: (0, _SidebarDividerNextSt.st)(_SidebarDividerNextSt.classes.divider, {
          skin
        }),
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 42,
          columnNumber: 19
        }
      }));
    }));
  }
}
SidebarDividerNext.displayName = 'SidebarDividerNext';
SidebarDividerNext.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** Indicates whether to remove the margin from sides */
  fullWidth: _propTypes.default.bool
};
var _default = exports.default = SidebarDividerNext;
//# sourceMappingURL=SidebarDividerNext.js.map