"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SidebarHeaderNextSt = require("./SidebarHeaderNext.st.css");
var _constants = require("./constants");
var _Text = _interopRequireDefault(require("../Text"));
var _SidebarNextContext = require("../SidebarNext/SidebarNextContext");
var _constants2 = require("../SidebarNext/constants");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarHeaderNext/SidebarHeaderNext.js";
/** A header within the sidebar with title, subtitle and custom content at the bottom. */
var SidebarHeaderNext = _ref => {
  var {
    dataHook,
    className,
    title,
    subtitle,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_SidebarNextContext.SidebarNextContext.Consumer, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 3
    }
  }, context => {
    var skin = context && context.skin || _constants2.sidebarSkins.dark;
    return /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": dataHook,
      "data-skin": skin,
      className: (0, _SidebarHeaderNextSt.st)(_SidebarHeaderNextSt.classes.root, {
        skin
      }, className),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 23,
        columnNumber: 9
      }
    }, title && /*#__PURE__*/_react.default.createElement(_Text.default, {
      dataHook: _constants.dataHooks.title,
      className: _SidebarHeaderNextSt.classes.title,
      size: "medium",
      weight: "bold",
      ellipsis: typeof title === 'string',
      light: skin === _constants2.sidebarSkins.dark,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 13
      }
    }, title), subtitle && /*#__PURE__*/_react.default.createElement(_Text.default, {
      dataHook: _constants.dataHooks.subtitle,
      size: "tiny",
      weight: "thin",
      ellipsis: typeof subtitle === 'string',
      light: skin === _constants2.sidebarSkins.dark,
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 41,
        columnNumber: 13
      }
    }, subtitle), children);
  });
};
SidebarHeaderNext.displayName = 'SidebarHeaderNext';
SidebarHeaderNext.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the component's root element */
  className: _propTypes.default.string,
  /** A text to show as the header title */
  title: _propTypes.default.node,
  /** A text to show as the header subtitle */
  subtitle: _propTypes.default.node,
  /** A custom node to render from the bottom */
  children: _propTypes.default.node
};
var _default = exports.default = SidebarHeaderNext;
//# sourceMappingURL=SidebarHeaderNext.js.map