"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SidebarSectionTitleSt = require("./SidebarSectionTitle.st.css");
var _Text = _interopRequireDefault(require("../Text"));
var _SidebarAPI = require("../Sidebar/SidebarAPI");
var _constants = require("../Sidebar/constants");
var _context = require("../WixStyleReactProvider/context");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarSectionTitle/SidebarSectionTitle.js";
/** A title for the section within the sidebar */
class SidebarSectionTitle extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      children
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_context.WixStyleReactContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 25,
        columnNumber: 7
      }
    }, () => /*#__PURE__*/_react.default.createElement(_SidebarAPI.SidebarContext.Consumer, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 11
      }
    }, context => {
      var skin = context && context.getSkin() || _constants.sidebarSkins.dark;
      return /*#__PURE__*/_react.default.createElement(_Text.default, {
        dataHook: dataHook,
        className: (0, _SidebarSectionTitleSt.st)(_SidebarSectionTitleSt.classes.root, {
          skin
        }),
        size: "tiny",
        weight: "bold",
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 32,
          columnNumber: 17
        }
      }, children);
    }));
  }
}
SidebarSectionTitle.displayName = 'SidebarSectionTitle';
SidebarSectionTitle.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** Usually plain text, but could be any renderable node */
  children: _propTypes.default.node.isRequired
};
var _default = exports.default = SidebarSectionTitle;
//# sourceMappingURL=SidebarSectionTitle.js.map