"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SidebarNextContext = require("../SidebarNext/SidebarNextContext");
var _ContextMenu = require("./components/ContextMenu");
var _AccordionMenu = require("./components/AccordionMenu");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarSubMenuNext/SidebarSubMenuNext.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var SidebarSubMenuNext = props => {
  var context = (0, _react.useContext)(_SidebarNextContext.SidebarNextContext);
  if ((context == null ? void 0 : context.parent) === 'inContextMenu') {
    return /*#__PURE__*/_react.default.createElement(_ContextMenu.ContextMenu, (0, _extends2.default)({}, props, {
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12,
        columnNumber: 12
      }
    }));
  }
  return /*#__PURE__*/_react.default.createElement(_AccordionMenu.AccordionMenu, (0, _extends2.default)({}, props, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 10
    }
  }));
};
SidebarSubMenuNext.displayName = 'SidebarSubMenuNext';
SidebarSubMenuNext.propTypes = {
  /** render as some other component or DOM tag */
  as: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.object, _propTypes.default.string]),
  /** URL of the page that link goes to */
  href: _propTypes.default.string,
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the component's root element */
  className: _propTypes.default.string,
  /** Indicates whether to display the item as disabled */
  disabled: _propTypes.default.bool,
  /** A callback to be triggered on click */
  onClick: _propTypes.default.func,
  /** unique identifier per item, used to mark it for navigation and selection */
  itemKey: _propTypes.default.string,
  /** An element to appear as the title of the submenu */
  title: _propTypes.default.node,
  /** A callback to be triggered when the sub menu expands */
  onExpand: _propTypes.default.func,
  /** A callback to be triggered when the sub menu collapses */
  onCollapse: _propTypes.default.func,
  /** An element to appear at the end of the text */
  suffix: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.arrayOf(_propTypes.default.node)]),
  /** An element to appear at the start of the text. */
  prefix: _propTypes.default.node,
  /** A callback to be triggered when the quick nav opens */
  onQuickNavOpen: _propTypes.default.func
};
var _default = exports.default = SidebarSubMenuNext;
//# sourceMappingURL=SidebarSubMenuNext.js.map