"use strict";

exports.__esModule = true;
exports.getCompoundDataHook = exports.dataHooks = exports.SIDEBAR_SUBMENU_ANIMATION_TYPES = exports.ExpandCollapseTriggers = void 0;
var dataHooks = exports.dataHooks = {
  chevronRight: 'sidebar-submenu-chevron-right',
  sidebarItem: 'sidebar-item',
  submenu: 'submenu',
  submenuPopover: 'submenu-popover',
  suffix: 'sidebar-sub-menu-chevron',
  divider: 'divider',
  sidebarTitleItem: 'sidebar-title-item'
};
var ExpandCollapseTriggers = exports.ExpandCollapseTriggers = {
  click: 'click',
  select: 'select'
};
var SIDEBAR_SUBMENU_ANIMATION_TYPES = exports.SIDEBAR_SUBMENU_ANIMATION_TYPES = {
  OPENING: 'opening',
  CLOSING: 'closing',
  CLOSED: 'closed'
};
var getCompoundDataHook = (baseDataHook, nestedDataHook) => baseDataHook ? "".concat(baseDataHook, "/").concat(nestedDataHook) : nestedDataHook;
exports.getCompoundDataHook = getCompoundDataHook;
//# sourceMappingURL=constants.js.map