"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Text = _interopRequireDefault(require("../Text"));
var _SidebarTitleItemNextSt = require("./SidebarTitleItemNext.st.css");
var _constants = require("./constants");
var _SidebarNextContext = require("../SidebarNext/SidebarNextContext");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SidebarTitleItemNext/SidebarTitleItemNext.js",
  _this = void 0;
/** Sidebar title item */
var SidebarTitleItemNext = function SidebarTitleItemNext() {
  var {
    dataHook,
    children
  } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return /*#__PURE__*/_react.default.createElement(_SidebarNextContext.SidebarNextContext.Consumer, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  }, context => {
    var skin = context && context.skin || _constants.skins.dark;
    return /*#__PURE__*/_react.default.createElement(_Text.default, {
      dataHook: dataHook,
      "data-title-skin": skin,
      className: (0, _SidebarTitleItemNextSt.st)(_SidebarTitleItemNextSt.classes.root, {
        skin
      }),
      size: "tiny",
      weight: "bold",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 17,
        columnNumber: 11
      }
    }, children);
  });
};
SidebarTitleItemNext.displayName = 'SidebarTitleItemNext';
SidebarTitleItemNext.propTypes = {
  /** Applies a data-hook HTML attribute that can be used in tests. */
  dataHook: _propTypes.default.string
};
var _default = exports.default = SidebarTitleItemNext;
//# sourceMappingURL=SidebarTitleItemNext.js.map