export default Skeleton;
/**
 * Skeleton is a “placeholder” component.
 * Used for filling up screen usually for when some async operation is ongoing.
 */
declare class Skeleton extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace Skeleton {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let content: PropTypes.Validator<(PropTypes.InferProps<{
            type: PropTypes.Validator<string>;
            size: PropTypes.Validator<string>;
        }> | null | undefined)[]>;
        let alignment: PropTypes.Requireable<string>;
        let spacing: PropTypes.Requireable<string>;
    }
    namespace defaultProps {
        let alignment_1: string;
        export { alignment_1 as alignment };
        let spacing_1: string;
        export { spacing_1 as spacing };
        let content_1: {
            type: string;
            size: string;
        }[];
        export { content_1 as content };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Skeleton.d.ts.map