"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SkeletonGroupSt = require("./SkeletonGroup.st.css");
var _SkeletonGroupAPI = require("./SkeletonGroupAPI");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SkeletonGroup/SkeletonGroup.js";
/** SkeletonGroup */
class SkeletonGroup extends _react.default.PureComponent {
  render() {
    var {
      dataHook,
      className,
      skin,
      children,
      backgroundColor
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      "data-hook": dataHook,
      className: (0, _SkeletonGroupSt.st)(_SkeletonGroupSt.classes.root, className),
      style: {
        [_SkeletonGroupSt.vars['color']]: backgroundColor
      },
      "data-status": "loading",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 11,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react.default.createElement(_SkeletonGroupAPI.SkeletonGroupContext.Provider, {
      value: {
        skin
      },
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 19,
        columnNumber: 9
      }
    }, children), /*#__PURE__*/_react.default.createElement("div", {
      className: _SkeletonGroupSt.classes.animator,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 22,
        columnNumber: 9
      }
    }));
  }
}
SkeletonGroup.displayName = 'SkeletonGroup';
SkeletonGroup.propTypes = {
  /** Applied as data-hook HTML attribute that can be used in the tests */
  dataHook: _propTypes.default.string,
  /** A css class to be applied to the component's root element */
  className: _propTypes.default.string,
  /** Effects the color of the Skeleton */
  skin: _propTypes.default.oneOf(['dark', 'light']),
  /** The background on which the skeleton is rendered */
  backgroundColor: _propTypes.default.string
};
SkeletonGroup.defaultProps = {
  skin: 'light'
};
var _default = exports.default = SkeletonGroup;
//# sourceMappingURL=SkeletonGroup.js.map