"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SocialPostPreviewSt = require("./SocialPostPreview.st.css");
var _components = require("./components");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/SocialPostPreview/SocialPostPreview.tsx";
var skinToPostComponentMap = {
  facebook: _components.FacebookPost,
  instagram: _components.InstagramPost
};

/** SocialPostPreview */
var SocialPostPreview = _ref => {
  var {
    skin = 'facebook',
    className,
    dataHook,
    caption,
    media,
    profileName,
    profileImageSrc
  } = _ref;
  var PostComponent = skinToPostComponentMap[skin];
  return /*#__PURE__*/_react.default.createElement("div", {
    "aria-hidden": "true",
    "data-hook": dataHook,
    "data-skin": skin,
    "data-profile": profileImageSrc,
    className: (0, _SocialPostPreviewSt.st)(_SocialPostPreviewSt.classes.root, {}, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(PostComponent, {
    profileName,
    profileImageSrc,
    caption,
    media,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 32,
      columnNumber: 7
    }
  }));
};
SocialPostPreview.displayName = 'SocialPostPreview';
SocialPostPreview.propTypes = {
  profileName: _propTypes.default.node,
  profileImageSrc: _propTypes.default.string,
  skin: _propTypes.default.oneOf(['facebook', 'instagram']),
  caption: _propTypes.default.node,
  media: _propTypes.default.node,
  className: _propTypes.default.string,
  dataHook: _propTypes.default.string
};
var _default = exports.default = SocialPostPreview;
//# sourceMappingURL=SocialPostPreview.js.map