"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.socialPostPreviewDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var socialPostPreviewDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    // Returns skin value
    getSkin: () => base.attr('data-skin'),
    // Returns caption value
    getCaption: () => (0, _unidriver.findByHook)(base, _constants.dataHooks.socialPostPreviewCaption).text(),
    // Returns profile name value
    getProfileName: () => (0, _unidriver.findByHook)(base, _constants.dataHooks.socialPostPreviewProfileName).text(),
    // Returns profile image source value
    getProfileImageSrc: () => base.attr('data-profile')
  });
};
exports.socialPostPreviewDriverFactory = socialPostPreviewDriverFactory;
//# sourceMappingURL=SocialPostPreview.uni.driver.js.map