"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.sortableGridBaseUniDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var byDataHook = dataHook => "[data-hook=\"".concat(dataHook, "\"]");
var sortableGridBaseUniDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    startFixedElementExists: function () {
      var _startFixedElementExists = (0, _asyncToGenerator2.default)(function* () {
        return base.$(byDataHook(_constants.dataHooks.START_FIXED_ELEMENT)).exists();
      });
      function startFixedElementExists() {
        return _startFixedElementExists.apply(this, arguments);
      }
      return startFixedElementExists;
    }(),
    endFixedElementExists: function () {
      var _endFixedElementExists = (0, _asyncToGenerator2.default)(function* () {
        return base.$(byDataHook(_constants.dataHooks.END_FIXED_ELEMENT)).exists();
      });
      function endFixedElementExists() {
        return _endFixedElementExists.apply(this, arguments);
      }
      return endFixedElementExists;
    }()
  });
};
exports.sortableGridBaseUniDriverFactory = sortableGridBaseUniDriverFactory;
//# sourceMappingURL=SortableGridBase.uni.driver.js.map