"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.statusIndicatorDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _TooltipUni = require("../Tooltip/Tooltip.uni.driver");
var _constants = require("./constants");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var statusIndicatorDriverFactory = (base, body) => {
  var getTooltipDriver = () => (0, _TooltipUni.tooltipDriverFactory)(base.$("[data-hook=\"".concat(_constants.dataHooks.tooltip, "\"]")), body);
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base, body)), {}, {
    /** Returns the type of the status oneOf(error, warning, loading) */
    getStatus: () => base.attr('data-status'),
    /** Returns true iff a message was provided */
    hasMessage: () => getTooltipDriver().exists(),
    /** Returns the message text */
    getMessage: function () {
      var _getMessage = (0, _asyncToGenerator2.default)(function* () {
        return getTooltipDriver().getTooltipText();
      });
      function getMessage() {
        return _getMessage.apply(this, arguments);
      }
      return getMessage;
    }()
  });
};
exports.statusIndicatorDriverFactory = statusIndicatorDriverFactory;
//# sourceMappingURL=StatusIndicator.uni.driver.js.map