"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _wixUiIconsCommon = require("@wix/wix-ui-icons-common");
var _system = require("@wix/wix-ui-icons-common/system");
var _constants = require("../constants");
var _StepMarkerSt = require("./StepMarker.st.css");
var _excluded = ["number", "active", "type", "styleType", "hovered", "disabled", "className"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Stepper/components/StepMarker.js";
var StepMarker = _ref => {
  var {
      number,
      active,
      type,
      styleType,
      hovered,
      disabled,
      className
    } = _ref,
    otherProps = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var renderCompleted = () => /*#__PURE__*/_react.default.createElement(_wixUiIconsCommon.Confirm, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 33
    }
  });
  var renderNumber = () => "".concat(number).concat(styleType === _constants.Type.Text ? '.' : '');
  var renderError = () => styleType === _constants.Type.Text ? /*#__PURE__*/_react.default.createElement(_wixUiIconsCommon.StatusAlertFilled, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 7
    }
  }) : /*#__PURE__*/_react.default.createElement(_system.FormFieldErrorSmall, {
    size: "12px",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 7
    }
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _StepMarkerSt.st)(_StepMarkerSt.classes.root, {
      type,
      styleType,
      selected: active,
      hovered
    }, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 5
    }
  }, type === _constants.StepType.Error ? renderError() : type === _constants.StepType.Completed ? renderCompleted() : renderNumber());
};
var _default = exports.default = StepMarker;
//# sourceMappingURL=StepMarker.js.map