"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.dataTablePrivateUniDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _DataTableUni = require("./DataTable.uni.driver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var dataTablePrivateUniDriverFactory = base => {
  var getRows = () => base.$$('tbody tr[data-table-row="dataTableRow"]');
  var getRow = rowIndex => getRows().get(rowIndex);
  return _objectSpread(_objectSpread({}, (0, _DataTableUni.dataTableUniDriverFactory)(base)), {}, {
    getHeaderCell: index => base.$('thead').$$('th').get(index),
    getCell: (rowIndex, cellIndex) => getRow(rowIndex).$$('td').get(cellIndex)
  });
};
exports.dataTablePrivateUniDriverFactory = dataTablePrivateUniDriverFactory;
//# sourceMappingURL=DataTable.private.uni.driver.js.map