export default DataTableRow;
declare function DataTableRow(props: any): React.JSX.Element;
declare namespace DataTableRow {
    namespace propTypes {
        let rowData: PropTypes.Requireable<any>;
        let rowNum: PropTypes.Requireable<number>;
        let style: PropTypes.Requireable<object>;
        let className: PropTypes.Requireable<string>;
        let maskingClassNames: PropTypes.Requireable<any>;
        let isDragOverlay: PropTypes.Requireable<boolean>;
        let toggleRowDetails: PropTypes.Requireable<(...args: any[]) => any>;
        let showDetails: PropTypes.Requireable<boolean>;
        let rowProps: PropTypes.Requireable<object>;
        let onRowClick: PropTypes.Requireable<(...args: any[]) => any>;
        let onMouseEnterRow: PropTypes.Requireable<(...args: any[]) => any>;
        let onMouseLeaveRow: PropTypes.Requireable<(...args: any[]) => any>;
        let rowDataHook: PropTypes.Requireable<NonNullable<string | ((...args: any[]) => any) | null | undefined>>;
        let dynamicRowClass: PropTypes.Requireable<(...args: any[]) => any>;
        let isRowHighlight: PropTypes.Requireable<(...args: any[]) => any>;
        let rowDetails: PropTypes.Requireable<(...args: any[]) => any>;
        let rowClass: PropTypes.Requireable<string>;
        let headerRowClass: PropTypes.Requireable<string>;
        let headerClass: PropTypes.Requireable<string>;
        let columns: PropTypes.Requireable<any[]>;
        let selectedRowsIds: PropTypes.Requireable<(NonNullable<string | number | null | undefined> | null | undefined)[]>;
        let isRowSelected: PropTypes.Requireable<(...args: any[]) => any>;
        let isRowDisabled: PropTypes.Requireable<(...args: any[]) => any>;
        let dragAndDrop: PropTypes.Requireable<object>;
        let isDragAndDropDisabled: PropTypes.Requireable<boolean>;
        let virtualized: PropTypes.Requireable<boolean>;
        let stickyColumns: PropTypes.Requireable<number>;
        let hideHeader: PropTypes.Requireable<boolean>;
        let hideHeaderAccessible: PropTypes.Requireable<boolean>;
        let isApplyColumnWidthStyle: PropTypes.Requireable<boolean>;
    }
    let displayName: string;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=DataTableRow.d.ts.map