"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TableContent = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _defaultTo = _interopRequireDefault(require("lodash/defaultTo"));
var _DataTable = _interopRequireDefault(require("../DataTable"));
var _Table = require("../Table");
var _TableContext = require("../TableContext");
var _TableSt = require("../Table.st.css");
var _BulkSelection = require("../BulkSelection");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Table/components/TableContent.js";
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var TableContent = _ref => {
  var {
    titleBarVisible = true,
    titleBarDisplay = true,
    dataHook
  } = _ref;
  // TODO: figure out if we need to put result of createColumns() on state, in order to avoid
  // redundant renders.
  return /*#__PURE__*/_react.default.createElement(_TableContext.TableContext.Consumer, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }, tableProps => {
    var dataTableProps = _objectSpread(_objectSpread({}, (0, _Table.getDataTableProps)(tableProps)), {}, {
      dataHook: tableProps.withWrapper ? 'table-content' : dataHook,
      hideHeader: !titleBarVisible,
      hideHeaderAccessible: !titleBarDisplay
    });
    return /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _TableSt.st)(_TableSt.classes.content, {
        titleBarPresent: titleBarDisplay && titleBarVisible
      }),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 11
      }
    }, tableProps.showSelection ? /*#__PURE__*/_react.default.createElement(_BulkSelection.BulkSelectionConsumer, {
      consumerCompName: "Table.Content",
      providerCompName: "Table",
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 15
      }
    }, bulkSelectionContext => /*#__PURE__*/_react.default.createElement(_DataTable.default, (0, _extends2.default)({}, dataTableProps, {
      isRowSelected: (rowData, rowIndex) => bulkSelectionContext.isSelected((0, _defaultTo.default)(rowData.id, rowIndex)),
      columns: (0, _Table.createColumns)({
        tableProps,
        bulkSelectionContext
      }),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 40,
        columnNumber: 19
      }
    }))) : /*#__PURE__*/_react.default.createElement(_DataTable.default, (0, _extends2.default)({}, dataTableProps, {
      columns: (0, _Table.createColumns)({
        tableProps
      }),
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 55,
        columnNumber: 15
      }
    })));
  });
};
exports.TableContent = TableContent;
TableContent.displayName = 'Table.Content';
TableContent.propTypes = {
  titleBarVisible: _propTypes.default.bool,
  titleBarDisplay: _propTypes.default.bool,
  dataHook: _propTypes.default.string
};
//# sourceMappingURL=TableContent.js.map