export function TableEmptyState({ theme, image, children, align, ...propsWithNoDefaults }: {
    [x: string]: any;
    theme?: string | undefined;
    image?: null | undefined;
    children?: null | undefined;
    align?: string | undefined;
}): React.JSX.Element;
export namespace TableEmptyState {
    let displayName: string;
    let propTypes: {
        theme?: React.Validator<import("../../EmptyState").EmptyStateTheme | null | undefined> | undefined;
        title?: React.Validator<React.ReactNode> | undefined;
        subtitle?: React.Validator<React.ReactNode> | undefined;
        image?: React.Validator<string | React.JSX.Element | null | undefined> | undefined;
        children?: React.Validator<React.ReactNode> | undefined;
        classNames?: React.Validator<{
            imageContainer?: string;
        } | null | undefined> | undefined;
        dataHook?: React.Validator<string | null | undefined> | undefined;
        align?: React.Validator<import("../../EmptyState").EmptyStateAlign | null | undefined> | undefined;
        className?: React.Validator<string | null | undefined> | undefined;
    };
}
import React from 'react';
//# sourceMappingURL=TableEmptyState.d.ts.map