"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TableTitleBar = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _DataTable = require("../DataTable");
var _Table = require("../Table");
var _TableContext = require("../TableContext");
var _BulkSelection = require("../BulkSelection");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Table/components/TableTitleBar.js";
/**
 * TitleBar (aka DataTableHeader)
 */
var TableTitleBar = _ref => {
  var {
    dataHook
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_TableContext.TableContext.Consumer, {
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14,
      columnNumber: 5
    }
  }, tableProps => {
    var dataTableProps = (0, _Table.getDataTableProps)(tableProps);
    if (tableProps.showSelection) {
      return /*#__PURE__*/_react.default.createElement(_BulkSelection.BulkSelectionConsumer, {
        consumerCompName: "Table.TitleBar",
        providerCompName: "Table",
        __self: void 0,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 19,
          columnNumber: 13
        }
      }, bulkSelectionContext => /*#__PURE__*/_react.default.createElement("div", {
        "data-hook": "table-title-bar",
        __self: void 0,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 24,
          columnNumber: 17
        }
      }, /*#__PURE__*/_react.default.createElement(_DataTable.DataTableHeader, (0, _extends2.default)({}, dataTableProps, {
        columns: (0, _Table.createColumns)({
          tableProps,
          bulkSelectionContext
        }),
        dataHook: dataHook,
        __self: void 0,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 25,
          columnNumber: 19
        }
      }))));
    } else {
      return /*#__PURE__*/_react.default.createElement("div", {
        "data-hook": "table-title-bar",
        __self: void 0,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 39,
          columnNumber: 13
        }
      }, /*#__PURE__*/_react.default.createElement(_DataTable.DataTableHeader, (0, _extends2.default)({}, dataTableProps, {
        columns: (0, _Table.createColumns)({
          tableProps
        }),
        __self: void 0,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 40,
          columnNumber: 15
        }
      })));
    }
  });
};
exports.TableTitleBar = TableTitleBar;
TableTitleBar.displayName = 'Table.TitleBar';
TableTitleBar.propTypes = {
  dataHook: _propTypes.default.string
};
//# sourceMappingURL=TableTitleBar.js.map