"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Compounds = require("./Compounds");
var _TableToolbarSt = require("./TableToolbar.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/TableToolbar/TableToolbar.js";
var TableToolbar = _ref => {
  var {
    dataHook,
    className,
    removeVerticalPadding,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-hook": dataHook,
    className: (0, _TableToolbarSt.st)(_TableToolbarSt.classes.root, {
      removeVerticalPadding
    }, className),
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 3
    }
  }, children);
};
TableToolbar.propTypes = {
  /** Applies a CSS class to the component’s root element */
  className: _propTypes.default.string,
  /** Applies a data-hook HTML attribute to be used in the tests */
  dataHook: _propTypes.default.string,
  /** Removes vertical paddings from the component */
  removeVerticalPadding: _propTypes.default.bool
};
TableToolbar.ItemGroup = _Compounds.ItemGroup;
TableToolbar.Item = _Compounds.Item;
TableToolbar.Label = _Compounds.Label;
TableToolbar.SelectedCount = _Compounds.SelectedCount;
TableToolbar.Title = _Compounds.Title;
TableToolbar.Divider = _Compounds.Divider;
TableToolbar.displayName = 'TableToolbar';
var _default = exports.default = TableToolbar;
//# sourceMappingURL=TableToolbar.js.map