"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var TabPropTypes = _interopRequireWildcard(require("../constants/tab-prop-types"));
var _TabItem = _interopRequireDefault(require("../TabItem"));
var _withItemMaxWidth = _interopRequireDefault(require("../withItemMaxWidth"));
var _TabsSt = require("../../Tabs.st.css");
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/Tabs/core/TabItems/index.js";
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class TabItems extends _react.default.Component {
  renderItem(item) {
    var {
      activeId,
      type,
      width,
      onClick,
      itemMaxWidth,
      alignment,
      size
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_TabItem.default, {
      key: item.id,
      dataHook: item.dataHook,
      item: item,
      itemMaxWidth: itemMaxWidth,
      alignment: alignment,
      isActive: activeId === item.id,
      type: type,
      width: width,
      onItemClick: onClick,
      size: size,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 14,
        columnNumber: 7
      }
    });
  }
  render() {
    var {
      items,
      type,
      dataHook
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      role: "tablist",
      "data-type": type,
      "data-hook": dataHook,
      className: (0, _TabsSt.st)(_TabsSt.classes.itemsContainer, _TabsSt.classes[type]),
      style: {
        minWidth: this.props.minWidth
      },
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 33,
        columnNumber: 7
      }
    }, items.map(item => this.renderItem(item)));
  }
}
TabItems.propTypes = {
  activeId: TabPropTypes.activeId,
  dataHook: _propTypes.default.string,
  itemMaxWidth: _propTypes.default.number,
  items: TabPropTypes.items.isRequired,
  minWidth: TabPropTypes.width,
  type: TabPropTypes.type,
  width: TabPropTypes.width,
  onClick: TabPropTypes.onClick
};
var _default = exports.default = (0, _withItemMaxWidth.default)(TabItems);
//# sourceMappingURL=index.js.map