export default TagList;
/** TagList */
declare class TagList extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        isExpanded: any;
    };
    _toggleExpanded: () => void;
    _renderToggleMoreButton: () => React.JSX.Element | null;
    render(): React.JSX.Element;
}
declare namespace TagList {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let tags: PropTypes.Requireable<(object | null | undefined)[]>;
        let onTagRemove: PropTypes.Requireable<(...args: any[]) => any>;
        let size: PropTypes.Requireable<string>;
        let initiallyExpanded: PropTypes.Requireable<boolean>;
        let maxVisibleTags: PropTypes.Requireable<number>;
        let actionButton: PropTypes.Requireable<PropTypes.InferProps<{
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            label: PropTypes.Requireable<string>;
        }>>;
        let toggleMoreButton: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let size_1: string;
        export { size_1 as size };
        let initiallyExpanded_1: boolean;
        export { initiallyExpanded_1 as initiallyExpanded };
        let maxVisibleTags_1: number;
        export { maxVisibleTags_1 as maxVisibleTags };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=TagList.d.ts.map