"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.tagListDriverFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
var _ButtonUni = require("../Button/Button.uni.driver");
var _TagUni = require("../Tag/Tag.uni.driver");
var _dataHooks = _interopRequireDefault(require("./dataHooks"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var tagListDriverFactory = (base, body) => {
  var actionButton = (0, _ButtonUni.buttonDriverFactory)(base.$("[data-hook=\"".concat(_dataHooks.default.actionButton, "\"]")));
  var toggleMoreButton = (0, _ButtonUni.buttonDriverFactory)(base.$("[data-hook=\"".concat(_dataHooks.default.toggleMoreButton, "\"]")));
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base, body)), {}, {
    /** Get the action button label */
    actionButtonLabel: () => actionButton.getButtonTextContent(),
    /** Click action button */
    clickActionButton: () => actionButton.click(),
    /** Get if action button exists */
    actionButtonExists: () => actionButton.exists(),
    /** Get the toggle more button label */
    toggleMoreButtonLabel: () => toggleMoreButton.getButtonTextContent(),
    /** Click toggle more button */
    clickToggleMoreButton: () => toggleMoreButton.click(),
    /** Get if toggle more button exists */
    toggleMoreButtonExists: () => toggleMoreButton.exists(),
    /** Remove tag by id */
    removeTag: id => (0, _TagUni.tagUniDriverFactory)(base.$("#".concat(id))).removeTag()
  });
};
exports.tagListDriverFactory = tagListDriverFactory;
//# sourceMappingURL=TagList.uni.driver.js.map