"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _TagListAction = _interopRequireDefault(require("../TagListAction"));
var _Tooltip = _interopRequireDefault(require("../../Tooltip"));
var _TagListSt = require("../TagList.st.css");
var _excluded = ["label", "tooltipContent", "tooltipProps"];
var _jsxFileName = "/home/builduser/work/2084893ac9ffd449/packages/wix-style-react/dist/cjs/TagList/ToggleMoreButton/ToggleMoreButton.js";
var ToggleMoreButton = _ref => {
  var {
    toggleMoreButton,
    onClick,
    amountOfHiddenTags,
    isExpanded,
    dataHook,
    size
  } = _ref;
  var _toggleMoreButton = toggleMoreButton(amountOfHiddenTags, isExpanded),
    {
      label,
      tooltipContent,
      tooltipProps
    } = _toggleMoreButton,
    props = (0, _objectWithoutProperties2.default)(_toggleMoreButton, _excluded);
  var button = /*#__PURE__*/_react.default.createElement(_TagListAction.default, (0, _extends2.default)({
    size: size,
    skin: "standard",
    priority: "secondary"
  }, props, {
    dataHook: dataHook,
    onClick: onClick,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 5
    }
  }), label);
  if (tooltipContent) {
    return /*#__PURE__*/_react.default.createElement(_Tooltip.default, (0, _extends2.default)({
      content: tooltipContent,
      className: _TagListSt.classes.item
    }, tooltipProps, {
      __self: void 0,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 7
      }
    }), button);
  }
  return button;
};
ToggleMoreButton.displayName = 'ToggleMoreButton';
ToggleMoreButton.propTypes = {
  toggleMoreButton: _propTypes.default.func.isRequired,
  onClick: _propTypes.default.func.isRequired,
  amountOfHiddenTags: _propTypes.default.number.isRequired,
  isExpanded: _propTypes.default.bool,
  dataHook: _propTypes.default.string
};
var _default = exports.default = ToggleMoreButton;
//# sourceMappingURL=ToggleMoreButton.js.map