export function getFormattedDate({ value, timeStyle, locale }: {
    value: any;
    timeStyle: any;
    locale: any;
}): string;
export function getTimeSlot({ value, timeStyle, locale }: {
    value: any;
    timeStyle: any;
    locale: any;
}): {
    id: number;
    value: string;
};
export function getTimeSlots({ value, timeStyle, locale, step, }: {
    value?: Date | undefined;
    timeStyle: any;
    locale: any;
    step: any;
}): {
    id: number;
    value: string;
}[];
export function getClosestTimeSlot({ value, timeSlots, }: {
    value?: Date | undefined;
    timeSlots: any;
}): any;
export function getCustomTimeSlot({ value, timeSlot, timeStyle, locale }: {
    value: any;
    timeSlot: any;
    timeStyle: any;
    locale: any;
}): {
    id: number;
    value: string;
} | undefined;
export function removeIrrelevantCharacters(input: any): any;
export function getAutoFilledValue({ inputValue, suggestedOption, locale }: {
    inputValue: any;
    suggestedOption: any;
    locale: any;
}): any;
export function getSuggestedOption({ inputValue, timeSlots, locale }: {
    inputValue: any;
    timeSlots: any;
    locale: any;
}): any;
export function isInputInvalid(inputValue: any): boolean;
export function getTimeFilter({ excludePastTimes, filterTime, }: {
    excludePastTimes: any;
    filterTime?: (() => boolean) | undefined;
}): (time: any) => boolean;
//# sourceMappingURL=TimeInputUtils.d.ts.map