export default TimelineItem;
/** A timeline item is a display of a timeline event */
declare class TimelineItem extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
declare namespace TimelineItem {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let idx: PropTypes.Requireable<number>;
        let item: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
            /** event text - could be a node or a string */
            label: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            /** action element in the end of event text */
            labelAction: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            /**  TODO: still in development. custom bullet element like icon or avatar */
            customPrefix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            /** suffix text or element placed on the right */
            suffix: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
        }>>>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=TimelineItem.d.ts.map