export default ToggleSwitch;
/** toggle switch */
declare class ToggleSwitch extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applies a data-hook HTML attribute that can be used in the tests. */
        dataHook: PropTypes.Requireable<string>;
        /** Specifies a CSS class name to be appended to the component’s root element. */
        className: PropTypes.Requireable<string>;
        /** Assigns an unique identifier for the root element. */
        id: PropTypes.Requireable<string>;
        /** Controls the skin of a toggle. */
        skin: PropTypes.Requireable<string>;
        /** Controls the size of a toggle. */
        size: PropTypes.Requireable<string>;
        /** Specifies whether toggle is checked. */
        checked: PropTypes.Requireable<boolean>;
        /** Specifies whether toggle is disabled. */
        disabled: PropTypes.Requireable<boolean>;
        /** Defines a callback function which is called every time toggle state changes. */
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        /** Indicates that element can be focused and where it participates in sequential keyboard navigation. */
        tabIndex: PropTypes.Requireable<number>;
    };
    static defaultProps: {
        skin: string;
        size: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=ToggleSwitch.d.ts.map