"use strict";

exports.__esModule = true;
exports.togglePrivateDriverFactory = void 0;
var _constants = require("../constants");
var _unidriver = require("../../test-utils/utils/unidriver");
var togglePrivateDriverFactory = base => {
  var {
    element,
    exists
  } = (0, _unidriver.baseUniDriverFactory)(base);
  return {
    exists,
    element,
    getToggleStyles: () => base.$$("[data-hook=\"".concat(_constants.dataHooks.toggleStyles, "\"]")).map(div => div.attr('style')),
    getContentText: () => base.text()
  };
};
exports.togglePrivateDriverFactory = togglePrivateDriverFactory;
//# sourceMappingURL=Toggle.private.uni.driver.js.map