"use strict";

exports.__esModule = true;
exports.timingMap = exports.easingMap = exports.dataHooks = void 0;
var dataHooks = exports.dataHooks = {
  fadeStyles: 'fadeStyles',
  moveStyles: 'moveStyles',
  toggleStyles: 'toggleStyles',
  scaleStyles: 'scaleStyles',
  transition: 'transition'
};
var easingMap = exports.easingMap = {
  standardEasing: 'cubic-bezier(0.4, 0.0, 0.2, 1)',
  enterEasing: 'cubic-bezier(0.0, 0.0, 0.2, 1)',
  exitEasing: 'cubic-bezier(0.4, 0.0, 1, 1)'
};
var timingMap = exports.timingMap = {
  short: 100,
  medium: 150,
  long: 200,
  fast01: 100,
  fast02: 150,
  medium01: 200,
  medium02: 300,
  slow01: 450,
  slow02: 600
};
//# sourceMappingURL=constants.js.map