"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.verticalTabsItemDriverFactory = void 0;
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _unidriver = require("../test-utils/utils/unidriver");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var verticalTabsItemDriverFactory = base => {
  return _objectSpread(_objectSpread({}, (0, _unidriver.baseUniDriverFactory)(base)), {}, {
    /** Get the item's text */
    getText: function () {
      var _getText = (0, _asyncToGenerator2.default)(function* () {
        return base.$('[data-hook="vertical-tabs-item-text"]').text();
      });
      function getText() {
        return _getText.apply(this, arguments);
      }
      return getText;
    }(),
    /** Keydown with Enter key */
    pressEnterKey: function () {
      var _pressEnterKey = (0, _asyncToGenerator2.default)(function* () {
        return base.pressKey('Enter');
      });
      function pressEnterKey() {
        return _pressEnterKey.apply(this, arguments);
      }
      return pressEnterKey;
    }()
  });
};
exports.verticalTabsItemDriverFactory = verticalTabsItemDriverFactory;
//# sourceMappingURL=VerticalTabsItem.uni.driver.js.map