"use strict";

exports.__esModule = true;
exports.getScrollAreaY = void 0;
var _constants = require("./constants");
var getScrollAreaY = _ref => {
  var {
    scrollHeight,
    clientHeight,
    scrollTop
  } = _ref;
  if (scrollHeight <= clientHeight) {
    return _constants.AreaY.NONE;
  } else if (scrollTop === 0) {
    return _constants.AreaY.TOP;
  } else if (scrollHeight - scrollTop === clientHeight) {
    return _constants.AreaY.BOTTOM;
  } else {
    return _constants.AreaY.MIDDLE;
  }
};
exports.getScrollAreaY = getScrollAreaY;
//# sourceMappingURL=scrollAreaLogic.js.map