"use strict";

exports.__esModule = true;
exports.default = void 0;
var originalClipboard = typeof navigator === 'undefined' ? {} : navigator.clipboard;
var install = () => {
  if (typeof navigator === 'undefined') {
    return;
  }
  navigator.clipboard = {
    writeText: () => Promise.resolve()
  };
};
var uninstall = () => {
  navigator.clipboard = originalClipboard;
};
var _default = exports.default = {
  install,
  uninstall
};
//# sourceMappingURL=clipboard.js.map