"use strict";

exports.__esModule = true;
exports.default = void 0;
var originalScrollTo = typeof window === 'undefined' ? function () {} : window.scrollTo;
var install = () => {
  if (typeof window === 'undefined') {
    return;
  }

  // TODO: Apply a polyfill instead of stubbing the function
  window.scrollTo = () => {};
};
var uninstall = () => {
  window.scrollTo = originalScrollTo;
};
var _default = exports.default = {
  install,
  uninstall
};
//# sourceMappingURL=scroll-behavior.js.map