export default class InfiniteScroll extends React.Component<any, any, any> {
    static propTypes: {
        hasMore: PropTypes.Requireable<boolean>;
        initialLoad: PropTypes.Requireable<boolean>;
        data: PropTypes.Requireable<any[]>;
        loadMore: PropTypes.Validator<(...args: any[]) => any>;
        pageStart: PropTypes.Requireable<number>;
        threshold: PropTypes.Requireable<number>;
        useWindow: PropTypes.Requireable<boolean>;
        isReverse: PropTypes.Requireable<boolean>;
        scrollElement: PropTypes.Requireable<object>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        loader: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    static defaultProps: {
        hasMore: boolean;
        initialLoad: boolean;
        pageStart: number;
        threshold: number;
        useWindow: boolean;
        isReverse: boolean;
        scrollElement: null;
    };
    constructor(props: any);
    scrollListener(): void;
    componentDidMount(): void;
    pageLoaded: any;
    componentDidUpdate(prevProps: any): void;
    render(): React.ReactElement<{
        ref: (node: any) => any;
        'data-hook': any;
    }, string | React.JSXElementConstructor<any>>;
    scrollComponent: any;
    calculateTopPosition(el: any): any;
    attachScrollListener(): void;
    detachScrollListener: () => void;
    componentWillUnmount(): void;
    setDefaultLoader(loader: any): void;
    _defaultLoader: any;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=InfiniteScroll.d.ts.map