"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = pickBy;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _identity = _interopRequireDefault(require("./identity"));
var _isObject = _interopRequireDefault(require("./isObject"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2.default)(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function pickBy(obj) {
  var predicate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _identity.default;
  if (!(0, _isObject.default)(obj) || typeof predicate !== 'function') {
    return {};
  }
  return Object.keys(obj).reduce((acc, key) => {
    if (predicate(obj[key], key)) {
      return _objectSpread(_objectSpread({}, acc), {}, {
        [key]: obj[key]
      });
    }
    return acc;
  }, {});
}
//# sourceMappingURL=pickBy.js.map