"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var install = function install() {
  if (window && !window.matchMedia) {
    window.matchMedia = function () {
      return {
        matches: false,
        addListener: function addListener() {},
        removeListener: function removeListener() {}
      };
    };
  }
  global.matchMedia = global.matchMedia || window.matchMedia;
};
var uninstall = function uninstall() {
  delete global.matchMedia;
};
var _default = exports["default"] = {
  install: install,
  uninstall: uninstall
};