"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var originalScrollTo = typeof window === 'undefined' ? function () {} : window.scrollTo;
var install = function install() {
  if (typeof window === 'undefined') {
    return;
  }

  // TODO: Apply a polyfill instead of stubbing the function
  window.scrollTo = function () {};
};
var uninstall = function uninstall() {
  window.scrollTo = originalScrollTo;
};
var _default = exports["default"] = {
  install: install,
  uninstall: uninstall
};