"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var originalGetSelection = typeof window === 'undefined' ? function () {} : window.getSelection;
var install = function install() {
  if (typeof window === 'undefined') {
    return;
  }
  window.getSelection = function () {
    return {
      addRange: function addRange() {},
      removeAllRanges: function removeAllRanges() {}
    };
  };
};
var uninstall = function uninstall() {
  window.getSelection = originalGetSelection;
};
var _default = exports["default"] = {
  install: install,
  uninstall: uninstall
};