import { UniDriver } from '@wix/wix-ui-test-utils/dist/types/unidriver';
export declare const addressInputItemDriverFactory: (base: UniDriver) => {
    /** Get prefix */
    getPrefix: () => Promise<UniDriver<any>>;
    /** Get main label Text */
    getMainLabelText: () => Promise<string>;
    /** Get secondary label Text */
    getSecondaryLabelText: () => Promise<string | undefined>;
    /** Get suffix */
    getSuffix: () => Promise<UniDriver<any>>;
    exists: () => Promise<boolean>;
    element: () => Promise<any>;
    click: () => Promise<void>;
};
export type AddressInputItemUniDriver = ReturnType<typeof addressInputItemDriverFactory>;
//# sourceMappingURL=AddressInputItem.uni.driver.d.ts.map