import { BaseUniDriver, UniDriver } from '@wix/wix-ui-test-utils/unidriver';
export interface ButtonCoreDriver extends BaseUniDriver {
    getButtonTextContent(): Promise<string>;
    isButtonDisabled(): Promise<boolean>;
    isDisabled(): Promise<boolean>;
    isFocused(): Promise<boolean>;
    isPrefixIconExists(): Promise<boolean>;
    isSuffixIconExists(): Promise<boolean>;
    focus(): Promise<void>;
    getHref(): Promise<string | null>;
    getTabIndex(): Promise<string | null>;
    getTagName(): Promise<string | null>;
    getType(): Promise<string | null>;
    hasPrefixClass(className: string): Promise<boolean>;
    hasSuffixClass(className: string): Promise<boolean>;
}
export declare const buttonCoreDriverFactory: (base: UniDriver) => ButtonCoreDriver;
//# sourceMappingURL=ButtonCore.uni.driver.d.ts.map