export default Tab;
declare class Tab extends React.PureComponent<any, any, any> {
    static propTypes: {
        /** Specifies an unique id for a tab button. Use it to differentiate between tabs */
        id: PropTypes.Validator<string>;
        /** Renders any content inside of a tab. */
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        /** Defines the title of the tab. */
        name: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        /** Specifies whether the tab button is disabled. */
        disabled: PropTypes.Requireable<boolean>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Tab.d.ts.map