export default ComposerSidebar;
/** ComposerSidebar */
declare class ComposerSidebar extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    _renderItem(item: any): React.JSX.Element;
    _renderSection: ({ section: { items, sectionTitle }, showSectionTitles, }: {
        section: {
            items: any;
            sectionTitle: any;
        };
        showSectionTitles?: boolean | undefined;
    }) => React.JSX.Element;
    _renderSections: (sections: any) => React.JSX.Element;
    _separateToSections: (items: any) => {
        sectionTitle: any;
        items: any;
    }[];
    render(): React.JSX.Element;
}
declare namespace ComposerSidebar {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let labelPlacement: PropTypes.Requireable<string>;
        let labelTooltipProps: PropTypes.Requireable<object>;
        let size: PropTypes.Requireable<string>;
        let selectedId: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let items: PropTypes.Requireable<(PropTypes.InferProps<{
            id: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            label: PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            disabled: PropTypes.Requireable<boolean>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            sectionTitle: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        let onClick: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let labelPlacement_1: string;
        export { labelPlacement_1 as labelPlacement };
        let selectedId_1: null;
        export { selectedId_1 as selectedId };
        let items_1: never[];
        export { items_1 as items };
        let size_1: string;
        export { size_1 as size };
        export function onClick_1(): void;
        export { onClick_1 as onClick };
        export namespace labelTooltipProps_1 {
            let placement: string;
        }
        export { labelTooltipProps_1 as labelTooltipProps };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=ComposerSidebar.d.ts.map