export default DragDropContextProvider;
declare class DragDropContextProvider extends React.Component<any, any, any> {
    static propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        backend: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        backend: import("dnd-core").BackendFactory;
    };
    static contextTypes: {
        dragDropManager: PropTypes.Requireable<object>;
    };
    static childContextTypes: {
        dragDropManager: PropTypes.Requireable<object>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    getManager(): any;
    getChildContext(): {
        dragDropManager: any;
    };
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=DragDropContextProvider.d.ts.map