export default FilePicker;
/**
 * # `<FilePicker/>`
 *
 * Component that opens system browser dialog for choosing files to upload
 */
declare class FilePicker extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        selectedFileName: any;
    };
    id: any;
    /** A callback which is invoked every time a file is chosen */
    onChooseFile(file: any): void;
    render(): React.JSX.Element;
}
declare namespace FilePicker {
    let displayName: string;
    namespace defaultProps {
        let mainLabel: string;
        let subLabel: string;
        function onChange(): void;
        let supportedFormats: string;
        let errorMessage: string;
        let maxSize: number;
    }
    namespace propTypes {
        export let dataHook: PropTypes.Requireable<string>;
        export let error: PropTypes.Requireable<boolean>;
        let errorMessage_1: PropTypes.Requireable<string>;
        export { errorMessage_1 as errorMessage };
        export let header: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
        export let id: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        let mainLabel_1: PropTypes.Requireable<string>;
        export { mainLabel_1 as mainLabel };
        let maxSize_1: PropTypes.Requireable<number>;
        export { maxSize_1 as maxSize };
        export let name: PropTypes.Requireable<string>;
        let onChange_1: PropTypes.Requireable<(...args: any[]) => any>;
        export { onChange_1 as onChange };
        let subLabel_1: PropTypes.Requireable<string>;
        export { subLabel_1 as subLabel };
        let supportedFormats_1: PropTypes.Requireable<string>;
        export { supportedFormats_1 as supportedFormats };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=FilePicker.d.ts.map