import React from 'react';
import { StatusType } from '.';
type StatusContextProps = {
    status?: StatusType | null;
    ariaLabelledBy?: string | null;
    ariaDescribedBy?: string | null;
};
export declare const StatusContext: React.Context<StatusContextProps>;
export declare const getStatusFromContext: ({ status }: StatusContextProps, propsStatus: string) => string | null | undefined;
export declare const getAriaAttributesFromContext: ({ ariaLabelledBy, ariaDescribedBy, }: StatusContextProps) => {
    'aria-describedby'?: string | undefined;
    'aria-labelledby'?: string | undefined;
};
export {};
//# sourceMappingURL=StatusContext.d.ts.map