export default HorizontalTimeline;
declare class HorizontalTimeline extends React.PureComponent<any, any, any> {
    static displayName: string;
    static DefaultIcon: ({ skin }: {
        skin?: string | undefined;
    }) => React.JSX.Element;
    static ActiveIcon: ({ skin }: {
        skin?: string | undefined;
    }) => React.JSX.Element;
    static BoundaryIcon: ({ skin }: {
        skin?: string | undefined;
    }) => React.JSX.Element;
    static DestructiveIcon: () => React.JSX.Element;
    static CompleteIcon: ({ skin }: {
        skin?: string | undefined;
    }) => React.JSX.Element;
    static defaultProps: {
        skin: string;
        alignLabel: string;
        items: never[];
    };
    constructor(props: any);
    constructor(props: any, context: any);
    _renderLine: ({ skin, line }: {
        skin: any;
        line: any;
    }) => React.JSX.Element;
    _renderLabel: ({ label, index, labelEllipsis }: {
        label: any;
        index: any;
        labelEllipsis: any;
    }) => React.JSX.Element;
    render(): React.JSX.Element;
}
declare namespace HorizontalTimeline {
    namespace propTypes {
        let skin: PropTypes.Requireable<string>;
        let alignLabel: PropTypes.Requireable<string>;
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let items: PropTypes.Requireable<(PropTypes.InferProps<{
            /** item's skin (deprecated)*/
            skin: PropTypes.Requireable<string>;
            /** item's line type */
            line: PropTypes.Requireable<string>;
            /** item's text */
            label: PropTypes.Validator<NonNullable<NonNullable<PropTypes.ReactNodeLike>>>;
            /** item's icon */
            icon: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            /** custom width for item */
            width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
            /** Ellipsis for item's label */
            labelEllipsis: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=HorizontalTimeline.d.ts.map