export function listItemEditableBuilder({ id, dataHook, className, size, placeholder, onApprove, onCancel, onChange, cancelButtonTooltipContent, cancelButtonTooltipProps, approveButtonTooltipContent, approveButtonTooltipProps, approveButtonDisabledOnEmpty, status, statusMessage, margins, suffix, autoFocus, onEnterPressed, }: {
    id: any;
    dataHook: any;
    className: any;
    size: any;
    placeholder: any;
    onApprove: any;
    onCancel: any;
    onChange: any;
    cancelButtonTooltipContent: any;
    cancelButtonTooltipProps: any;
    approveButtonTooltipContent: any;
    approveButtonTooltipProps: any;
    approveButtonDisabledOnEmpty: any;
    status: any;
    statusMessage: any;
    margins: any;
    suffix: any;
    autoFocus: any;
    onEnterPressed: any;
}): {
    id: any;
    disabled: boolean;
    overrideOptionStyle: boolean;
    value: (props: any) => React.JSX.Element;
};
export default ListItemEditable;
import React from 'react';
/** ListItemEditable */
declare class ListItemEditable extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        value: any;
    };
    /**
     * Callback triggered when input value is changed
     * @param event (Event)
     * @private
     */
    private _onInputChange;
    /**
     * Callback triggered when approved button is clicked
     * @private
     */
    private _onApproveClicked;
    _renderInput: () => React.JSX.Element;
    _renderCancelButton: () => React.JSX.Element;
    _renderApproveButton: () => React.JSX.Element;
    render(): React.JSX.Element;
}
declare namespace ListItemEditable {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let value: PropTypes.Requireable<string>;
        let placeholder: PropTypes.Requireable<string>;
        let onApprove: PropTypes.Validator<(...args: any[]) => any>;
        let onCancel: PropTypes.Validator<(...args: any[]) => any>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
        let cancelButtonTooltipContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let cancelButtonTooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        let status: PropTypes.Requireable<string>;
        let size: PropTypes.Requireable<string>;
        let approveButtonTooltipContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let approveButtonTooltipProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        let approveButtonDisabledOnEmpty: PropTypes.Requireable<boolean>;
        let statusMessage: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let margins: PropTypes.Requireable<string>;
        let suffix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let autoFocus: PropTypes.Requireable<boolean>;
        let onEnterPressed: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let size_1: string;
        export { size_1 as size };
        let margins_1: string;
        export { margins_1 as margins };
        export function onApprove_1(): {};
        export { onApprove_1 as onApprove };
        export function onCancel_1(): {};
        export { onCancel_1 as onCancel };
        let approveButtonDisabledOnEmpty_1: boolean;
        export { approveButtonDisabledOnEmpty_1 as approveButtonDisabledOnEmpty };
    }
}
import PropTypes from 'prop-types';
//# sourceMappingURL=ListItemEditable.d.ts.map