export default Loader;
declare class Loader extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        /** Applies a data-hook HTML attribute to be used in the tests */
        dataHook: PropTypes.Requireable<string>;
        /** Controls the size of the loader */
        size: PropTypes.Requireable<string>;
        /** Controls the skin of the loader */
        color: PropTypes.Requireable<string>;
        /** Defines a text message to show below the loader */
        text: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** Specifies the status of a loader */
        status: PropTypes.Requireable<string>;
        /** Defines the message that explains the current status of the loader. Message will be displayed on loader hover. If not given or empty there will be no tooltip. */
        statusMessage: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        size: string;
        color: string;
        status: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=Loader.d.ts.map