export default MessageBoxMarketerialLayout;
declare class MessageBoxMarketerialLayout extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): React.JSX.Element;
    _renderButtons: (newColorsBranding: any) => React.JSX.Element;
}
declare namespace MessageBoxMarketerialLayout {
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let title: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let content: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        let primaryButtonLabel: PropTypes.Requireable<string>;
        let primaryButtonDisabled: PropTypes.Requireable<boolean>;
        let primaryButtonNode: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let secondaryButtonLabel: PropTypes.Requireable<string>;
        let onPrimaryButtonClick: PropTypes.Requireable<(...args: any[]) => any>;
        let onSecondaryButtonClick: PropTypes.Requireable<(...args: any[]) => any>;
        let imageUrl: PropTypes.Requireable<string>;
        let onClose: PropTypes.Validator<(...args: any[]) => any>;
        let imageComponent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let footerBottomChildren: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        let theme: PropTypes.Requireable<string>;
        let primaryButtonTheme: PropTypes.Requireable<string>;
        let removeButtonsPadding: PropTypes.Requireable<boolean>;
        let width: PropTypes.Requireable<string>;
        let noBodyPadding: PropTypes.Requireable<boolean>;
    }
    namespace defaultProps {
        let theme_1: string;
        export { theme_1 as theme };
        let removeButtonsPadding_1: boolean;
        export { removeButtonsPadding_1 as removeButtonsPadding };
        let width_1: string;
        export { width_1 as width };
        let noBodyPadding_1: boolean;
        export { noBodyPadding_1 as noBodyPadding };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=MessageBoxMarketerialLayout.d.ts.map