import { InputValue, MinValue, MaxValue } from '../NumberInput.types';
export declare const defaultValueToNullIfEmpty: (value: InputValue, defaultValue: InputValue) => string | number;
export declare const defaultValueToNullIfInvalidNumber: (value: string | number) => null | number;
export declare const normalizeValue: (value: string) => string;
export declare const isInRange: ({ value, minValue, maxValue, }: {
    value: number;
    minValue: MinValue;
    maxValue: MaxValue;
}) => boolean;
export declare const validateValue: ({ value, minValue, maxValue, }: {
    value: InputValue;
    minValue: MinValue;
    maxValue: MaxValue;
}) => {
    hasError: boolean;
    validationType?: "outOfBoundsError" | "formatError";
};
//# sourceMappingURL=index.d.ts.map