import React from 'react';
import PropTypes from 'prop-types';
import { SocialPostPreviewProps } from './SocialPostPreview.types';
/** SocialPostPreview */
declare const SocialPostPreview: {
    ({ skin, className, dataHook, caption, media, profileName, profileImageSrc, }: SocialPostPreviewProps): React.JSX.Element;
    displayName: string;
    propTypes: {
        profileName: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        profileImageSrc: PropTypes.Requireable<string>;
        skin: PropTypes.Requireable<string>;
        caption: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        media: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        dataHook: PropTypes.Requireable<string>;
    };
};
export default SocialPostPreview;
//# sourceMappingURL=SocialPostPreview.d.ts.map