export default StarsRatingBar;
/** Star Rating Component  */
declare class StarsRatingBar extends React.PureComponent<any, any, any> {
    constructor(props: any);
    state: {
        starsRatingBarSize: any;
        hoveredStarIndex: number;
    };
    componentDidUpdate(prevProps: any): void;
    _getStarsRatingBarSize: () => any;
    _getReadOnlyModeStarsSize: () => any;
    _getInteractiveModeStarsSize: () => string;
    _onStarIconClick: (ratingValue: any) => void;
    _onMouseEnter: (ratingValue: any) => void;
    _onMouseLeave: () => void;
    _handleFocus: (ratingValue: any) => void;
    _handleBlur: () => void;
    _renderStars: () => React.JSX.Element[];
    _renderReadOnlyModeStar: (ratingValue: any) => React.JSX.Element;
    _shouldShowRateCaption: () => boolean;
    _renderRateCaption: () => React.JSX.Element;
    render(): React.JSX.Element;
}
declare namespace StarsRatingBar {
    let displayName: string;
    namespace propTypes {
        let dataHook: PropTypes.Requireable<string>;
        let className: PropTypes.Requireable<string>;
        let size: PropTypes.Requireable<string>;
        let readOnly: PropTypes.Requireable<boolean>;
        let descriptionValues: PropTypes.Requireable<(string | null | undefined)[]>;
        let value: PropTypes.Validator<number>;
        let onChange: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        let readOnly_1: boolean;
        export { readOnly_1 as readOnly };
        export function onChange_1(): void;
        export { onChange_1 as onChange };
    }
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=StarsRatingBar.d.ts.map