export class PureChildComponent extends React.PureComponent<any, any, any> {
    static staticVariable: string;
    static staticMethod: () => string;
    constructor(props: any);
    id: any;
    boundMethod: () => any;
    unboundMethod: () => string;
    render(): React.JSX.Element;
}
export function createDriver(Component: any): {
    fireMouseDown: () => boolean;
    fireKeyDown: () => boolean;
    fireKeyUp: () => boolean;
    tabOut: () => void;
    tabIn: () => void;
    click: () => void;
    exists: () => boolean;
    focus: () => any;
    blur: () => any;
    hasFocusState: () => boolean;
    hasFocusVisibleState: () => boolean;
};
export const WithFocusablePureComponent: React.ComponentType<any>;
import React from 'react';
//# sourceMappingURL=Focusable.driver.d.ts.map