export default useDebouncedCallback;
/** A hook for creating a debounced callback function */
declare function useDebouncedCallback(cb: any, dependencies: any, debounceMs?: number, debounceFn?: {
    <T extends (...args: any) => any>(func: T, wait: number | undefined, options: import("lodash").DebounceSettingsLeading): import("lodash").DebouncedFuncLeading<T>;
    <T extends (...args: any) => any>(func: T, wait?: number, options?: import("lodash").DebounceSettings): import("lodash").DebouncedFunc<T>;
}): import("lodash").DebouncedFunc<(...args: any[]) => void>;
//# sourceMappingURL=useDebouncedCallback.d.ts.map