const rm = require('rimraf');
const fs = require('fs');

module.exports = function ({ dir = './dist' }) {
  return new Promise((resolve, reject) => {
    try {
      rm.sync(dir);
      fs.mkdirSync(dir, { recursive: true });
      resolve();
    } catch (e) {
      reject(e);
    }
  });
};
